2014-10-11 16:08  schoenw

	* [r1812] lib/error.h, lib/parser-smi.c, lib/parser-smi.y,
	  lib/parser-sming.y, lib/parser-yang.y: Use %parse-param and
	  %lex-param to keep newer versions of bison happy.

2014-08-15 07:33  schoenw

	* [r1811] mibs/ietf/BFD-STD-MIB[ADD],
	  mibs/ietf/BFD-TC-STD-MIB[ADD]: BFD MIB modules from RFC 7330 and
	  7331.

2014-08-15 07:32  schoenw

	* [r1810] mibs/iana/IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  mibs/iana/IANA-BFD-TC-STD-MIB[ADD], mibs/iana/IANA-CHARSET-MIB,
	  mibs/iana/IANA-FINISHER-MIB, mibs/iana/IANA-GMPLS-TC-MIB,
	  mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB,
	  mibs/iana/IANA-ITU-ALARM-TC-MIB, mibs/iana/IANA-LANGUAGE-MIB,
	  mibs/iana/IANA-MALLOC-MIB, mibs/iana/IANA-MAU-MIB,
	  mibs/iana/IANA-PRINTER-MIB, mibs/iana/IANA-RTPROTO-MIB,
	  mibs/iana/IANATn3270eTC-MIB, mibs/iana/IANAifType-MIB,
	  mibs/iana/Makefile.am: Updated IANA MIB modules.

2014-07-23 22:02  schoenw

	* [r1809] yang/ietf/ietf-inet-types.yang,
	  yang/ietf/ietf-inet-types@2013-07-15.yang[ADD],
	  yang/ietf/ietf-yang-types.yang,
	  yang/ietf/ietf-yang-types@2013-07-15.yang[ADD]: Updated the RFC
	  6021 modules to RFC 6991.

2014-07-17 12:25  schoenw

	* [r1808] mibs/jacobs/JACOBS-LOWPAN-MIB: Updated version of the
	  JACOBS-LOWPAN-MIB.

2014-06-18 06:20  schoenw

	* [r1807] yang/iana/Makefile.am, yang/iana/iana-if-type[ADD]:
	  Adding the first IANA maintained YANG module.

2014-06-18 06:19  schoenw

	* [r1806] yang/ietf/ietf-interfaces.yang[ADD],
	  yang/ietf/ietf-interfaces@2014-05-08.yang[ADD],
	  yang/ietf/ietf-ip.yang[ADD],
	  yang/ietf/ietf-ip@2014-06-16.yang[ADD],
	  yang/ietf/ietf-ipfix-psamp.yang[ADD],
	  yang/ietf/ietf-ipfix-psamp@2012-09-05.yang[ADD]: Adding YANG
	  modules published as RFCs.

2014-06-13 21:27  schoenw

	* [r1805] yang/ietf/ietf-netconf-acm@2012-02-22.yang: Applying
	  Errata ID: 3862 and Errata ID: 3863.

2014-02-10 09:36  schoenw

	* [r1804] mibs/iana/IANA-ENTITY-MIB[ADD], mibs/ietf/ENTITY-MIB,
	  mibs/ietf/UUID-TC-MIB[ADD]: Adding the new ENTITY-MIB and
	  associated modules (rfc6933).

2013-12-02 20:49  schoenw

	* [r1803] tools/dump-cm.c: Fixed a typo detected by David Binderman
	  <dcb314@hotmail.com> using cppcheck.

2013-11-01 07:01  schoenw

	* [r1802] mibs/ietf/LISP-MIB[ADD]: Added the LISP-MIB.

2013-10-18 07:58  schoenw

	* [r1801] lib/smi.h.in: Avoid empty structs. Problem reported by
	  Gerald Combs <gerald@wireshark.org>.

2013-10-01 20:15  schoenw

	* [r1800] lib/yang-check.c: Patch for a bug uncovered by a new C
	  compiler. Reported by Martin Bjorklund.

2013-08-13 15:42  schoenw

	* [r1799] configure.ac[CPY], configure.in[DEL], lib/parser-smi.c,
	  lib/parser-smi.y, test/mibs/LIBSMI-TEST-015-MIB: Trying to fix
	  the parsing of RFC 2580 NotificationVariation. Bug reported
	  by Daniel Chuang <dchuang@juniper.net>.

2013-06-06 09:14  schoenw

	* [r1798] lib/smi.c, lib/smi.h.in: Adding
	  SMI_RENDER_TYPE_RECURSIVE. This makes smiquery produce correct
	  output for refinements.

2013-06-06 09:13  schoenw

	* [r1797] tools/smiquery.c: Removing some unused function call.

2013-06-06 09:11  schoenw

	* [r1796] tools/dump-smi.c: Make sure refinements are properly
	  printed.

2013-06-06 09:10  schoenw

	* [r1795] lib/smi2yang.c: Make sure the length restriction is
	  always generated.

2013-06-06 09:10  schoenw

	* [r1794] test/Makefile.am, test/dumps/cm/BRIDGE-MIB[ADD],
	  test/dumps/corba/BRIDGE_MIB.idl[ADD],
	  test/dumps/corba/BRIDGE_MIB.oid[ADD],
	  test/dumps/identifiers/BRIDGE-MIB[ADD],
	  test/dumps/imports/BRIDGE-MIB[ADD],
	  test/dumps/jax/Dot1dBase.java[ADD],
	  test/dumps/jax/Dot1dBaseImpl.java[ADD],
	  test/dumps/jax/Dot1dBasePortEntry.java[ADD],
	  test/dumps/jax/Dot1dBasePortEntryImpl.java[ADD],
	  test/dumps/jax/Dot1dBasePortTable.java[ADD],
	  test/dumps/jax/Dot1dStaticEntry.java[ADD],
	  test/dumps/jax/Dot1dStaticEntryImpl.java[ADD],
	  test/dumps/jax/Dot1dStaticTable.java[ADD],
	  test/dumps/jax/Dot1dStp.java[ADD],
	  test/dumps/jax/Dot1dStpImpl.java[ADD],
	  test/dumps/jax/Dot1dStpPortEntry.java[ADD],
	  test/dumps/jax/Dot1dStpPortEntryImpl.java[ADD],
	  test/dumps/jax/Dot1dStpPortTable.java[ADD],
	  test/dumps/jax/Dot1dTp.java[ADD],
	  test/dumps/jax/Dot1dTpFdbEntry.java[ADD],
	  test/dumps/jax/Dot1dTpFdbEntryImpl.java[ADD],
	  test/dumps/jax/Dot1dTpFdbTable.java[ADD],
	  test/dumps/jax/Dot1dTpImpl.java[ADD],
	  test/dumps/jax/Dot1dTpPortEntry.java[ADD],
	  test/dumps/jax/Dot1dTpPortEntryImpl.java[ADD],
	  test/dumps/jax/Dot1dTpPortTable.java[ADD],
	  test/dumps/jax/NewRoot.java[ADD],
	  test/dumps/jax/TopologyChange.java[ADD],
	  test/dumps/metrics/BRIDGE-MIB[ADD],
	  test/dumps/mosy/BRIDGE-MIB[ADD],
	  test/dumps/netsnmp/bridge-mib-agt-stub.c[ADD],
	  test/dumps/netsnmp/bridge-mib-agt.c[ADD],
	  test/dumps/netsnmp/bridge-mib-mgr-stub.c[ADD],
	  test/dumps/netsnmp/bridge-mib.h[ADD],
	  test/dumps/python/BRIDGE-MIB[ADD],
	  test/dumps/smilint-smiv2/BRIDGE-MIB[ADD],
	  test/dumps/sming/BRIDGE-MIB[ADD],
	  test/dumps/smiv1/BRIDGE-MIB[ADD],
	  test/dumps/smiv2-smiv2/BRIDGE-MIB[ADD],
	  test/dumps/smiv2/BRIDGE-MIB[ADD],
	  test/dumps/tree/BRIDGE-MIB[ADD],
	  test/dumps/types/BRIDGE-MIB[ADD], test/dumps/xml/BRIDGE-MIB[ADD],
	  test/dumps/yang/BRIDGE-MIB[ADD]: Adding the BRIDGE-MIB to the
	  regression test suite.

2013-06-05 10:31  schoenw

	* [r1793] test/dumps/yang/IF-MIB, test/dumps/yang/MAU-MIB,
	  test/dumps/yang/RMON2-MIB, test/dumps/yang/SNMPv2-MIB: Minor
	  updates to make the test suite pass yang tests.

2013-06-04 13:36  schoenw

	* [r1792] mibs/iana/IANA-RTPROTO-MIB: Updating the
	  IANA-RTPROTO-MIB.

2013-06-04 13:30  schoenw

	* [r1791] mibs/ietf/IPFIX-MIB, mibs/ietf/NHDP-MIB[ADD],
	  mibs/ietf/PSAMP-MIB[ADD], mibs/ietf/RBRIDGE-MIB[ADD],
	  mibs/ietf/RPKI-ROUTER-MIB[ADD]: Adding several new MIB modules
	  published by the IETF.

2013-06-04 13:13  schoenw

	* [r1790] configure.in: Fixing the last fix.

2013-06-04 12:59  schoenw

	* [r1789] doc/complexity.txt[ADD]: Adding my notes about complexity
	  so that they do not get lost.

2013-06-04 12:55  schoenw

	* [r1788] tools/smiquery.c: Avoid buffer overruns so that smiquery
	  type SNMPv2-TC::RowStatus works.
	  Bug reported by Luiz Angelo Daros de Luca <luizluca@gmail.com>.

2013-06-04 12:53  schoenw

	* [r1787] configure.in: Make newer versions of autoconf happy.

2013-06-04 12:44  schoenw

	* [r1786] mibs/jacobs/JACOBS-LOWPAN-MIB[ADD],
	  mibs/jacobs/JACOBS-RPL-MIB, mibs/jacobs/Makefile.am: Updating the
	  RPL-MIB and the LOWPAN-MIB to the latest I-D versions.

2013-01-15 12:02  schoenw

	* [r1784] mibs/ietf/TED-MIB[ADD]: Adding the TED-MIB.

2013-01-08 18:17  schoenw

	* [r1783] lib/error.c, lib/smi-check.c: Report an error if a
	  compliance statement lists a group both as
	  mandatory and optional.

2012-09-12 13:37  schoenw

	* [r1782] lib/smi2yang.c: Now that we deal with INDEX objects more
	  carefully (kind of ignoring their
	  MAX-ACCESS), we can suppress the translation of not-accessible
	  scalars or
	  columns that are not part of the INDEX.

2012-09-11 08:12  schoenw

	* [r1781] lib/smi2yang.c: Properly handle columnar objects that
	  appear multiple times in the index
	  and accessible-for-notify objects appearing in the index.

2012-08-30 14:44  schoenw

	* [r1780] lib/smi2yang.c: Fixing leafref paths to table augments
	  again. Handle the case where the
	  augmenting columns refer to a table defined in a different MIB
	  module.
	  Reported by Martin Bjorklund.

2012-08-10 16:44  schoenw

	* [r1779] lib/smi2yang.c: Make sure leafref paths to columns of
	  augmenting tables are setup
	  correctly (i.e., the path refers to the base table since the
	  augmenting
	  table does not really appear in YANG). Bug reported by Martin
	  Bjorklund.

2012-07-29 15:02  schoenw

	* [r1778] mibs/iana/IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  mibs/iana/IANA-ITU-ALARM-TC-MIB, mibs/iana/IANA-LANGUAGE-MIB,
	  mibs/iana/IANA-MALLOC-MIB, mibs/iana/IANA-PRINTER-MIB,
	  mibs/iana/IANATn3270eTC-MIB, mibs/iana/IANAifType-MIB,
	  mibs/iana/Makefile.am: Fixed the URLs for IANA maintained MIB
	  modules in Makefile.am and
	  subsequently updated the IANA MIB modules.

2012-07-21 20:45  schoenw

	* [r1777] lib/smi2yang.c: YANG does not allow subtyping of enums /
	  bits. How strange. Reported
	  by Martin Bjorklund.

2012-07-21 20:44  schoenw

	* [r1776] mibs/iana/IANA-MAU-MIB: IANA update (whitespaces this
	  time ;-)

2012-06-12 06:10  schoenw

	* [r1775] mibs/ietf/IPFIX-MIB, mibs/ietf/IPFIX-SELECTOR-MIB: New
	  version published as RFC 6615.

2012-05-08 07:14  schoenw

	* [r1774] mibs/ietf/PMIPV6-MIB[ADD], mibs/ietf/PMIPV6-TC-MIB[ADD]:
	  Adding the Proxy Mobile IPv6 Management Information Base.

2012-04-02 14:36  schoenw

	* [r1773] lib/smi2yang.c: Quick work around to suppress length
	  statements if an OCTET STRING
	  becomes a string data type. Eventually, we should have smart code
	  to calculate meaningful length restrictions.

2012-04-01 12:15  schoenw

	* [r1772] tools/dump-cm.c, tools/dump-compliance.c,
	  tools/dump-corba.c, tools/dump-identifiers.c, tools/dump-ietf.c,
	  tools/dump-imports.c, tools/dump-jax.c, tools/dump-mosy.c,
	  tools/dump-netsnmp.c, tools/dump-perl.c, tools/dump-python.c,
	  tools/dump-scli.c, tools/dump-sizes.c, tools/dump-sming.c,
	  tools/dump-sppi.c, tools/dump-sql.c, tools/dump-svg.c,
	  tools/dump-types.c, tools/dump-xml.c, tools/dump-xsd.c: Various
	  updates to support YANG or to declare
	  that YANG is not supported.

2012-03-30 11:43  schoenw

	* [r1771] test/dumps/corba/IF_MIB.idl,
	  test/dumps/corba/MAU_MIB.idl, test/dumps/corba/RMON2_MIB.idl,
	  test/dumps/corba/SNMPv2_MIB.idl, test/dumps/python/IF-MIB,
	  test/dumps/python/MAU-MIB, test/dumps/python/RMON2-MIB,
	  test/dumps/python/SNMPv2-MIB: Fixing even more regression test
	  cases.

2012-03-30 11:04  schoenw

	* [r1770] tools/dump-corba.c, tools/dump-python.c: Generate a more
	  descriptive message consistent with other backends.

2012-03-30 10:11  schoenw

	* [r1769] configure.in, win/config.h: Bumping the version number to
	  0.5.0.

2012-03-30 10:02  schoenw

	* [r1768] lib/smi.c: Fixing a typo in smiDeclAsString.

2012-03-30 09:58  schoenw

	* [r1767] yang/ietf/ietf-netconf-acm.yang[ADD],
	  yang/ietf/ietf-netconf-acm@2012-02-22.yang[ADD]: Adding
	  ietf-netcong-acm.yang.

2012-03-30 09:51  schoenw

	* [r1766] test/dumps/orig-smiv2/IF-MIB,
	  test/dumps/orig-smiv2/MAU-MIB, test/dumps/orig-smiv2/RMON2-MIB,
	  test/dumps/orig-smiv2/SNMPv2-MIB: Fixing more regression tests.

2012-03-30 09:37  schoenw

	* [r1765] test/smidiff/Printer-MIB.diff[DEL],
	  test/smidiff/Printer-MIB.new[DEL]: Dropping the Printer-MIB as a
	  diff regression test case.

2012-03-30 08:53  schoenw

	* [r1764] test/smidiff/DISMAN-SCRIPT-MIB.diff,
	  test/smidiff/IF-MIB.diff, test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/Printer-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-004-MIB.diff: Fixing more regression
	  test cases.

2012-03-30 08:14  schoenw

	* [r1763] lib/error.c: Fixing the error reporting such that errors
	  of imported
	  modules are suppressed unless the recursive flag of the
	  parser has been set.

2012-03-30 08:08  schoenw

	* [r1762] test/dumps/netsnmp/mau-mib.h: Fixing the regression test
	  case.

2012-03-30 08:01  schoenw

	* [r1761] test/dumps/smilint-smiv2/MAU-MIB: Updating the regression
	  test.

2012-03-30 07:56  schoenw

	* [r1760] mibs/iana/IANA-MAU-MIB: Fixing errors in the
	  IANA-MAU-MIB.

2012-03-29 17:15  schoenw

	* [r1759] .: Updating the svn:ignore property.

2012-03-29 17:12  schoenw

	* [r1758] tools: Updating the svn:ignore property.

2012-03-29 03:45  schoenw

	* [r1757] test/dumps/tree/IF-MIB, test/dumps/tree/MAU-MIB,
	  test/dumps/tree/RMON2-MIB, test/dumps/tree/SNMPv2-MIB: Fixing the
	  tree regression test cases.

2012-03-29 03:35  schoenw

	* [r1756] test: Updating the svn:ignore property.

2012-03-29 03:29  schoenw

	* [r1755] test/dumps/yang, test/dumps/yang/IF-MIB,
	  test/dumps/yang/MAU-MIB, test/dumps/yang/RMON2-MIB,
	  test/dumps/yang/SNMPv2-MIB: Fixing the regression test cases.

2012-03-29 03:17  schoenw

	* [r1754] test/dumps/netsnmp/mau-mib.h: Fixed a regression test
	  case.

2012-03-29 03:12  schoenw

	* [r1753] test/dumps/python/MAU-MIB: Fixing the regression test
	  case.

2012-03-28 12:00  schoenw

	* [r1752] test/yang: Updating svn:ignore property.

2012-03-28 11:44  schoenw

	* [r1751] win/config.h: Disabling SMING and enabling YANG by
	  default.

2012-03-28 11:44  schoenw

	* [r1750] tools/Makefile.am, tools/dump-boilerplate.c[DEL],
	  tools/dump-ietf.c[CPY]: Renaming dump-boilerplate.c to
	  dump-ietf.c.

2012-03-28 11:42  schoenw

	* [r1749] tools/dump-boilerplate.c, tools/smidump.c,
	  tools/smidump.h: Moving towards and ietf backend module producing
	  various formats only
	  relevant for IETF MIB work.

2012-03-28 11:41  schoenw

	* [r1748] tools/dump-scli.c: Code cleanup.

2012-03-23 10:04  schoenw

	* [r1747] tools/dump-yang.c: Fixing the broken fix for empty
	  strings.

2012-03-22 19:08  schoenw

	* [r1746] tools/dump-yang.c: Print empty strings correctly.

2012-03-22 09:59  schoenw

	* [r1745] lib/smi2yang.c: Making the code robust in cases where an
	  smiNode does not have a valid
	  smiType.

2012-03-21 18:39  schoenw

	* [r1744] mibs/iana/IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  mibs/iana/IANA-CHARSET-MIB, mibs/iana/IANA-ITU-ALARM-TC-MIB,
	  mibs/iana/IANA-MALLOC-MIB, mibs/iana/IANA-MAU-MIB,
	  mibs/iana/IANA-PRINTER-MIB, mibs/iana/IANAifType-MIB,
	  mibs/iana/Makefile.am: Several updates of IANA MIB modules.

2012-03-21 18:29  schoenw

	* [r1743] mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB: New and fixed
	  version of the IANA-IPPM-METRICS-REGISTRY-MIB.

2012-03-12 14:00  schoenw

	* [r1742] mibs/jacobs/JACOBS-RPL-MIB: Properly prefixing the MIB
	  module while we are developing it.

2012-03-08 09:29  schoenw

	* [r1741] mibs/ietf/IFCP-MGMT-MIB: Update of the IFCP-MGMT-MIB.

2012-03-08 09:27  schoenw

	* [r1740] mibs/ietf/VRRPV3-MIB[ADD]: Adding a new MIB module.

2012-02-22 14:02  schoenw

	* [r1739] lib/smi2yang.c: Created wrong leafref paths for scalars
	  since they are again in
	  a separate container. Reported by Martin Bjorklund
	  <mbj@tail-f.com>.

2012-02-03 15:35  schoenw

	* [r1738] lib/smi.c, lib/smi2yang.c, tools/dump-smi.c: Improving
	  smiValueAsString(), replacing getValueString() in dump-smi.c,
	  dropping string quotes in the smi2yang conversion for
	  smiv2:defval values.

2011-12-14 17:27  schoenw

	* [r1737] lib/smi.c: A stack smash fix provided by Martin Bjorklund
	  <mbj@tail-f.com>.

2011-12-14 14:06  schoenw

	* [r1736] THANKS, lib/parser-sming.h, lib/parser-sming.y,
	  lib/parser-yang.y, lib/yang.h, win/Makefile.mingw,
	  win/config.h.in: Integrating a patch by Per Hedeland
	  <per@tail-f.com> to make the mingw
	  build work again and to fix issues with some old versions of
	  bison. I
	  also disabled good old sming on the mingw build since it is also
	  by
	  default disabled on Unix builds.

2011-12-14 13:52  schoenw

	* [r1735] THANKS, configure.in, lib/smi2yang.c, tools/dump-tree.c,
	  tools/dump-yang.c, tools/smidiff.c: A number of minor changes to
	  make --disable-yang work.

2011-12-14 08:02  schoenw

	* [r1734] tools/dump-compliance.c, tools/dump-jax.c,
	  tools/dump-metrics.c, tools/dump-perl.c, tools/dump-smi.c,
	  tools/dump-sppi.c, tools/dump-tree.c, tools/dump-xsd.c,
	  tools/rea.c, tools/smiquery.c: Removed some dead code.

2011-12-14 07:50  schoenw

	* [r1733] lib/parser-yang.y, lib/yang-check.c, lib/yang-check.h,
	  lib/yang-complex-types.c, lib/yang-data.c, lib/yang-data.h:
	  Fighting name space pollution originating from yang-check.c. More
	  code
	  cleanup work needed...

2011-12-14 07:49  schoenw

	* [r1732] lib/smi2yang.c: Minor code cleanup to remove cruft.

2011-12-14 07:47  schoenw

	* [r1731] lib/yang-check.c, lib/yang.h: Fixing a buffer boundary
	  problem reported by Martin Bjorklund.

2011-12-12 20:35  schoenw

	* [r1730] lib/smi2yang.c: Do not segfault if there is no type
	  information (this is not possible
	  on a valid SMIv2 module but might happen if things go wrong).

2011-12-04 12:48  schoenw

	* [r1729] lib/smi2yang.c: Import object-identifier-128 instead of
	  object-identifier.

2011-11-28 20:07  schoenw

	* [r1728] lib/smi2yang.c: Generate a top-level container only when
	  needed.

2011-11-24 23:04  schoenw

	* [r1727] lib/smi2yang.c: Oops, missing parenthesis.

2011-11-24 22:59  schoenw

	* [r1726] lib/error.c, lib/smi2yang.c: Generate containers for the
	  scalars.

2011-11-24 15:04  schoenw

	* [r1725] lib/smi.c, lib/smi.h.in, lib/smi_node.3.in,
	  tools/smiquery.c: Added and API function to retrieve alias nodes,
	  that is nodes that
	  share the same OID but have different names.

2011-11-23 14:06  schoenw

	* [r1724] lib/smi2yang.c: Always use the module name as the
	  toplevel. Handle INDEX clauses correctly
	  that have the same object appear multiple times. Dropped
	  automatically
	  generated descriptions (these really should be comments). Do not
	  create
	  alias statements for things that are defined using YANG
	  statements.

2011-11-22 10:28  schoenw

	* [r1723] lib/smi2yang.c: Generating smiv2:implied.

2011-11-22 10:20  schoenw

	* [r1722] lib/smi2yang.c, lib/yang.c, lib/yang.h,
	  tools/dump-yang.c: Removing the option that controls whether
	  smiv2:* statements are
	  generated. Started to add support for smiv2:implied.

2011-11-22 09:55  schoenw

	* [r1721] lib/smi2yang.c: Updating the SMIv2 to YANG type mapping
	  table.

2011-11-14 13:59  schoenw

	* [r1720] lib/smi2yang.c: Two minor bug fixes.

2011-08-09 13:30  schoenw

	* [r1719] mibs/ietf/FLOAT-TC-MIB[ADD]: Adding FLOAT-TC-MIB
	  (extracted from RFC 6340).

2011-07-28 10:27  schoenw

	* [r1718] lib/parser-smi.c, lib/yang-check.c: Handling path lookups
	  for input and output nodes in an rpc definition.

2011-07-24 14:43  schoenw

	* [r1717] yang/ietf/ietf-inet-types.yang,
	  yang/ietf/ietf-inet-types@2010-09-24.yang[CPY],
	  yang/ietf/ietf-netconf-monitoring.yang,
	  yang/ietf/ietf-netconf-monitoring@2010-10-04.yang[CPY],
	  yang/ietf/ietf-netconf-with-defaults.yang[ADD],
	  yang/ietf/ietf-netconf-with-defaults@2011-06-01.yang[ADD],
	  yang/ietf/ietf-netconf.yang[ADD],
	  yang/ietf/ietf-netconf@2011-06-01.yang[ADD],
	  yang/ietf/ietf-yang-types.yang,
	  yang/ietf/ietf-yang-types@2010-09-24.yang[CPY]: Adding recently
	  published YANG modules.

2011-07-23 18:37  schoenw

	* [r1716] mibs/iana/IANA-RTPROTO-MIB, mibs/iana/IANAifType-MIB:
	  Updating IANA maintained modules.

2011-07-20 09:42  schoenw

	* [r1715] configure.in, mibs/Makefile.am, mibs/jacobs[ADD],
	  mibs/jacobs/JACOBS-FS20-MIB[ADD],
	  mibs/jacobs/JACOBS-RPL-MIB[ADD], mibs/jacobs/JACOBS-SMI[ADD],
	  mibs/jacobs/Makefile.am[ADD]: Adding some Jacobs University MIB
	  modules.

2011-07-01 13:31  schoenw

	* [r1714] lib/smi2yang.c, lib/yang.c, lib/yang.h: Added support for
	  the smiv2:alias statement so that all named OIDs
	  can be covered.

2011-05-20 19:49  schoenw

	* [r1713] mibs/iana/IANA-PWE3-MIB[ADD],
	  mibs/ietf/PW-CEP-STD-MIB[ADD], mibs/ietf/PW-STD-MIB[ADD]: Adding
	  some recently published MIB modules.

2011-05-13 08:21  schoenw

	* [r1712] mibs/ietf/SNMP-COMMUNITY-MIB: Updating the
	  SNMP-COMMUNITY-MIB to the RFC 3584 version.

2011-05-09 10:42  schoenw

	* [r1711] lib/parser-smi.c, lib/parser-smi.y, lib/smi-data.c: A
	  patch suggested by Cedric Arbogast <arbogast.cedric@gmail.com>
	  and Vincent Bernat <bernat@luffy.cx> that avoids freeing memory
	  of pending nodes that in certain situations are still being used.

2011-05-06 09:39  schoenw

	* [r1710] lib/smi2yang.c: Since the non-augmenting conceptual
	  tables now inherit config false,
	  we do not have to set this property explicitly.

2011-05-06 09:13  schoenw

	* [r1709] lib/smi2yang.c: Moving tables below the module identity
	  derived top-level node so that we
	  have only one top-level container.

2011-04-15 18:23  schoenw

	* [r1708] lib/smi2yang.c: Add a proper import for ietf-yang-smiv2
	  if the SMIv2 module contains an
	  OBJECT-IDENTITY definition (reported by Andy Bierman).

2011-04-13 12:24  schoenw

	* [r1707] lib/smi2yang.c: Moving to a flat layout again (see netmod
	  Solution #01-01).

2011-04-12 12:30  schoenw

	* [r1706] lib/smi2yang.c: Generate an smiv2:oid statement for
	  identities.

2011-04-12 08:39  schoenw

	* [r1705] lib/smi.h.in, lib/smi2yang.c: Augments must be toplevel
	  (see netmod Solution #07-01).

2011-04-11 19:56  schoenw

	* [r1704] lib/smi2yang.c: Special handling of accessible-for-notify
	  objects (see netmod Solution #05-01).

2011-04-11 14:53  schoenw

	* [r1703] lib/smi2yang.c: Simpler names for notification containers
	  (see netmod Solution #06-01).

2011-04-05 10:00  schoenw

	* [r1702] lib/smi.h.in, lib/smi2yang.c, lib/smi2yang.h, lib/yang.c:
	  Several updates to bring the implementation closer inline with
	  the
	  I-D. More work needed, but lets first try to resolve issues on
	  the
	  mailing list.

2011-03-28 08:22  schoenw

	* [r1701] lib/common.c, lib/parser-yang.y, lib/scanner-yang.l,
	  lib/yang-check.c, lib/yang-data.c: Some portability fixed, more
	  to come.

2011-03-28 08:21  schoenw

	* [r1700] lib/smi2yang.c: Calling the semantic analysis to check
	  the generated YANG module.

2011-03-23 13:46  schoenw

	* [r1699] lib/smi.c: Prevent smiGetNextRange() from looping. Fixes
	  a bug reported by
	  Göran Runfeldt <Goran.Runfeldt@netadminsystems.com>.

2011-03-18 13:51  schoenw

	* [r1698] tools/dump-fig.c: Generate proper type names.

2011-03-18 13:50  schoenw

	* [r1697] lib/parser-smi.c, lib/parser-smi.y: Applying a patch from
	  Martin Bjorklund fixing the parsing of range
	  restriction of Unsigned32 types.

2011-03-18 13:39  schoenw

	* [r1696] tools/dump-xsd.c: Applying a patch submitted by Martin
	  Bjorklund.

2011-03-16 14:03  schoenw

	* [r1695] tools/dump-fig.c: Making the code work with the current
	  version of smidump.

2011-03-14 12:45  schoenw

	* [r1694] README, THANKS: Updating the description to reflect YANG
	  support.

2011-03-14 12:30  schoenw

	* [r1693] configure.in: Fixing the installation of YANG modules.

2011-03-14 12:28  schoenw

	* [r1692] yang, yang/Makefile.am, yang/iana[ADD],
	  yang/iana/Makefile.am[ADD], yang/ietf, yang/site,
	  yang/site/Makefile.am: Improving the handling of YANG modules.

2011-03-14 12:23  schoenw

	* [r1691] yang/ietf/Makefile.am: Fixing the installation of YANG
	  modules.

2011-03-14 10:52  schoenw

	* [r1690] tools/dump-tree.c: Removing the --tree-compact option,
	  making the compact format the
	  default format. This reduces code complexity and is what I prefer
	  anyway.

2011-02-14 22:47  schoenw

	* [r1689] lib/Makefile.am, lib/smi-data.c, lib/smi.c,
	  lib/smi2yang.c, lib/yang-data.c, lib/yang.c: Cleaning up some
	  #includes, adding some dependencies to Makefile.am so
	  that errormacros.h is created automagically.

2011-01-23 21:29  schoenw

	* [r1688] lib/Makefile.am, lib/parser-yang.y: Adding dependencies
	  so that a parallel build creates errormacros.h
	  before compiling the parser modules.

2010-12-17 23:20  schoenw

	* [r1687] mibs/iana/IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  mibs/iana/IANA-CHARSET-MIB, mibs/iana/IANA-FINISHER-MIB,
	  mibs/iana/IANA-GMPLS-TC-MIB,
	  mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB,
	  mibs/iana/IANA-ITU-ALARM-TC-MIB, mibs/iana/IANA-MALLOC-MIB,
	  mibs/iana/IANA-MAU-MIB, mibs/iana/IANA-PRINTER-MIB,
	  mibs/iana/IANAifType-MIB: Updating IANA MIB modules, changing to
	  Unix line end conventions.

2010-12-16 23:39  schoenw

	* [r1686] mibs/ietf/CAPWAP-BASE-MIB[ADD],
	  mibs/ietf/CAPWAP-DOT11-MIB[ADD], mibs/ietf/DVB-RCS-MIB[ADD],
	  mibs/ietf/FORCES-MIB[ADD], mibs/ietf/IPFIX-MIB[ADD],
	  mibs/ietf/IPFIX-SELECTOR-MIB[ADD], mibs/ietf/NTPv4-MIB[ADD],
	  mibs/ietf/OSPFV3-MIB[ADD], mibs/ietf/PW-ATM-MIB[ADD],
	  mibs/ietf/PW-TC-STD-MIB[ADD], mibs/ietf/PW-TDM-MIB[ADD],
	  mibs/ietf/RSERPOOL-MIB[ADD], mibs/ietf/SNMP-SSH-TM-MIB[ADD],
	  mibs/ietf/SNMP-TLS-TM-MIB[ADD], mibs/ietf/SNMP-TSM-MIB[ADD],
	  mibs/ietf/VDSL2-LINE-MIB[ADD], mibs/ietf/VDSL2-LINE-TC-MIB[ADD]:
	  Adding a bunch of MIB modules published by the IETF during the
	  last
	  1+ year.

2010-12-16 22:45  schoenw

	* [r1685] yang/ietf/ietf-netconf-monitoring.yang[ADD]: Adding
	  ietf-netconf-monitoring.yang (RFC6022).

2010-12-16 22:40  schoenw

	* [r1684] Makefile.am, configure.in, yang[ADD],
	  yang/Makefile.am[ADD], yang/ietf[ADD],
	  yang/ietf/Makefile.am[ADD], yang/ietf/ietf-inet-types.yang[ADD],
	  yang/ietf/ietf-yang-types.yang[ADD], yang/site[ADD],
	  yang/site/Makefile.am[ADD]: Adding the first YANG modules to the
	  distribution.

2010-12-14 15:43  schoenw

	* [r1683] lib/smi_config.3.in: Trying to improve the documentation
	  of smiInit().

2010-12-10 07:07  schoenw

	* [r1682] lib/smi2yang.c: Pruning subtrees containing only
	  conformance definitions, minor bug fixes.

2010-11-08 02:57  schoenw

	* [r1681] tools/Makefile.am, tools/dump-yang-sk.c[DEL],
	  tools/dump-yang.c[CPY], tools/smidump.c, tools/smidump.h: Making
	  yang-sk the new yang output driver.

2010-11-08 02:51  schoenw

	* [r1680] tools/Makefile.am, tools/dump-yang.c[DEL],
	  tools/smidump.c, tools/smidump.h: Removing the "old" dump-yang.c
	  module written during the first YANG
	  design team meeting.

2010-11-08 02:48  schoenw

	* [r1679] lib/smi2yang.c, lib/smi2yang.h, lib/yang.c, lib/yang.h,
	  tools/dump-yang-sk.c: Updating the implementation to reflect
	  draft-schoenw-netmod-smi-yang-01.

2010-10-15 17:56  schoenw

	* [r1678] tools/dump-boilerplate.c: Convinced the boilerplate
	  driver to generate xml for xml2rfc.

2010-09-11 11:46  schoenw

	* [r1677] THANKS, lib/smi.c: Fixing a buffer overflow caused by
	  long numeric OIDs (CORE-2010-0819).

2010-09-03 08:23  schoenw

	* [r1676] TODO, lib/parser-smi.c, lib/parser-smi.y, lib/smi.h.in,
	  lib/yang-data.c, tools/dump-smi.c, tools/dump-sppi.c,
	  tools/dump-svg.c: Making the ptr in SmiValue an unsigned char to
	  prevent unexpected
	  sign conversions when printing hex values. Problem reported by
	  Claus Klein <claus.klein@arcormail.de>.

2010-08-20 06:44  schoenw

	* [r1675] TODO, configure.in, lib/Makefile.am, lib/check.c[DEL],
	  lib/check.h[DEL], lib/common.c, lib/common.h, lib/data.c[DEL],
	  lib/data.h[DEL], lib/error.h, lib/parser-smi.c, lib/parser-smi.h,
	  lib/parser-smi.y, lib/parser-yang.y, lib/scanner-smi.h,
	  lib/scanner-smi.l, lib/smi-check.c[CPY], lib/smi-check.h[CPY],
	  lib/smi-data.c[CPY], lib/smi-data.h[CPY], lib/smi.c,
	  lib/smi.h.in, lib/smi2yang.c, lib/util.h, lib/yang-check.c,
	  lib/yang-complex-types.c, lib/yang-data.c, lib/yang-data.h,
	  lib/yang.c, lib/yang.h, lib/yang_node.3.in[ADD],
	  tools/dump-corba.c, tools/dump-identifiers.c, tools/dump-mosy.c,
	  tools/dump-scli.c, tools/dump-tree.c, tools/dump-types.c,
	  tools/dump-yang-sk.c, tools/dump-yang.c, tools/smid.c,
	  tools/smidiff.c, tools/smiquery.c, win/Makefile.mingw: This is a
	  bigger change to improve YANG support and code/library
	  organization. In particular, this checking does the following:
	  
	  - adding a collection of SMI stringification functions
	  (smiNodekindAsString, smiDeclAsString, smiValueAsString,
	  smiNodekindAsString, smiAccessAsString, smiStatusAsString,
	  smiBasetypeAsString, smiLanguageAsString
	  
	  - adding a collection of YANG stringification functions
	  (yangDeclAsString, yangStatusAsString
	  
	  - started reorganization of the source code modules to more
	  cleanly
	  separate smi related sources files from yang related source files
	  and common source files
	  
	  - adding an smi2yang module that does an in memory translation of
	  an
	  SMIv2 parse tree into a YANG parse tree
	  
	  - enabling the YANG parser by default
	  
	  - initial bits of a yang_node.3 man page

2010-08-16 08:12  kuryla

	* [r1674] lib/parser-yang.y, lib/scanner-yang.l, lib/yang-check.c,
	  lib/yang-data.c, lib/yang.c, lib/yang.h: added
	  fraction-digits-stmt to the yang parser

2010-06-24 10:09  schoenw

	* [r1673] lib/common.c, lib/parser-yang.y, lib/scanner-yang.h,
	  lib/scanner-yang.l, lib/yang-data.c, lib/yang.h,
	  tools/dump-jax.c, tools/dump-tree.c, tools/smilint.c: Some code
	  maintenance to fix potential bugs and to be more C89 friendly.

2010-06-24 09:35  schoenw

	* [r1672] tools/dump-yang-sk.c: Support the new SMI to YANG
	  conversion so we only have one YANG output
	  driver in the long run.

2010-06-24 09:33  schoenw

	* [r1671] lib/Makefile.am, lib/data.h, lib/smi2yang.c[ADD],
	  lib/smi2yang.h[ADD], lib/yang-data.c, lib/yang.h: Adding an SMI
	  to YANG conversion module.

2010-06-22 08:17  schoenw

	* [r1670] tools/dump-smi.c: No way to generate SMI from YANG.

2010-06-21 13:01  schoenw

	* [r1669] tools/smidump.c: Removing unwanted debug output.

2010-06-21 12:59  schoenw

	* [r1668] lib/yang-complex-types.h: Handling an unfortunate name
	  clash.

2010-06-21 12:58  schoenw

	* [r1667] tools/dump-yang-sk.c: Fixing indentation bugs.

2010-04-29 11:01  kuryla

	* [r1666] tools/dump-yang-sk.c: pretty print for yang dump-sk

2010-04-22 09:55  kuryla

	* [r1665] lib/parser-yang.h, lib/parser-yang.y, lib/scanner-yang.l:
	  added comments to mark the complex type extension changes

2010-04-20 09:40  kuryla

	* [r1664] test/parser-yang-ct.test.in[ADD]: added a new testing
	  script for yang complex type extension

2010-04-20 09:31  kuryla

	* [r1663] configure.in, lib/Makefile.am, lib/error.c,
	  lib/parser-smi.c, lib/parser-yang.y, lib/scanner-yang.l,
	  lib/yang-check.c, lib/yang-complex-types.c[ADD],
	  lib/yang-complex-types.h[ADD], lib/yang-data.c, lib/yang-data.h,
	  lib/yang.c, lib/yang.h, test/parser-yang.test.in,
	  test/yang-ct-ext[ADD], test/yang-ct-ext/abstract.yang[ADD],
	  test/yang-ct-ext/abstract.yang.exp[ADD],
	  test/yang-ct-ext/augment.yang[ADD],
	  test/yang-ct-ext/augment.yang.exp[ADD],
	  test/yang-ct-ext/complex-types.yang[ADD],
	  test/yang-ct-ext/complex-types.yang.exp[ADD],
	  test/yang-ct-ext/config.yang[ADD],
	  test/yang-ct-ext/config.yang.exp[ADD],
	  test/yang-ct-ext/ct.yang[ADD], test/yang-ct-ext/ct.yang.exp[ADD],
	  test/yang-ct-ext/deviation.yang[ADD],
	  test/yang-ct-ext/deviation.yang.exp[ADD],
	  test/yang-ct-ext/deviation2.yang[ADD],
	  test/yang-ct-ext/deviation2.yang.exp[ADD],
	  test/yang-ct-ext/expands.yang[ADD],
	  test/yang-ct-ext/expands.yang.exp[ADD],
	  test/yang-ct-ext/grammar1.yang[ADD],
	  test/yang-ct-ext/grammar1.yang.exp[ADD],
	  test/yang-ct-ext/grammar2.yang[ADD],
	  test/yang-ct-ext/grammar2.yang.exp[ADD],
	  test/yang-ct-ext/imported.yang[ADD],
	  test/yang-ct-ext/imported.yang.exp[ADD],
	  test/yang-ct-ext/importing.yang[ADD],
	  test/yang-ct-ext/importing.yang.exp[ADD],
	  test/yang-ct-ext/importing2.yang[ADD],
	  test/yang-ct-ext/importing2.yang.exp[ADD],
	  test/yang-ct-ext/instance-identifier.yang[ADD],
	  test/yang-ct-ext/instance-identifier.yang.exp[ADD],
	  test/yang-ct-ext/instance.yang[ADD],
	  test/yang-ct-ext/instance.yang.exp[ADD],
	  test/yang-ct-ext/key.yang[ADD],
	  test/yang-ct-ext/key.yang.exp[ADD],
	  test/yang-ct-ext/references.yang[ADD],
	  test/yang-ct-ext/references.yang.exp[ADD],
	  test/yang-ct-ext/refine.yang[ADD],
	  test/yang-ct-ext/refine.yang.exp[ADD],
	  test/yang-ct-ext/refine2.yang[ADD],
	  test/yang-ct-ext/refine2.yang.exp[ADD],
	  test/yang-ct-ext/unique1-sub.yang[ADD],
	  test/yang-ct-ext/unique1-sub.yang.exp[ADD],
	  test/yang-ct-ext/unique1.yang[ADD],
	  test/yang-ct-ext/unique1.yang.exp[ADD],
	  test/yang/augment-import.yang.exp,
	  test/yang/augment-import2.yang.exp, test/yang/augment-super.yang,
	  test/yang/augment-super.yang.exp, test/yang/augment.yang.exp,
	  test/yang/cyclic-features.yang.exp,
	  test/yang/cyclic-identity.yang.exp,
	  test/yang/type-uniquenesee.yang.exp,
	  test/yang/uniqueness-after-expation.yang.exp: complex type
	  extension for the yang parser

2010-04-20 09:05  kuryla

	* [r1662] tools/dump-yang-sk.c: changed yang sk dump

2010-02-02 08:28  schoenw

	* [r1660] win/makefile: Making sure yang.h is installed since smi.h
	  includes it.

2010-02-02 08:26  schoenw

	* [r1659] lib/Makefile.am: Making sure yang.h is installed since
	  smi.h includes it.

2010-01-11 12:53  schoenw

	* [r1658] tools/Makefile.am, win/makefile: Build improvements
	  submitted by Claus Klein <claus.klein@arcormail.de>.

2009-12-28 19:43  schoenw

	* [r1657] THANKS, tools/Makefile.am, win/GNUmakefile,
	  win/config.nmake, win/makefile, win/win.h: Windows compatibility
	  patch from Claus Klein <claus.klein@arcormail.de>.

2009-12-28 17:56  schoenw

	* [r1656] lib/smi.h.in, lib/util.c: Win32 compatibility fixes by
	  Claus Klein <claus.klein@arcormail.de>.

2009-12-21 21:41  schoenw

	* [r1655] lib/smi_module.3.in: Documenting the conformance member
	  of struct SmiModule.

2009-12-15 18:00  schoenw

	* [r1654] tools/dump-yang-sk.c, tools/smidump.c: Some code cleanup.

2009-12-13 00:26  kuryla

	* [r1653] lib/yang-data.c: YANG parser: set up SmiModule language

2009-12-12 13:22  schoenw

	* [r1652] tools/dump-metrics.c, tools/dump-yang-sk.c,
	  tools/smidump.c, tools/smidump.h: Adding flags allowing drivers
	  to register the languages they can handle.

2009-12-12 00:31  kuryla

	* [r1651] lib/error.c, lib/parser-yang.y, test/yang/16.yang.exp,
	  test/yang/17.yang.exp, test/yang/augment-import.yang.exp,
	  test/yang/augment-import2.yang.exp,
	  test/yang/extension1.yang.exp, test/yang/identity2.yang.exp,
	  test/yang/ieee-types.yang.exp,
	  test/yang/ietf-netconf-monitoring.yang.exp,
	  test/yang/ietf-netconf-state.yang.exp,
	  test/yang/imported2.yang.exp, test/yang/prefix1.yang.exp,
	  test/yang/types.yang.exp, test/yang/uses1.yang.exp: YANG parser:
	  added a warning about imports without a revision

2009-12-11 22:22  kuryla

	* [r1650] lib/parser-yang.y: YANG parser: fixed identation

2009-12-10 16:41  kuryla

	* [r1649] test/yang/3.yang, test/yang/container1.yang,
	  test/yang/ietf-inet-types.yang,
	  test/yang/ietf-netconf-monitoring.yang[ADD],
	  test/yang/ietf-netconf-monitoring.yang.exp[ADD],
	  test/yang/ietf-yang-types.yang, test/yang/yang-smi.yang.exp: YANG
	  parser: added a few test cases

2009-12-10 16:15  kuryla

	* [r1648] lib/parser-yang.y, lib/scanner-yang.l: YANG parser: fixed
	  CRLF bug, reference nested into a revision

2009-12-08 07:25  schoenw

	* [r1647] lib/check.c, lib/error.c: Improving the OID check for
	  modules registered in the IETF's OID space.

2009-12-08 07:22  schoenw

	* [r1646] tools/dump-svg.c: Fixing to make the module compile. Note
	  that the printing should in
	  general go to the FILE f and not stdout.

2009-12-08 07:21  schoenw

	* [r1645] Makefile.am, TODO: Some cleanup to ease maintenance.

2009-10-23 00:30  schoenw

	* [r1644] tools/dump-svg.c: Patch from Claus Klein
	  <claus.klein@arcormail.de> to support output files.

2009-09-30 22:15  kuryla

	* [r1643] test/yang/ietf-inet-types.yang[ADD],
	  test/yang/ietf-inet-types.yang.exp[ADD],
	  test/yang/ietf-netconf-state.yang[ADD],
	  test/yang/ietf-netconf-state.yang.exp[ADD],
	  test/yang/ietf-yang-types.yang[ADD],
	  test/yang/ietf-yang-types.yang.exp[ADD]: added a couple of new
	  test cases for yang parser

2009-09-30 22:13  kuryla

	* [r1642] lib/parser-yang.y, test/yang/6.yang.exp: got rid of
	  warnings at parser generation time

2009-09-30 21:34  kuryla

	* [r1641] lib/parser-yang.y: fixed a couple of bugs in grammar;
	  added the rule to support references nested into revisions;

2009-09-03 10:34  schoenw

	* [r1640] Makefile.am, configure.in, lib, lib/Makefile.am,
	  lib/common.c[ADD], lib/common.h[ADD], lib/data.c, lib/data.h,
	  lib/error.c, lib/parser-yang.h, lib/parser-yang.y,
	  lib/scanner-yang.l, lib/smi.c, lib/smi.h.in,
	  lib/yang-check.c[ADD], lib/yang-check.h[ADD],
	  lib/yang-data.c[ADD], lib/yang-data.h[ADD], lib/yang.c[ADD],
	  lib/yang.h[ADD], test/parser-yang.test.in[ADD], test/yang[ADD],
	  test/yang/1.yang[ADD], test/yang/1.yang.exp[ADD],
	  test/yang/10.yang[ADD], test/yang/10.yang.exp[ADD],
	  test/yang/11.yang[ADD], test/yang/11.yang.exp[ADD],
	  test/yang/12.yang[ADD], test/yang/12.yang.exp[ADD],
	  test/yang/13.yang[ADD], test/yang/13.yang.exp[ADD],
	  test/yang/14.yang[ADD], test/yang/14.yang.exp[ADD],
	  test/yang/15.yang[ADD], test/yang/15.yang.exp[ADD],
	  test/yang/16.yang[ADD], test/yang/16.yang.exp[ADD],
	  test/yang/17.yang[ADD], test/yang/17.yang.exp[ADD],
	  test/yang/18.yang[ADD], test/yang/18.yang.exp[ADD],
	  test/yang/2.yang[ADD], test/yang/2.yang.exp[ADD],
	  test/yang/3.yang[ADD], test/yang/3.yang.exp[ADD],
	  test/yang/4.yang[ADD], test/yang/4.yang.exp[ADD],
	  test/yang/5.yang[ADD], test/yang/5.yang.exp[ADD],
	  test/yang/6.yang[ADD], test/yang/6.yang.exp[ADD],
	  test/yang/7.yang[ADD], test/yang/7.yang.exp[ADD],
	  test/yang/8.yang[ADD], test/yang/8.yang.exp[ADD],
	  test/yang/9.yang[ADD], test/yang/9.yang.exp[ADD],
	  test/yang/augment-import.yang[ADD],
	  test/yang/augment-import.yang.exp[ADD],
	  test/yang/augment-import2.yang[ADD],
	  test/yang/augment-import2.yang.exp[ADD],
	  test/yang/augment-super.yang[ADD],
	  test/yang/augment-super.yang.exp[ADD],
	  test/yang/augment-super2.yang[ADD],
	  test/yang/augment-super2.yang.exp[ADD],
	  test/yang/augment.yang[ADD], test/yang/augment.yang.exp[ADD],
	  test/yang/augment1.yang[ADD], test/yang/augment1.yang.exp[ADD],
	  test/yang/augment2.yang[ADD], test/yang/augment2.yang.exp[ADD],
	  test/yang/base.2009-04-25.yang[ADD],
	  test/yang/base.2009-04-25.yang.exp[ADD],
	  test/yang/base.yang[ADD], test/yang/base.yang.exp[ADD],
	  test/yang/choice1.yang[ADD], test/yang/choice1.yang.exp[ADD],
	  test/yang/choice2.yang[ADD], test/yang/choice2.yang.exp[ADD],
	  test/yang/comments.yang[ADD], test/yang/comments.yang.exp[ADD],
	  test/yang/composite.yang[ADD], test/yang/composite.yang.exp[ADD],
	  test/yang/composite2.yang[ADD],
	  test/yang/composite2.yang.exp[ADD],
	  test/yang/config-values.yang[ADD],
	  test/yang/config-values.yang.exp[ADD],
	  test/yang/config-warnings.yang[ADD],
	  test/yang/config-warnings.yang.exp[ADD],
	  test/yang/container1.yang[ADD],
	  test/yang/container1.yang.exp[ADD],
	  test/yang/cyclic-features.yang[ADD],
	  test/yang/cyclic-features.yang.exp[ADD],
	  test/yang/cyclic-groupings.yang[ADD],
	  test/yang/cyclic-groupings.yang.exp[ADD],
	  test/yang/cyclic-identity.yang[ADD],
	  test/yang/cyclic-identity.yang.exp[ADD],
	  test/yang/enum1.yang[ADD], test/yang/enum1.yang.exp[ADD],
	  test/yang/extension.yang[ADD], test/yang/extension.yang.exp[ADD],
	  test/yang/extension1.yang[ADD],
	  test/yang/extension1.yang.exp[ADD], test/yang/extmod.yang[ADD],
	  test/yang/extmod.yang.exp[ADD], test/yang/extsubmod.yang[ADD],
	  test/yang/extsubmod.yang.exp[ADD], test/yang/feature1.yang[ADD],
	  test/yang/feature1.yang.exp[ADD], test/yang/grouping1.yang[ADD],
	  test/yang/grouping1.yang.exp[ADD], test/yang/identity1.yang[ADD],
	  test/yang/identity1.yang.exp[ADD], test/yang/identity2.yang[ADD],
	  test/yang/identity2.yang.exp[ADD],
	  test/yang/ieee-types.yang[ADD],
	  test/yang/ieee-types.yang.exp[ADD],
	  test/yang/imported1.yang[ADD], test/yang/imported1.yang.exp[ADD],
	  test/yang/imported2.yang[ADD], test/yang/imported2.yang.exp[ADD],
	  test/yang/inet-types.yang[ADD],
	  test/yang/inet-types.yang.exp[ADD], test/yang/leaf1.yang[ADD],
	  test/yang/leaf1.yang.exp[ADD], test/yang/list-unique.yang[ADD],
	  test/yang/list-unique.yang.exp[ADD], test/yang/list2.yang[ADD],
	  test/yang/list2.yang.exp[ADD], test/yang/lists.yang[ADD],
	  test/yang/lists.yang.exp[ADD], test/yang/prefix1.yang[ADD],
	  test/yang/prefix1.yang.exp[ADD], test/yang/refine.yang[ADD],
	  test/yang/refine.yang.exp[ADD], test/yang/restrictions.yang[ADD],
	  test/yang/restrictions.yang.exp[ADD], test/yang/rpc1.yang[ADD],
	  test/yang/rpc1.yang.exp[ADD], test/yang/submod1.yang[ADD],
	  test/yang/submod1.yang.exp[ADD], test/yang/submod2.yang[ADD],
	  test/yang/submod2.yang.exp[ADD], test/yang/submod3.yang[ADD],
	  test/yang/submod3.yang.exp[ADD], test/yang/super.yang[ADD],
	  test/yang/super.yang.exp[ADD],
	  test/yang/type-uniquenesee.yang[ADD],
	  test/yang/type-uniquenesee.yang.exp[ADD],
	  test/yang/types.yang[ADD], test/yang/types.yang.exp[ADD],
	  test/yang/typeset.yang[ADD], test/yang/typeset.yang.exp[ADD],
	  test/yang/unique1.yang[ADD], test/yang/unique1.yang.exp[ADD],
	  test/yang/unique2.yang[ADD], test/yang/unique2.yang.exp[ADD],
	  test/yang/unique3.yang[ADD], test/yang/unique3.yang.exp[ADD],
	  test/yang/unique4.yang[ADD], test/yang/unique4.yang.exp[ADD],
	  test/yang/uniqueness-after-expation.yang[ADD],
	  test/yang/uniqueness-after-expation.yang.exp[ADD],
	  test/yang/uses1.yang[ADD], test/yang/uses1.yang.exp[ADD],
	  test/yang/yang-smi.yang[ADD], test/yang/yang-smi.yang.exp[ADD],
	  test/yang/yang-types.yang[ADD],
	  test/yang/yang-types.yang.exp[ADD], tools/Makefile.am,
	  tools/dump-yang-sk.c[ADD], tools/smidump.c, tools/smidump.h:
	  Replacing Kaloyan's YANG parser with Siarhei Kuryla's parser.
	  There might
	  be more cleanup needed to improve portability.

2009-08-28 12:10  schoenw

	* [r1639] win/Makefile.mingw: Added rule to build dump-svg-script.h
	  from dump-svg-script.js.

2009-07-28 10:44  schoenw

	* [r1638] tools/dump-scli.c: Changed the scli code generator to
	  generate stubs that work with the
	  new gsnmp API.

2009-06-14 17:27  schoenw

	* [r1637] lib/data.c, lib/libsmi.3.in, lib/smi.c: Updating the
	  example code in libsmi.3. Integrated patches submitted by
	  Marcin Cieslak <saper@saper.info> to make some API functions more
	  robust.

2009-04-18 18:09  schoenw

	* [r1636] lib/parser-smi.c, lib/parser-smi.y: Zero OID
	  subidentifier are OK unless we talk about OIDs assigned to
	  SMIv2 macro invocations.

2009-03-16 07:54  schoenw

	* [r1635] tools/dump-yang.c: Do not print config statements on
	  notification trees.

2009-03-16 07:47  schoenw

	* [r1634] tools/dump-yang.c: Renaming keyref to leafref.

2009-01-20 06:10  schoenw

	* [r1633] lib/parser-sming.y: Some editorial cleanups, avoiding C++
	  style comments.

2009-01-12 09:04  schoenw

	* [r1632] tools/dump-xsd.c: Fix the printing of 64-bit unsigned
	  values. Bug reported by Arndt
	  Jonasson <arndt@tail-f.com>.

2009-01-11 07:41  schoenw

	* [r1631] lib/smi.c, lib/smi.h.in: Avoid the C++ reserved keyword
	  "class" in argument names plus some
	  editorial changes.

2009-01-05 22:06  schoenw

	* [r1630] lib/util.c: Make libsmi work with newer versions of
	  dmalloc.

2009-01-05 19:17  schoenw

	* [r1629] tools/dump-perl.c, tools/dump-python.c: The string
	  "reference" was written "reference>". This is a bug fix
	  but it might break scripts that expect the wrong spelling (but
	  then
	  people should have reported this much earlier rather than relying
	  on
	  this broken spelling).

2009-01-05 08:37  schoenw

	* [r1628] lib/data.c: Ensure that findObjectByModulenameAndName()
	  is not get fooled by a
	  NULL objectname.

2008-11-06 22:05  schoenw

	* [r1627] lib/check.c, lib/check.h, lib/error.c, lib/parser-smi.c,
	  lib/parser-smi.y: Added a check to detect row child nodes that
	  are not columnar nodes.

2008-11-05 08:15  schoenw

	* [r1626] lib/smi.c: Rewrote some YANG API functions to improve
	  portability and robustness.

2008-11-04 20:58  schoenw

	* [r1625] THANKS: Added Peter Volkov <pva@gentoo.org> for his
	  patches to make the
	  test cases more portable.

2008-11-04 20:56  schoenw

	* [r1624] test/smidump-cm.test.in, test/smidump-corba.test.in,
	  test/smidump-identifiers.test.in, test/smidump-imports.test.in,
	  test/smidump-jax.test.in, test/smidump-metrics.test.in,
	  test/smidump-mosy.test.in, test/smidump-netsnmp.test.in,
	  test/smidump-orig-smiv2.test.in, test/smidump-python.test.in,
	  test/smidump-sming.test.in, test/smidump-smiv1.test.in,
	  test/smidump-smiv2-smiv2.test.in, test/smidump-smiv2.test.in,
	  test/smidump-tree.test.in, test/smidump-types.test.in,
	  test/smidump-xml.test.in, test/smidump-yang.test.in: Force locale
	  to avoid sort ordering problems.

2008-11-04 20:50  schoenw

	* [r1623] test/Makefile.am: Disabling the SMIng related tests since
	  they currently fail and
	  nobody has energy to fix them.

2008-11-04 20:41  schoenw

	* [r1622] lib/parser-yang.y: Use smiMalloc() instead of malloc().

2008-11-04 20:41  schoenw

	* [r1621] lib/data.c: Always keep the prefix since it is needed to
	  resolve imports.

2008-10-31 11:28  kanev

	* [r1620] configure.in, lib/Makefile.am, lib/data.c, lib/data.h,
	  lib/error.c, lib/parser-yang.h[ADD], lib/parser-yang.y[ADD],
	  lib/scanner-yang.h[ADD], lib/scanner-yang.l[ADD], lib/smi.c,
	  lib/smi.h.in: Added yang parser.

2008-09-16 07:11  schoenw

	* [r1619] lib/smi.c: Patch from Vincent Bernat <bernat@luffy.cx> to
	  fix the rendering of
	  derived octet strings without a type name.

2008-07-15 21:46  schoenw

	* [r1618] tools/dump-scli.c: Added support for fixed length string
	  types.

2008-07-02 10:56  strauss

	* [r1617] mibs/tubs/TUBS-SMI: Added tubs.ida registration.

2008-06-06 16:33  schoenw

	* [r1616] lib/error.c, lib/parser-smi.c, lib/parser-smi.y: Better
	  heuristics to identify row and column nodes. Generate an error
	  if a row node does not have an index information.

2008-04-22 07:26  schoenw

	* [r1615] win/config.nmake: Added a missing !ELSE - thanks to
	  Andrew Hood.

2008-04-18 12:56  strauss

	* [r1614] ChangeLog, configure.in, lib/parser-smi.c,
	  lib/parser-smi.y, lib/smi.h.in, mibs/ietf/MIDCOM-MIB[ADD],
	  mibs/ietf/PKTC-IETF-SIG-MIB[ADD], test/dumps/corba/IF_MIB.idl,
	  test/dumps/corba/MAU_MIB.idl, test/dumps/corba/RMON2_MIB.idl,
	  test/dumps/corba/SNMPv2_MIB.idl, test/dumps/python/IF-MIB,
	  test/dumps/python/MAU-MIB, test/dumps/python/RMON2-MIB,
	  test/dumps/python/SNMPv2-MIB, test/dumps/yang/IF-MIB,
	  tools/Makefile.am, tools/dump-compliance.c, tools/dump-corba.c,
	  tools/dump-metrics.c, tools/dump-mosy.c, tools/dump-netsnmp.c,
	  tools/dump-perl.c, tools/dump-python.c, tools/dump-scli.c,
	  tools/dump-sizes.c, tools/dump-smi.c, tools/dump-sming.c,
	  tools/dump-sppi.c, tools/dump-svg.c, tools/dump-tree.c,
	  tools/dump-types.c, tools/dump-xml.c, tools/dump-xsd.c,
	  tools/dump-yang.c, tools/smicache.in, tools/smidiff.c,
	  win/config.h:

2008-04-18 07:51  schoenw

	* [r1613] win/makefile: Don't include local.nmake since a
	  non-existing local.nmake causes make
	  to fail.

2008-04-18 07:50  schoenw

	* [r1612] win/config.h: Fixed a comment typo.

2008-04-17 18:14  schoenw

	* [r1611] win/config.nmake: Setting property svn:keywords to Id.

2008-04-17 18:12  schoenw

	* [r1610] win/README.win, win/config.h, win/config.h.in,
	  win/config.nmake: More MSVC patches from Anders Broman
	  <anders.broman@ericsson.com>.

2008-04-17 11:14  schoenw

	* [r1609] lib/smi.c: Make smiRenderOID() backtrack in case the
	  longest matching node for a
	  given OID does not have a name and we are asked to render with a
	  name.
	  For example, with the definition foo OBJECT IDENTIFIER ::= {
	  mib-2 88 1 },
	  we return mib-2.88 if someone wants to render {mib-2 88}.

2008-04-17 10:56  schoenw

	* [r1608] win/config.nmake: Resetting the paths to the default for
	  backwards consistency.

2008-04-17 10:54  schoenw

	* [r1607] win/config.nmake[ADD], win/makefile, win/smi.def[ADD]:
	  New makefiles and things from Anders Broman
	  <anders.broman@ericsson.com>
	  and Andrew Hood <ajhood@fl.net.au> to build properly with MSVC.

2008-04-16 14:26  schoenw

	* [r1606] lib/smi.c: Prevent smiRenderOID from crashing due to a
	  NULL pointer coming from a
	  node without a name.

2008-04-16 14:25  schoenw

	* [r1605] lib/smi.h.in, lib/util.h: Exported the wrapper functions
	  for malloc() and friends so that people
	  can call the right allocator / deallocator.

2008-04-15 14:31  schoenw

	* [r1604] win/win.h: More #defines to work around Microsofts trend
	  to prefix all non ANSI
	  standard functions with an underscore, regardless how commonly
	  they
	  are used.

2008-04-14 19:31  schoenw

	* [r1603] win/makefile: Another patch from Anders Broman
	  <anders.broman@ericsson.com> to
	  build a .dll.

2008-04-14 09:20  schoenw

	* [r1602] tools/shhopt.h: Patch from Anders Broman
	  <anders.broman@ericsson.com> to build libsmi
	  as a .dll.

2008-04-11 13:25  schoenw

	* [r1601] tools/dstring.c, tools/fprint.c, win/win.h: Applied a
	  patch from Anders Broman <anders.broman@ericsson.com>.

2008-03-28 21:56  schoenw

	* [r1600] THANKS: Acknowledge Anders Broman
	  <anders.broman@ericsson.com> for Win32 patches.

2008-03-28 21:55  schoenw

	* [r1599] tools/dump-yang.c, tools/smidiff.c: Some more fixes to
	  reduce compiler warnings.

2008-03-28 10:06  schoenw

	* [r1598] win/config.h: Defining HAVE_LIMITS_H since this seems to
	  solve problems with MSVC6.

2008-03-27 21:25  schoenw

	* [r1597] lib/data.h, lib/parser-sming.y: Some more compiler
	  warning fixes submitted by Andrew Hood
	  <mithrandir@alwaysonline.net.au>.

2008-03-27 21:16  schoenw

	* [r1596] tools/smixlate.c: Added a bunch of type casts to make
	  MSVC6 generate less warnings. This
	  was motivated by Anders Broman <anders.broman@ericsson.com>.

2008-03-27 14:12  schoenw

	* [r1595] win/win.h: It seems MSCV6 and MSCV8 both need the
	  strtof() hack.

2008-03-22 16:19  schoenw

	* [r1594] configure.in, tools/dstring.h, win/Makefile.mingw,
	  win/makefile: Patches from Andrew Hood <ajhood@fl.net.au> to
	  improve Win32 portability.

2008-03-22 16:09  schoenw

	* [r1593] tools/dump-yang.c: Notification leafs are always config
	  false.

2008-03-21 17:27  schoenw

	* [r1592] tools/dump-yang.c: Fixing some problems with the
	  --yang-smi extensions.

2008-03-11 19:29  schoenw

	* [r1591] tools/Makefile.am, tools/dump-boilerplate.c[ADD],
	  tools/smidump.c, tools/smidump.h: Added the -f boilerplate
	  backend to help with security reviews.

2008-03-06 23:20  schoenw

	* [r1590] win/makefile: Another update of the makefile from Yigal.

2008-03-06 23:16  schoenw

	* [r1589] win/win.h: Added a hack for missing strtof() missing on
	  some compilers.

2008-03-04 13:03  schoenw

	* [r1588] lib/smi.h.in: One more Windows compatibility patch.

2008-03-02 23:02  schoenw

	* [r1587] lib/parser-sming.y, win/win.h: More Windows fixes,
	  inspired from patches by Yigal Hochberg
	  <hochberg@dmhsoftware.com>.

2008-03-02 19:50  schoenw

	* [r1586] lib/parser-sming.y, win/config.h: Another portability
	  fix.

2008-03-02 19:49  schoenw

	* [r1585] tools/smidump.c: Patch from Andrew Hood
	  <ajhood@fl.net.au> to make &n work on MSC
	  versions where &n printf arguments are disabled by default.

2008-03-02 19:03  schoenw

	* [r1584] configure.in, lib/smi.c, lib/smi.h.in,
	  tools/dump-sming.c, tools/smixlate.c, win/config.h, win/makefile:
	  Several fixes from Yigal Hochberg <hochberg@dmhsoftware.com>.

2008-03-02 06:42  schoenw

	* [r1583] tools/fortopat.c: Applied patch from Andrew Hood
	  <ajhood@fl.net.au>.

2008-03-02 06:41  schoenw

	* [r1582] lib/smi.c, lib/smi.h.in: Applied C90 patch from Andrew
	  Hood <ajhood@fl.net.au>.

2008-03-01 13:53  schoenw

	* [r1581] tools/dstring.c, tools/dump-metrics.c,
	  tools/dump-sming.c, tools/dump-svg.c, tools/fortopat.c,
	  tools/rea.c, tools/smidiff.c: Code cleanup; mainly turning C99
	  comments into ansi comments.

2008-03-01 13:22  schoenw

	* [r1580] lib/data.c, lib/smi.c: trying to make pre c99 compilers
	  (gcc -ansi) happy

2008-03-01 13:11  schoenw

	* [r1579] THANKS: Updated Andrew Hood's email address.

2008-02-27 15:41  schoenw

	* [r1578] tools/Makefile.am: Make sure dstring.h is included in the
	  tar ball.

2008-02-27 14:33  schoenw

	* [r1577] tools/Makefile.am: Make sure fprint.h gets into the tar
	  ball.

2008-02-27 13:55  schoenw

	* [r1576] win/Makefile.mingw, win/README.mingw: Added convenience
	  target to create a zip archive.

2008-02-27 13:49  schoenw

	* [r1575] win/Makefile.mingw: Make the cross-compile work again.

2008-02-27 10:23  strauss

	* [r1574] COPYING, ChangeLog, README, configure.in,
	  mibs/ietf/EFM-CU-MIB[ADD], mibs/ietf/IF-CAP-STACK-MIB[ADD],
	  mibs/ietf/IPMCAST-MIB[ADD], mibs/ietf/LANGTAG-TC-MIB[ADD],
	  mibs/ietf/PIM-STD-MIB[ADD], mibs/ietf/UDPLITE-MIB[ADD],
	  mibs/ietf/URI-TC-MIB[ADD], test/dumps/corba/IF_MIB.idl,
	  test/dumps/corba/MAU_MIB.idl, test/dumps/corba/RMON2_MIB.idl,
	  test/dumps/corba/SNMPv2_MIB.idl, test/dumps/python/IF-MIB,
	  test/dumps/python/MAU-MIB, test/dumps/python/RMON2-MIB,
	  test/dumps/python/SNMPv2-MIB, test/smidiff/Printer-MIB.diff,
	  win/config.h: Updated checks.
	  Updated IETF MIBs.
	  Released 0.4.6.

2008-02-27 08:17  schoenw

	* [r1573] mibs/iana/IANA-CHARSET-MIB, mibs/iana/IANAifType-MIB:
	  Updated the IANA maintained MIB modules.

2008-02-22 13:34  tklie

	* [r1572] tools/dump-xsd.c: Added annotations for index elements
	  with display hints

2008-02-15 08:09  schoenw

	* [r1571] TODO: Added a TODO item to warn about multiple imports.

2008-02-15 08:09  schoenw

	* [r1570] THANKS, configure.in, lib/Makefile.am,
	  lib/smi_attribute.3.in[ADD], lib/smi_class.3.in[ADD],
	  lib/smi_event.3.in[ADD], lib/smi_identity.3.in[ADD]: Added the
	  documentation for the SMIng extensions.

2008-02-15 07:49  schoenw

	* [r1569] lib/data.c, lib/data.h, lib/error.c, lib/parser-sming.y,
	  lib/scanner-sming.l, lib/smi.c, lib/smi.h.in, tools/dump-sming.c:
	  Replacing Frank's pre SMIng implementation with Kaloyan's RFC
	  3780
	  SMIng implementation.

2008-02-06 09:15  schoenw

	* [r1568] lib/data.c: Make sure that smiGetNode(NULL,NULL) returns
	  NULL instead of segfaulting
	  somewhere in strcmp().

2008-02-06 06:33  schoenw

	* [r1567] test/dumps/sming/MAU-MIB: Fixed the reference SMIng dump
	  for the MAU-MIB.

2008-02-05 21:35  schoenw

	* [r1566] tools/dump-smi.c: Fixing a bug that was introduced in
	  r6326. The set of SMIv2 base
	  types is different from the set of libsmi basetypes and so we
	  have to be careful how far we follow the type chain towards the
	  root.

2008-02-05 21:35  schoenw

	* [r1565] test/dumps/orig-smiv2/MAU-MIB,
	  test/dumps/smilint-smiv2/MAU-MIB, test/dumps/smiv1/MAU-MIB,
	  test/dumps/smiv2-smiv2/MAU-MIB, test/dumps/smiv2/MAU-MIB: Fixed a
	  few more regression test cases due to the MAU-MIB update.

2008-02-05 15:31  schoenw

	* [r1564] test/dumps/cm/MAU-MIB, test/dumps/corba/MAU_MIB.idl,
	  test/dumps/corba/MAU_MIB.oid, test/dumps/identifiers/MAU-MIB,
	  test/dumps/imports/MAU-MIB, test/dumps/metrics/MAU-MIB,
	  test/dumps/mosy/MAU-MIB, test/dumps/netsnmp/if-mib-mgr-stub.c,
	  test/dumps/netsnmp/mau-mib-mgr-stub.c,
	  test/dumps/netsnmp/mau-mib.h,
	  test/dumps/netsnmp/rmon2-mib-mgr-stub.c,
	  test/dumps/netsnmp/snmpv2-mib-mgr-stub.c,
	  test/dumps/python/IF-MIB, test/dumps/python/MAU-MIB,
	  test/dumps/python/RMON2-MIB, test/dumps/python/SNMPv2-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB, test/dumps/tree/MAU-MIB,
	  test/dumps/types/MAU-MIB, test/dumps/xml/MAU-MIB,
	  test/dumps/yang/IF-MIB, test/dumps/yang/MAU-MIB,
	  test/dumps/yang/RMON2-MIB, test/dumps/yang/SNMPv2-MIB,
	  test/mibs/LIBSMI-TEST-010-MIB, test/mibs/LIBSMI-TEST-014-MIB:
	  Several regression tests were failing for various reasons
	  (MAU-MIB was
	  updated, some new features added to libsmi). This checkin
	  resolves fixes
	  those issues where simply the template was not current anymore.

2008-02-05 10:54  schoenw

	* [r1563] tools/dump-xsd.c: Simplifies some way too complex code
	  (and there is more of this).

2008-02-05 10:34  schoenw

	* [r1562] lib/smi.h.in: Fixed the function prototype of
	  smiGetMinMaxRange().

2008-02-05 10:32  schoenw

	* [r1561] lib/smi.c, lib/smi.h.in, tools/dump-perl.c,
	  tools/dump-python.c: Fixing the ranges output produced by the
	  perl and python drivers. Added
	  a new public function smiGetMinMaxRange() to reduce code
	  duplication.

2008-02-05 09:20  schoenw

	* [r1560] lib/parser-smi.c, lib/parser-smi.y, lib/smi.h.in,
	  tools/dump-sizes.c, tools/dump-xsd.c: Introducing defines for
	  SMI_INTEGER32_MIN, SMI_INTEGER32_MAX, ... to have
	  a consistent way of dealing with these constants.

2008-02-04 15:01  schoenw

	* [r1559] tools/dump-perl.c, tools/dump-python.c: Report the
	  implied bit for implied indexes.

2008-01-31 15:29  schoenw

	* [r1558] lib/check.c: Fixed a core dump when multiple enums used
	  the same value, reported
	  by Arndt Jonasson <arndt@tail-f.com> in libsmi mailing list
	  message
	  Message-ID: <18337.46232.456155.423995@jurij2.tail-f.com>

2008-01-22 13:05  schoenw

	* [r1557] tools/smidump.1.in: Improved the documentation of the
	  sizes driver.

2008-01-22 13:01  schoenw

	* [r1556] tools/dump-sizes.c: Be more explicity what the sizes
	  driver calculates.

2008-01-22 12:38  schoenw

	* [r1555] mibs/irtf/IRTF-NMRG-SMING-TYPES: Fixed syntax errors.

2007-12-03 11:59  schoenw

	* [r1554] tools/dump-xsd.c: Use sizeof(SmiUnsigned32) and not just
	  4 since the actual size is machine
	  dependent.

2007-11-11 20:44  schoenw

	* [r1553] lib/check.c, lib/error.c: Generate an error message if a
	  RowStatus column is read-only or something
	  like that. I am not yet checking derived types. Suggested by
	  David Perkins.

2007-11-10 10:08  schoenw

	* [r1552] tools/dump-yang.c: Disambiguate variables that occure
	  multiple times in notifications, e.g.
	  
	  mplsXCUp NOTIFICATION-TYPE
	  OBJECTS { mplsXCOperStatus, -- start of range
	  mplsXCOperStatus -- end of range
	  
	  This now leads to containers such as the following:
	  
	  notification mplsXCUp {
	  container mplsXCUp-mplsXCOperStatus-1 {}
	  container mplsXCUp-mplsXCOperStatus-2 {}
	  }

2007-11-10 09:25  schoenw

	* [r1551] tools/dump-yang.c: Make sure we can handle columns from
	  augmenting tables.

2007-11-10 09:10  schoenw

	* [r1550] tools/dump-yang.c: Notification variables are now wrapped
	  in containers and we generate
	  instance identification information for each separate container;
	  this is
	  somewhat verbose but should cover all cases.

2007-11-06 10:00  schoenw

	* [r1549] tools/fortopat.c: Applied another patch provided by Arndt
	  Jonasson <arndt@tail-f.com>.

2007-11-02 18:48  schoenw

	* [r1548] tools/fortopat.c: Fixed a stupid copying error, thanks to
	  Arndt Jonasson <arndt@tail-f.com>.

2007-10-30 11:27  schoenw

	* [r1547] tools/fortopat.c: Fixed another regular expression
	  related typo.

2007-10-29 16:23  schoenw

	* [r1546] tools/dump-yang.c: Martin Bjorklund wants some nicer
	  prefixes so he gets them.

2007-10-29 12:19  schoenw

	* [r1545] tools/fortopat.c: Generate \p{IsBasicLatin} instead of
	  \{isBasicLatin}.

2007-10-23 19:19  schoenw

	* [r1544] tools/dump-yang.c: Get rid of RFC1155-SMI types by
	  replacing them with proper yang types.

2007-10-23 09:27  schoenw

	* [r1543] tools/dump-yang.c: The binary type is a YANG builtin
	  type.

2007-10-22 21:40  schoenw

	* [r1542] tools/dump-yang.c: Create proper imports for
	  yang-types:object-identifier (mapped from
	  the ASN.1 OBJECT IDENTIFIER which is not imported). In addition,
	  we are
	  now mapping SNMPv2-SMI:Opaque to yang-types:binary.

2007-10-22 13:02  schoenw

	* [r1541] tools/dump-yang.c: Never import from the modules
	  SNMPv2-SMI and SNMPv2-CONF.

2007-10-22 12:32  schoenw

	* [r1540] tools/dump-yang.c, tools/fortopat.c: Fixed some xsd
	  pattern, documented that this is at the moment broken.

2007-10-19 23:54  schoenw

	* [r1539] tools/dump-yang.c: Removed some dead code, started to
	  generate XSD pattern. More work needed
	  since I do not trust the format to pattern code; we probably need
	  a collection
	  of specific test cases for this...

2007-10-19 23:40  schoenw

	* [r1538] tools/Makefile.am, tools/dump-xsd.c,
	  tools/fortopat.c[ADD], tools/fortopat.h[ADD], tools/rea.h: Moved
	  the format string to xsd pattern translation code out of the
	  dump-xsd.c driver into a separate module so that it can be reused
	  by the dump-yang.c driver.

2007-10-19 22:33  schoenw

	* [r1537] TODO, configure.in, test/Makefile.am,
	  test/dumps/Makefile.am, test/dumps/yang[ADD],
	  test/dumps/yang/IF-MIB[ADD], test/dumps/yang/MAU-MIB[ADD],
	  test/dumps/yang/Makefile.am[ADD], test/dumps/yang/RMON2-MIB[ADD],
	  test/dumps/yang/SNMPv2-MIB[ADD], test/smidump-yang.test.in[ADD]:
	  Added the usual regression test cases for the yang driver.

2007-10-17 20:03  schoenw

	* [r1536] tools/dump-yang.c: Fixed a core dump in the keyref path
	  generation for notifications.

2007-10-17 15:26  tklie

	* [r1535] tools/dump-xsd.c: Added comments, documentation, and some
	  easier code for display hint to
	  xsd:pattern conversion.

2007-10-17 11:25  schoenw

	* [r1534] tools/dump-yang.c: The key argument is space separated
	  and not comma separated.

2007-10-16 22:37  schoenw

	* [r1533] tools/dump-yang.c: Removed a debugging message.

2007-10-16 22:36  schoenw

	* [r1532] tools/dump-yang.c: Print config statements before the
	  status statements.

2007-10-04 10:57  schoenw

	* [r1531] tools/dump-yang.c: Smarter handling of imports; always
	  keep one hyphen in a prefix.

2007-10-03 20:01  schoenw

	* [r1530] tools/dump-yang.c: Almost "editorial" updates.

2007-10-03 19:52  schoenw

	* [r1529] tools/dump-yang.c: Fixed the type generation again;
	  hopefully we got this right now.

2007-10-02 08:38  strauss

	* [r1528] lib/parser-smi.y, test/dumps/smilint-smiv2/RMON2-MIB:
	  Fixed segfault when a (binary) string DEFVAL is used for
	  an object type with a "BITS" syntax. Thanks to Arndt.

2007-10-01 21:36  schoenw

	* [r1527] tools/dump-yang.c: Moved all augments to the top-level.

2007-09-28 21:26  schoenw

	* [r1526] tools/dump-yang.c: Tried to fix the acces for keyrefs.
	  Added some initial notification code
	  (but the details are unclear).

2007-09-28 20:43  schoenw

	* [r1525] tools/dump-smi.c, tools/dump-yang.c: Fixed the yang
	  driver to generate proper subtype information for typedefs.
	  Fixed a similar but totally unrelated bug in the smi driver which
	  I think
	  was introduced in r6326.

2007-09-28 15:09  schoenw

	* [r1524] tools/dump-yang.c: Updates to reflect minor YANG changes.

2007-09-28 13:46  schoenw

	* [r1523] tools/dump-yang.c: Minor fix from mbj@tail-f.com.

2007-09-28 06:48  schoenw

	* [r1522] tools/dump-yang.c, tools/fprint.c, tools/fprint.h,
	  tools/rea.c, tools/rea.h: Set the svn:keyword Id option so we get
	  useful version statements.

2007-09-28 06:45  schoenw

	* [r1521] tools/dump-yang.c: Fixed a few bugs, changed default
	  indentation to 2, added an option to set
	  the indentation from the command line.

2007-09-27 20:22  schoenw

	* [r1520] tools/dump-yang.c, win/Makefile.mingw, win/makefile:
	  Minor updates to keep win32 people updated...

2007-09-27 19:48  schoenw

	* [r1519] tools/Makefile.am, tools/dump-sming.c,
	  tools/dump-smiv3.c[DEL], tools/dump-yang.c, tools/fprint.c[ADD],
	  tools/fprint.h[ADD], tools/smidump.c, tools/smidump.h: Started to
	  move common fprint() functions into a reusable module. Many
	  updates
	  to the yang output driver (first halfway complete version).
	  Dropped the smiv3
	  output driver.

2007-09-25 21:22  schoenw

	* [r1518] tools/dump-yang.c: Added the --yang-smi option; place
	  lists in their respective container;
	  fixed the printing of enumerations. Still lots of type
	  definitions are
	  wrong and lots of other stuff (augments, keys) needs to be worked
	  out.

2007-09-25 16:25  schoenw

	* [r1517] tools/dump-yang.c: More yang stuff and still lots of work
	  to be done...

2007-09-24 14:36  schoenw

	* [r1516] tools/Makefile.am, tools/dump-yang.c[ADD],
	  tools/smidump.c, tools/smidump.h: Initial version of a yang
	  output driver.

2007-09-03 13:44  strauss

	* [r1515] ChangeLog, mibs/ietf/T11-FC-RSCN-MIB[ADD]: Added IETF MIB
	  T11-FC-RSCN-MIB (RFC 4983).

2007-08-22 06:17  schoenw

	* [r1514] THANKS: Added Luis EG Ontanon <luis.ontanon@gmail.com>.

2007-08-22 06:16  schoenw

	* [r1513] lib/parser-smi.c: Regenerated parser-smi.c.

2007-08-22 06:15  schoenw

	* [r1512] lib/parser-smi.y: Check for a NULL pointer being passed
	  to strcmp() as suggested by Luis
	  EG Ontanon <luis.ontanon@gmail.com>.

2007-08-08 09:18  strauss

	* [r1511] ChangeLog, mibs/ietf/ISNS-MIB[ADD],
	  mibs/ietf/T11-FC-FABRIC-CONFIG-SERVER-MIB[ADD],
	  mibs/ietf/T11-FC-FABRIC-LOCK-MIB[ADD],
	  mibs/ietf/T11-FC-ZONE-SERVER-MIB[ADD]: Added IETF MIBs from RFCs
	  4935,4936,4939.

2007-08-02 16:16  schoenw

	* [r1510] lib/check.c: Check for missing display-hints also for
	  OCTET STRING base types.

2007-07-19 14:56  strauss

	* [r1509] ChangeLog, mibs/ietf/DOT3-EPON-MIB[ADD],
	  mibs/ietf/DOT3-OAM-MIB[ADD]:

2007-06-08 11:54  strauss

	* [r1508] ChangeLog, mibs/ietf/TCP-ESTATS-MIB[ADD]:

2007-05-24 12:14  strauss

	* [r1507] ChangeLog:

2007-05-24 11:49  strauss

	* [r1506] README:

2007-05-08 10:43  schoenw

	* [r1505] tools/dump-scli.c: Generate thread safe stubs by avoiding
	  to patch values into static
	  OID arrays.

2007-05-08 06:06  strauss

	* [r1504] ChangeLog, mibs/iana/IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  mibs/iana/IANA-CHARSET-MIB, mibs/iana/IANA-FINISHER-MIB,
	  mibs/iana/IANA-GMPLS-TC-MIB,
	  mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB,
	  mibs/iana/IANA-ITU-ALARM-TC-MIB, mibs/iana/IANA-LANGUAGE-MIB,
	  mibs/iana/IANA-MALLOC-MIB, mibs/iana/IANA-MAU-MIB,
	  mibs/iana/IANA-PRINTER-MIB, mibs/iana/IANA-RTPROTO-MIB,
	  mibs/iana/IANATn3270eTC-MIB, mibs/iana/IANAifType-MIB,
	  mibs/ietf/MAU-MIB, mibs/ietf/SIP-COMMON-MIB[ADD],
	  mibs/ietf/SIP-SERVER-MIB[ADD], mibs/ietf/SIP-TC-MIB[ADD],
	  mibs/ietf/SIP-UA-MIB[ADD]:

2007-04-04 13:55  strauss

	* [r1503] ChangeLog, mibs/ietf/DS1-MIB,
	  mibs/ietf/IPSEC-SPD-MIB[ADD]:

2007-03-21 12:30  schoenw

	* [r1502] tools/dump-perl.c: Patch from Bill Fenner to deal
	  gracefully with broken imports in the
	  perl driver.

2007-03-13 21:53  schoenw

	* [r1501] tools/dump-corba.c, tools/dump-mosy.c, tools/dump-perl.c,
	  tools/dump-python.c, tools/dump-smi.c, tools/dump-sming.c,
	  tools/dump-smiv3.c, tools/dump-sppi.c, tools/dump-svg.c,
	  tools/dump-types.c, tools/dump-xml.c, tools/dump-xsd.c,
	  tools/smidiff.c: Replaced the static buffer in fprint() with a
	  dynamic buffer; increased the
	  size of the static buffer used by getValueString() and friends
	  from 100 bytes
	  to 1024 bytes. (The later is not a real fix, perhaps more during
	  my trip
	  to the next IETF.)

2007-03-13 21:49  schoenw

	* [r1500] tools/dstring.h: Trying to simplify the handling of
	  'inline'.

2007-03-05 15:05  strauss

	* [r1499] mibs/iana/IANA-GMPLS-TC-MIB:

2007-03-05 14:59  strauss

	* [r1498] ChangeLog, mibs/iana/IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  mibs/iana/IANA-CHARSET-MIB, mibs/iana/IANA-GMPLS-TC-MIB[ADD],
	  mibs/iana/IANA-IPPM-METRICS-REGISTRY-MIB[ADD],
	  mibs/iana/IANA-ITU-ALARM-TC-MIB[ADD],
	  mibs/iana/IANA-MAU-MIB[ADD], mibs/iana/IANAifType-MIB,
	  mibs/iana/Makefile.am, mibs/ietf/GMPLS-LABEL-STD-MIB[ADD],
	  mibs/ietf/GMPLS-LSR-STD-MIB[ADD],
	  mibs/ietf/GMPLS-TC-STD-MIB[ADD], mibs/ietf/GMPLS-TE-STD-MIB[ADD]:

2007-02-11 13:34  schoenw

	* [r1497] tools/dstring.c, tools/dstring.h: Make inline work on
	  MSVC.

2007-02-11 13:32  schoenw

	* [r1496] win/README.win: Document how to build dump-svg-script.h.

2007-02-07 21:32  schoenw

	* [r1495] tools/dump-svg.c, tools/smidump.c, tools/smidump.h: More
	  portability changes in order to avoid depending on C99 features.

2007-02-07 18:07  schoenw

	* [r1494] tools/dstring.c, tools/dstring.h, tools/rea.h: More Win32
	  portability fixes.

2007-02-06 15:28  schoenw

	* [r1493] tools/rea.c: Renamed again to XPLAIN_DEBUG to resolve the
	  name clash.

2007-02-06 14:42  schoenw

	* [r1492] tools/dstring.c: Fixed a typo that should not have made
	  it's way into the repository...

2007-02-06 14:38  schoenw

	* [r1491] win/Makefile.mingw: Fixed the Makefile so that
	  cross-compiled builds work again.

2007-02-06 13:08  schoenw

	* [r1490] tools/dstring.c, tools/rea.c, win/Makefile.mingw,
	  win/makefile: Changed suggested by Andrew Hood <ajhood@fl.net.au>
	  to make builds on
	  Win32 using MSVC2005 easier.

2007-02-02 15:28  strauss

	* [r1489] lib/error.c, lib/parser-smi.c, lib/parser-smi.y: Imported
	  types in SMIv2 with names of SPPI base types no
	  longer lead to errors, but just warnings and parsing continues.

2007-02-01 08:56  strauss

	* [r1488] ChangeLog, mibs/ietf/ADSL2-LINE-MIB[ADD],
	  mibs/ietf/ADSL2-LINE-TC-MIB[ADD],
	  mibs/ietf/DOCS-CABLE-DEVICE-MIB, mibs/ietf/MSDP-MIB[ADD],
	  mibs/ietf/OSPF-MIB, mibs/ietf/OSPF-TRAP-MIB,
	  mibs/ietf/PKTC-IETF-MTA-MIB[ADD], mibs/ietf/RAQMON-MIB[ADD],
	  mibs/ietf/T11-FC-VIRTUAL-FABRIC-MIB[ADD]:

2007-02-01 08:23  strauss

	* [r1487] lib/scanner-smi.l: Allow a single CR as end-of-line.

2007-01-07 18:20  schoenw

	* [r1486] tools/smixlate.c: Trying to get the white space eating
	  code do the correct thing.

2007-01-05 17:48  schoenw

	* [r1485] tools/smixlate.c: Handle buffered characters at the end
	  of file correctly.

2006-12-26 18:17  schoenw

	* [r1484] tools/smixlate.1.in, tools/smixlate.c: Introduced the -f
	  option to preserve the input layout. By default, we
	  do not try to be smart.

2006-11-26 22:04  schoenw

	* [r1483] tools/dump-smi.c: SMIv2 does not allow to derive a TC
	  from another TC. SMIng, however, allows
	  to derive a typedef from a typedef and so libsmi has no problem
	  to support
	  this. However, while generating SMIv2 output, we should be
	  conservative and
	  only generate a SYNTAX clause for the actual base type (and list
	  the other
	  types as comments).

2006-10-04 13:57  strauss

	* [r1482] ChangeLog, mibs/ietf/LMP-MIB,
	  mibs/ietf/RADIUS-DYNAUTH-CLIENT-MIB[ADD],
	  mibs/ietf/RADIUS-DYNAUTH-SERVER-MIB[ADD],
	  mibs/ietf/T11-FC-FSPF-MIB[ADD], mibs/ietf/T11-FC-ROUTE-MIB[ADD]:

2006-09-26 13:09  strauss

	* [r1481] tools/dump-xsd.c: Patched a patch, again thanks to Arndt.

2006-09-06 09:06  strauss

	* [r1480] ChangeLog, THANKS, autogen.sh: Use glibtool instead of
	  libtool on Darwin.

2006-09-04 13:01  strauss

	* [r1479] tools/dump-xsd.c:

2006-08-30 15:53  strauss

	* [r1478] ChangeLog, THANKS, mibs/ietf/RADIUS-ACC-CLIENT-MIB,
	  mibs/ietf/RADIUS-ACC-SERVER-MIB,
	  mibs/ietf/RADIUS-AUTH-CLIENT-MIB,
	  mibs/ietf/RADIUS-AUTH-SERVER-MIB:

2006-08-21 21:21  schoenw

	* [r1477] configure.in, lib/Makefile.am, lib/smi.c, lib/smi.h.in,
	  lib/smi_util.3.in[ADD], tools/dump-metrics.c,
	  tools/dump-netsnmp.c, tools/dump-scli.c, tools/dump-sizes.c:
	  Added two functions smiGetMinSize() and smiGetMaxSize() which
	  were
	  used already by several backends. Started work on utility
	  functions to
	  pack/unpack OIDs (which also require the smiGetMinSize() and
	  smiGetMinSize() functions).

2006-08-17 22:36  schoenw

	* [r1476] tools/smixlate.c: The default behaviour is now to only
	  translate OIDs which have a scalar,
	  column, table, row, or notification definition. The -a option can
	  be used
	  to force a translation of anything that syntactically looks like
	  a valid
	  OID.

2006-08-17 08:10  schoenw

	* [r1475] lib/smi_node.3.in: Fixed a type in a function prototype.

2006-08-17 08:09  schoenw

	* [r1474] lib/error.c: Changed the error level of
	  index-element-no-size from 1 to 3.

2006-08-16 21:10  schoenw

	* [r1473] tools/dump-compliance.c, tools/dump-identifiers.c,
	  tools/dump-imports.c, tools/dump-mosy.c, tools/dump-smi.c,
	  tools/dump-types.c: Generate warning messages if the parser did
	  hit significant errors.

2006-08-15 22:15  schoenw

	* [r1472] tools/dump-tree.c, tools/smidump.1.in, tools/smidump.c,
	  tools/smidump.h: The default behaviour of smidump is now to abort
	  after significant parse errors unless
	  the -k (--keep-going) option has been specified. The tree backend
	  now generates a
	  warning comment if there was a significant parse error.

2006-07-31 16:58  tklie

	* [r1471] tools/dump-xsd.c: Fixed a problem with repeat characters
	  in display hints that caused
	  smidump to hang.

2006-07-31 16:40  tklie

	* [r1470] tools/dump-xsd.c: Corrected <xsd:pattern> for strings
	  that could be zero.

2006-07-31 16:21  tklie

	* [r1469] tools/dump-xsd.c: Fixed several bugs related to unclosed
	  brackets in <xsd:pattern>.

2006-07-23 21:14  schoenw

	* [r1468] tools/Makefile.am, tools/dstring.c[ADD],
	  tools/dstring.h[ADD], tools/smixlate.c: Use dstrings to avoid
	  potential buffer overflows and to simplify coding.
	  Generate/eat white space characters to preserve ASCII table
	  layouts.

2006-07-15 11:54  strauss

	* [r1467] ChangeLog, mibs/ietf/DISMAN-NSLOOKUP-MIB,
	  mibs/ietf/DISMAN-PING-MIB, mibs/ietf/DISMAN-TRACEROUTE-MIB,
	  mibs/ietf/DOCS-IETF-CABLE-DEVICE-NOTIFICATION-MIB[ADD],
	  mibs/ietf/DOCS-IF-MIB:

2006-07-13 20:56  schoenw

	* [r1466] libsmi.pc.in: Fixed the -I compile flag.

2006-07-12 22:13  schoenw

	* [r1465] THANKS: Acknowledge Randy Couey <coueyr@spawar.navy.mil>
	  for his python/perl
	  range patches.

2006-07-12 22:00  schoenw

	* [r1464] tools/dump-perl.c, tools/dump-python.c: Fixed the
	  generation of output for ranges based on a patch submitted
	  by Randy Couey <coueyr@spawar.navy.mil>.

2006-06-19 12:42  schoenw

	* [r1463] configure.in, tools/Makefile.am,
	  tools/smixlate.1.in[ADD], tools/smixlate.c[ADD], win/makefile:
	  Initial version of smixlate, a Unix-style filter to translate
	  numberic
	  OIDs to identifiers and vice versa.

2006-06-12 08:54  strauss

	* [r1462] ChangeLog, mibs/ietf/IPS-AUTH-MIB[ADD],
	  mibs/ietf/ISCSI-MIB[ADD]:

2006-05-30 23:12  schoenw

	* [r1461] tools/dump-netsnmp.c: Fixed a memory leak in the error
	  path as reported by Adam Kropelin
	  <akropel1@rochester.rr.com>.

2006-05-30 15:17  strauss

	* [r1460] ChangeLog, mibs/ietf/SNMP-USM-AES-MIB[ADD]:

2006-05-29 16:39  strauss

	* [r1459] THANKS:

2006-05-29 16:21  strauss

	* [r1458] lib/libsmi.3.in, lib/smi_config.3.in, lib/smi_macro.3.in,
	  lib/smi_module.3.in, lib/smi_node.3.in, lib/smi_type.3.in,
	  lib/snprintf.h, test/dumps/cm/RMON2-MIB,
	  test/dumps/corba/IF_MIB.idl, test/dumps/corba/MAU_MIB.idl,
	  test/dumps/corba/RMON2_MIB.idl, test/dumps/corba/RMON2_MIB.oid,
	  test/dumps/corba/SNMPv2_MIB.idl, test/dumps/imports/IF-MIB,
	  test/dumps/imports/MAU-MIB, test/dumps/imports/RMON2-MIB,
	  test/dumps/imports/SNMPv2-MIB, test/dumps/jax/AddressMap.java,
	  test/dumps/jax/AddressMapControlEntry.java,
	  test/dumps/jax/AddressMapControlEntryImpl.java,
	  test/dumps/jax/AddressMapControlTable.java,
	  test/dumps/jax/AddressMapEntry.java,
	  test/dumps/jax/AddressMapEntryImpl.java,
	  test/dumps/jax/AddressMapImpl.java,
	  test/dumps/jax/AddressMapTable.java,
	  test/dumps/jax/AlHostEntry.java,
	  test/dumps/jax/AlHostEntryImpl.java,
	  test/dumps/jax/AlHostTable.java,
	  test/dumps/jax/AlMatrixDSEntry.java,
	  test/dumps/jax/AlMatrixDSEntryImpl.java,
	  test/dumps/jax/AlMatrixDSTable.java,
	  test/dumps/jax/AlMatrixSDEntry.java,
	  test/dumps/jax/AlMatrixSDEntryImpl.java,
	  test/dumps/jax/AlMatrixSDTable.java,
	  test/dumps/jax/AlMatrixTopNControlEntry.java,
	  test/dumps/jax/AlMatrixTopNControlEntryImpl.java,
	  test/dumps/jax/AlMatrixTopNControlTable.java,
	  test/dumps/jax/AlMatrixTopNEntry.java,
	  test/dumps/jax/AlMatrixTopNEntryImpl.java,
	  test/dumps/jax/AlMatrixTopNTable.java,
	  test/dumps/jax/AuthenticationFailure.java,
	  test/dumps/jax/BroadMauBasicEntry.java,
	  test/dumps/jax/BroadMauBasicEntryImpl.java,
	  test/dumps/jax/BroadMauBasicTable.java,
	  test/dumps/jax/Channel2Entry.java,
	  test/dumps/jax/Channel2EntryImpl.java,
	  test/dumps/jax/Channel2Table.java, test/dumps/jax/ColdStart.java,
	  test/dumps/jax/EtherStats2Entry.java,
	  test/dumps/jax/EtherStats2EntryImpl.java,
	  test/dumps/jax/EtherStats2Table.java,
	  test/dumps/jax/Filter2Entry.java,
	  test/dumps/jax/Filter2EntryImpl.java,
	  test/dumps/jax/Filter2Table.java,
	  test/dumps/jax/HistoryControl2Entry.java,
	  test/dumps/jax/HistoryControl2EntryImpl.java,
	  test/dumps/jax/HistoryControl2Table.java,
	  test/dumps/jax/HlHostControlEntry.java,
	  test/dumps/jax/HlHostControlEntryImpl.java,
	  test/dumps/jax/HlHostControlTable.java,
	  test/dumps/jax/HlMatrixControlEntry.java,
	  test/dumps/jax/HlMatrixControlEntryImpl.java,
	  test/dumps/jax/HlMatrixControlTable.java,
	  test/dumps/jax/HostControl2Entry.java,
	  test/dumps/jax/HostControl2EntryImpl.java,
	  test/dumps/jax/HostControl2Table.java,
	  test/dumps/jax/IfEntry.java, test/dumps/jax/IfEntryImpl.java,
	  test/dumps/jax/IfJackEntry.java,
	  test/dumps/jax/IfJackEntryImpl.java,
	  test/dumps/jax/IfJackTable.java,
	  test/dumps/jax/IfMIBObjects.java,
	  test/dumps/jax/IfMIBObjectsImpl.java,
	  test/dumps/jax/IfMauAutoNegEntry.java,
	  test/dumps/jax/IfMauAutoNegEntryImpl.java,
	  test/dumps/jax/IfMauAutoNegTable.java,
	  test/dumps/jax/IfMauEntry.java,
	  test/dumps/jax/IfMauEntryImpl.java,
	  test/dumps/jax/IfMauJabberTrap.java,
	  test/dumps/jax/IfMauTable.java,
	  test/dumps/jax/IfRcvAddressEntry.java,
	  test/dumps/jax/IfRcvAddressEntryImpl.java,
	  test/dumps/jax/IfRcvAddressTable.java,
	  test/dumps/jax/IfStackEntry.java,
	  test/dumps/jax/IfStackEntryImpl.java,
	  test/dumps/jax/IfStackTable.java, test/dumps/jax/IfTable.java,
	  test/dumps/jax/IfTestEntry.java,
	  test/dumps/jax/IfTestEntryImpl.java,
	  test/dumps/jax/IfTestTable.java, test/dumps/jax/IfXEntry.java,
	  test/dumps/jax/IfXEntryImpl.java, test/dumps/jax/IfXTable.java,
	  test/dumps/jax/Interfaces.java,
	  test/dumps/jax/InterfacesImpl.java, test/dumps/jax/LinkDown.java,
	  test/dumps/jax/LinkUp.java,
	  test/dumps/jax/MatrixControl2Entry.java,
	  test/dumps/jax/MatrixControl2EntryImpl.java,
	  test/dumps/jax/MatrixControl2Table.java,
	  test/dumps/jax/NetConfigEntry.java,
	  test/dumps/jax/NetConfigEntryImpl.java,
	  test/dumps/jax/NetConfigTable.java,
	  test/dumps/jax/NlHostEntry.java,
	  test/dumps/jax/NlHostEntryImpl.java,
	  test/dumps/jax/NlHostTable.java,
	  test/dumps/jax/NlMatrixDSEntry.java,
	  test/dumps/jax/NlMatrixDSEntryImpl.java,
	  test/dumps/jax/NlMatrixDSTable.java,
	  test/dumps/jax/NlMatrixSDEntry.java,
	  test/dumps/jax/NlMatrixSDEntryImpl.java,
	  test/dumps/jax/NlMatrixSDTable.java,
	  test/dumps/jax/NlMatrixTopNControlEntry.java,
	  test/dumps/jax/NlMatrixTopNControlEntryImpl.java,
	  test/dumps/jax/NlMatrixTopNControlTable.java,
	  test/dumps/jax/NlMatrixTopNEntry.java,
	  test/dumps/jax/NlMatrixTopNEntryImpl.java,
	  test/dumps/jax/NlMatrixTopNTable.java,
	  test/dumps/jax/ProbeConfig.java,
	  test/dumps/jax/ProbeConfigImpl.java,
	  test/dumps/jax/ProtocolDir.java,
	  test/dumps/jax/ProtocolDirEntry.java,
	  test/dumps/jax/ProtocolDirEntryImpl.java,
	  test/dumps/jax/ProtocolDirImpl.java,
	  test/dumps/jax/ProtocolDirTable.java,
	  test/dumps/jax/ProtocolDistControlEntry.java,
	  test/dumps/jax/ProtocolDistControlEntryImpl.java,
	  test/dumps/jax/ProtocolDistControlTable.java,
	  test/dumps/jax/ProtocolDistStatsEntry.java,
	  test/dumps/jax/ProtocolDistStatsEntryImpl.java,
	  test/dumps/jax/ProtocolDistStatsTable.java,
	  test/dumps/jax/RingStationControl2Entry.java,
	  test/dumps/jax/RingStationControl2EntryImpl.java,
	  test/dumps/jax/RingStationControl2Table.java,
	  test/dumps/jax/RpJackEntry.java,
	  test/dumps/jax/RpJackEntryImpl.java,
	  test/dumps/jax/RpJackTable.java, test/dumps/jax/RpMauEntry.java,
	  test/dumps/jax/RpMauEntryImpl.java,
	  test/dumps/jax/RpMauJabberTrap.java,
	  test/dumps/jax/RpMauTable.java,
	  test/dumps/jax/SerialConfigEntry.java,
	  test/dumps/jax/SerialConfigEntryImpl.java,
	  test/dumps/jax/SerialConfigTable.java,
	  test/dumps/jax/SerialConnectionEntry.java,
	  test/dumps/jax/SerialConnectionEntryImpl.java,
	  test/dumps/jax/SerialConnectionTable.java,
	  test/dumps/jax/Snmp.java, test/dumps/jax/SnmpImpl.java,
	  test/dumps/jax/SnmpSet.java, test/dumps/jax/SnmpSetImpl.java,
	  test/dumps/jax/SnmpTrap.java, test/dumps/jax/SnmpTrapImpl.java,
	  test/dumps/jax/SourceRoutingStats2Entry.java,
	  test/dumps/jax/SourceRoutingStats2EntryImpl.java,
	  test/dumps/jax/SourceRoutingStats2Table.java,
	  test/dumps/jax/SysOREntry.java,
	  test/dumps/jax/SysOREntryImpl.java,
	  test/dumps/jax/SysORTable.java, test/dumps/jax/System.java,
	  test/dumps/jax/SystemImpl.java,
	  test/dumps/jax/TokenRingMLStats2Entry.java,
	  test/dumps/jax/TokenRingMLStats2EntryImpl.java,
	  test/dumps/jax/TokenRingMLStats2Table.java,
	  test/dumps/jax/TokenRingPStats2Entry.java,
	  test/dumps/jax/TokenRingPStats2EntryImpl.java,
	  test/dumps/jax/TokenRingPStats2Table.java,
	  test/dumps/jax/TrapDestEntry.java,
	  test/dumps/jax/TrapDestEntryImpl.java,
	  test/dumps/jax/TrapDestTable.java,
	  test/dumps/jax/UsrHistoryControlEntry.java,
	  test/dumps/jax/UsrHistoryControlEntryImpl.java,
	  test/dumps/jax/UsrHistoryControlTable.java,
	  test/dumps/jax/UsrHistoryEntry.java,
	  test/dumps/jax/UsrHistoryEntryImpl.java,
	  test/dumps/jax/UsrHistoryObjectEntry.java,
	  test/dumps/jax/UsrHistoryObjectEntryImpl.java,
	  test/dumps/jax/UsrHistoryObjectTable.java,
	  test/dumps/jax/UsrHistoryTable.java,
	  test/dumps/jax/WarmStart.java, test/dumps/metrics/IF-MIB,
	  test/dumps/metrics/MAU-MIB, test/dumps/metrics/RMON2-MIB,
	  test/dumps/metrics/SNMPv2-MIB, test/dumps/mosy/IF-MIB,
	  test/dumps/mosy/MAU-MIB, test/dumps/mosy/RMON2-MIB,
	  test/dumps/mosy/SNMPv2-MIB, test/dumps/netsnmp/rmon2-mib.h,
	  test/dumps/orig-smiv2/RMON2-MIB, test/dumps/python/IF-MIB,
	  test/dumps/python/MAU-MIB, test/dumps/python/RMON2-MIB,
	  test/dumps/python/SNMPv2-MIB, test/dumps/smilint-smiv2/RMON2-MIB,
	  test/dumps/sming/IF-MIB, test/dumps/sming/MAU-MIB,
	  test/dumps/sming/RMON2-MIB, test/dumps/sming/SNMPv2-MIB,
	  test/dumps/smiv1/IF-MIB, test/dumps/smiv1/MAU-MIB,
	  test/dumps/smiv1/RMON2-MIB, test/dumps/smiv1/SNMPv2-MIB,
	  test/dumps/smiv2-smiv2/IF-MIB, test/dumps/smiv2-smiv2/MAU-MIB,
	  test/dumps/smiv2-smiv2/RMON2-MIB,
	  test/dumps/smiv2-smiv2/SNMPv2-MIB, test/dumps/smiv2/IF-MIB,
	  test/dumps/smiv2/MAU-MIB, test/dumps/smiv2/RMON2-MIB,
	  test/dumps/smiv2/SNMPv2-MIB, test/dumps/tree/IF-MIB,
	  test/dumps/tree/MAU-MIB, test/dumps/tree/RMON2-MIB,
	  test/dumps/tree/SNMPv2-MIB, test/dumps/types/IF-MIB,
	  test/dumps/types/MAU-MIB, test/dumps/types/RMON2-MIB,
	  test/dumps/types/SNMPv2-MIB, test/dumps/xml/IF-MIB,
	  test/dumps/xml/MAU-MIB, test/dumps/xml/RMON2-MIB,
	  test/dumps/xml/SNMPv2-MIB, tools/Makefile.am, win/config.h:

2006-05-29 15:45  strauss

	* [r1457] ChangeLog, configure.in:

2006-05-29 15:44  strauss

	* [r1456] mibs/ietf/AGGREGATE-MIB[ADD], mibs/ietf/BGP4-MIB,
	  mibs/ietf/DOCS-IETF-QOS-MIB[ADD], mibs/ietf/FCIP-MGMT-MIB[ADD],
	  mibs/ietf/IFCP-MGMT-MIB[ADD], mibs/ietf/IP-FORWARD-MIB,
	  mibs/ietf/IP-MIB, mibs/ietf/ISIS-MIB[ADD],
	  mibs/ietf/LMP-MIB[ADD], mibs/ietf/MOBILEIPV6-MIB[ADD],
	  mibs/ietf/MPLS-L3VPN-STD-MIB[ADD],
	  mibs/ietf/MPLS-LC-ATM-STD-MIB[ADD],
	  mibs/ietf/MPLS-LC-FR-STD-MIB[ADD], mibs/ietf/P-BRIDGE-MIB,
	  mibs/ietf/Q-BRIDGE-MIB, mibs/ietf/RMON2-MIB,
	  mibs/ietf/RSTP-MIB[ADD], mibs/ietf/SCSI-MIB[ADD],
	  mibs/ietf/T11-FC-FABRIC-ADDR-MGR-MIB[ADD],
	  mibs/ietf/T11-FC-NAME-SERVER-MIB[ADD], mibs/ietf/T11-TC-MIB[ADD],
	  mibs/ietf/TIME-AGGREGATE-MIB[ADD]:

2006-05-16 10:49  strauss

	* [r1455] ChangeLog, configure.in, test/dumps/corba/IF_MIB.idl,
	  test/dumps/corba/MAU_MIB.idl, test/dumps/corba/RMON2_MIB.idl,
	  test/dumps/corba/SNMPv2_MIB.idl, test/dumps/python/IF-MIB,
	  test/dumps/python/MAU-MIB, test/dumps/python/RMON2-MIB,
	  test/dumps/python/SNMPv2-MIB, win/config.h: Released 0.4.4.

2006-05-15 13:50  strauss

	* [r1454] lib/check.c, lib/error.c, lib/parser-smi.c,
	  lib/parser-smi.y, test/mibs/LIBSMI-TEST-011-MIB,
	  test/mibs/LIBSMI-TEST-018-MIB,
	  test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/Printer-MIB.diff: Fixed parser to allow (but warn
	  about) type definitions that
	  match names of existing SPPI or SMI base types, e.g. Unsigned64.
	  Updated test cases.

2006-05-04 08:29  schoenw

	* [r1453] test/mibs/LIBSMI-TEST-018-MIB[ADD],
	  test/mibs/Makefile.am: Added a test case to check whether we
	  accept Unsigned64 as a valid
	  type name in SMIv2 MIB modules.

2006-04-07 07:02  strauss

	* [r1452] tools/smistrip.in: Strip "Internet-Draft" as well as
	  "Internet Draft" page headers from modules.

2006-04-06 08:26  strauss

	* [r1451] tools/smistrip.in: Ignore CR chars in documents that use
	  CR LF line breaks.

2006-03-10 11:46  strauss

	* [r1450] mibs/tubs/TUBS-IBR-XEN-MIB, tools/dump-sppi.c:

2006-02-27 21:48  schoenw

	* [r1449] win/Makefile.mingw, win/makefile: Updated to reflect the
	  changes in the tools directory.

2006-02-21 13:19  strauss

	* [r1448] mibs/iana/IANA-PRINTER-MIB, mibs/iana/IANAifType-MIB:
	  Updated two IANA MIBs.

2006-02-20 09:30  strauss

	* [r1447] mibs/tubs/TUBS-IBR-LINUX-NETFILTER-MIB[ADD],
	  mibs/tubs/TUBS-IBR-XEN-MIB[ADD], mibs/tubs/TUBS-SMI: Added two
	  TUBS MIBs.

2006-02-18 22:40  schoenw

	* [r1446] tools/dump-compliance.c: Improve code formatting...

2006-02-18 22:38  schoenw

	* [r1445] tools/smidiff.c: Experimental new code to diff compliance
	  definitions.

2006-02-16 10:12  schoenw

	* [r1444] libsmi.m4: AC_DEFINE(LIBSMI) did not provide a
	  description which causes newer
	  versions of autoheader to fail. Since I believe that the LIBSMI
	  symbol
	  is actually not useful, I dropped the AC_DEFINE(LIBSMI)
	  completely.

2006-02-15 17:27  schoenw

	* [r1443] lib/check.c, lib/error.c: Fixed an incorrect error
	  message.

2006-02-15 17:25  schoenw

	* [r1442] tools/dump-scli.c: Tracking changes in the gsnmp API.

2006-02-15 17:24  schoenw

	* [r1441] tools/dump-compliance.c: Print the compliance group in
	  addition to the objects.

2006-02-08 10:02  strauss

	* [r1440] lib/Makefile.am, lib/parser-smi.c: Added some files to
	  the maintainer-clean target to allow re-running flex
	  and bison.
	  Some more Makefile cleanup.

2006-01-03 09:29  strauss

	* [r1439] libsmi.m4: Fixed aclocal warning on an underquoted
	  definition.

2005-12-18 10:14  strauss

	* [r1438] ChangeLog, mibs/ietf/HDSL2-SHDSL-LINE-MIB: Updated
	  HDSL2-SHDSL-LINE-MIB (RFC 4319).

2005-12-16 17:44  strauss

	* [r1437] lib/Makefile.am, lib/parser-smi.c: Replaced bison options
	  "-d -o file" by "--defines=file". This
	  seemed to be the right way to specify the header file name.

2005-12-16 17:31  strauss

	* [r1436] ChangeLog, mibs/ietf/ENTITY-STATE-MIB[ADD],
	  mibs/ietf/ENTITY-STATE-TC-MIB[ADD]:

2005-12-13 20:25  tklie

	* [r1435] lib/Makefile.am: Fixed a problem with
	  parser-smi[ng].tab.h in lib/Makefile.am.

2005-11-25 08:58  strauss

	* [r1434] ChangeLog, mibs/ietf/TE-LINK-STD-MIB[ADD],
	  mibs/ietf/VPN-TC-STD-MIB[ADD]:

2005-11-15 10:44  schoenw

	* [r1433] lib/check.c, lib/error.c: Raise an error on tables where
	  all columns are not-accessible.

2005-11-14 16:23  schoenw

	* [r1432] tools/Makefile.am, tools/dump-compliance.c[ADD],
	  tools/smidump.1.in, tools/smidump.c, tools/smidump.h: Added a new
	  driver which prints compliance statement summaries.

2005-11-08 22:07  strauss

	* [r1431] test/dumps/metrics/IF-MIB, test/dumps/metrics/MAU-MIB,
	  test/dumps/metrics/RMON2-MIB, test/dumps/metrics/SNMPv2-MIB,
	  test/dumps/smilint-smiv2/MAU-MIB: Updated test suite.

2005-11-08 21:55  strauss

	* [r1430] ChangeLog, mibs/ietf/BRIDGE-MIB,
	  mibs/ietf/DOCS-IETF-BPI2-MIB[ADD], mibs/ietf/ENTITY-MIB:

2005-10-14 11:01  strauss

	* [r1429] NOTES:

2005-10-14 09:54  strauss

	* [r1428] NOTES:

2005-10-14 09:51  strauss

	* [r1427] NOTES:

2005-10-14 09:40  strauss

	* [r1426] NOTES:

2005-10-10 08:36  strauss

	* [r1425] ChangeLog, mibs/ietf/SSPM-MIB[ADD]:

2005-10-10 07:55  strauss

	* [r1424] README:

2005-08-30 13:22  sperner

	* [r1423] tools/dump-svg.c: rename function.

2005-08-30 13:15  sperner

	* [r1422] tools/dump-svg.c: and one more cleanup change.

2005-08-30 12:49  sperner

	* [r1421] tools/dump-svg.c: some more code cleanup.

2005-08-30 12:21  sperner

	* [r1420] tools/dump-svg.c: some more code restructuring.

2005-08-30 12:03  sperner

	* [r1419] tools/dump-svg.c: some code cleanup.

2005-08-29 13:55  sperner

	* [r1418] tools/dump-svg.c: and one fix more: objects -> items.

2005-08-29 13:54  sperner

	* [r1417] tools/dump-svg.c: fix help message: objects -> items.

2005-08-29 10:59  sperner

	* [r1416] tools/dump-svg.c: revert r2696: now fa and fr look like
	  in my thesis.

2005-08-24 12:56  sperner

	* [r1415] tools/dump-svg.c: fix some comments.

2005-08-24 06:59  sperner

	* [r1414] tools/dump-cm.c, tools/dump-svg.c, tools/rea.c,
	  tools/rea.h: rename cluster to component. thats the correct name.

2005-08-23 16:35  sperner

	* [r1413] tools/dump-cm.c, tools/dump-svg.c, tools/rea.c: reverting
	  changes 2629 and 2630.
	  include smi.h and smidump.h in rea.c, dump-svg.c and dump.cm.c
	  again.

2005-08-23 12:27  sperner

	* [r1412] tools/dump-svg-script.js, tools/dump-svg.c: remove
	  startscale.

2005-08-22 13:32  sperner

	* [r1411] tools/dump-svg.c: improve description of printSVG.

2005-08-22 13:17  sperner

	* [r1410] tools/dump-svg.c: some code cleanup.

2005-08-20 14:29  sperner

	* [r1409] tools/dump-svg.c: change fa and fr. now they look like
	  the original algorithm.

2005-08-16 16:20  sperner

	* [r1408] tools/dump-svg.c: reverting last checkin, because it
	  breaks drag and drop.

2005-08-16 14:56  sperner

	* [r1407] tools/dump-svg.c: set fill to none for
	  drag'n'drop-handle.

2005-08-15 09:11  sperner

	* [r1406] tools/rea.c: Don't create dependency edges on expand
	  relationships.

2005-08-08 13:50  sperner

	* [r1405] tools/dump-svg.c: some code cleanup.

2005-08-03 10:56  schoenw

	* [r1404] lib/parser-smi.c, lib/parser-smi.y: Moved duplicate code
	  into a function.

2005-08-02 08:35  strauss

	* [r1403] NOTES:

2005-08-02 08:35  strauss

	* [r1402] NOTES:

2005-08-01 14:31  strauss

	* [r1401] NOTES:

2005-08-01 14:24  strauss

	* [r1400] NOTES:

2005-08-01 14:17  strauss

	* [r1399] NOTES:

2005-07-29 12:54  strauss

	* [r1398] NOTES:

2005-07-22 08:15  sperner

	* [r1397] tools/rea.c: remove some more includes

2005-07-22 08:08  sperner

	* [r1396] tools/dump-cm.c, tools/dump-svg.c: remove needless
	  includes.

2005-07-12 07:44  strauss

	* [r1395] THANKS, tools/dump-xsd.c: Fixed missing parenthesis in
	  regexps derived from display hints.
	  Thanks to Li Xiaonong.

2005-07-05 12:34  sperner

	* [r1394] tools/dump-svg.c: fix endless loop when operating on
	  ADSL-LINE-MIB.

2005-07-04 14:45  sperner

	* [r1393] tools/dump-svg.c: align + and - for the access of the
	  objects.

2005-06-30 16:38  sperner

	* [r1392] tools/dump-svg.c: fix shrinking of module information.

2005-06-30 11:03  sperner

	* [r1391] tools/dump-svg.c: added the colon for index objects with
	  links.

2005-06-27 16:28  sperner

	* [r1390] tools/dump-svg.c: modufied the drag and drop handler. use
	  drag and drop.

2005-06-27 15:30  sperner

	* [r1389] tools/dump-svg.c: use the revert switch for the
	  dependecies as well.
	  this avoids problems in the javascript.

2005-06-27 15:03  sperner

	* [r1388] tools/dump-svg-script.js: finish repaintEdges and
	  flipEdgeMarks.

2005-06-27 10:23  sperner

	* [r1387] tools/dump-svg-script.js: add workarounds to get around
	  some pitfalls in javascript.

2005-06-27 09:03  sperner

	* [r1386] tools/Makefile.am, tools/dump-svg-script.js,
	  tools/dump-svg.c: big change in repaintEdge. still not used.

2005-06-24 07:11  sperner

	* [r1385] tools/dump-svg-script.js: further work on repaintEdge.

2005-06-24 05:43  sperner

	* [r1384] tools/dump-svg-script.js, tools/dump-svg.c: javascript
	  for draganddrop: find adjacent edges.

2005-06-23 16:26  sperner

	* [r1383] tools/dump-svg-script.js, tools/dump-svg.c: forgot the
	  groups.

2005-06-23 16:19  sperner

	* [r1382] tools/dump-svg-script.js, tools/dump-svg.c: added a small
	  yelow circle as handle for drag and drop.

2005-06-23 15:10  sperner

	* [r1381] tools/dump-svg.c: add an id to the dependencies path.
	  seperate names of objects in the ids of the associations by a
	  hyphen.

2005-06-23 14:54  sperner

	* [r1380] tools/dump-svg.c: use path for dependencies which is more
	  consistent with the associations.

2005-06-23 14:35  sperner

	* [r1379] tools/dump-svg.c: Don't print mandatory or optional, they
	  are considered to be current.

2005-06-23 14:20  sperner

	* [r1378] tools/dump-svg.c: shrink moduleInformation if it doesn't
	  fit in the canvas.

2005-06-23 13:31  sperner

	* [r1377] tools/dump-svg-script.js, tools/dump-svg.c: first test
	  for drag and drop of the nodes. disabled at the moment.

2005-06-23 08:37  strauss

	* [r1376] ChangeLog, mibs/ietf/TUNNEL-MIB, mibs/ietf/UDP-MIB:
	  Updated TUNNEL-MIB and UDP-MIB (RFCs 4087, 4113).

2005-06-22 14:43  sperner

	* [r1375] tools/dump-svg.c: enlarge canvas for ModuleInformation
	  only if it is supposed to be printed.

2005-06-22 14:08  sperner

	* [r1374] tools/dump-svg.c: Don't print empty modules section.

2005-06-22 13:39  sperner

	* [r1373] tools/dump-svg.c: free allocated memory.

2005-06-22 13:33  sperner

	* [r1372] tools/dump-svg.c: just xmalloc one byte more for the
	  trailing \0.

2005-06-21 14:38  sperner

	* [r1371] tools/mib2svg.cgi.in: use the unlink feature of
	  File::Temp.

2005-06-21 14:11  sperner

	* [r1370] tools/dump-svg.c: use a brighter blue as linkcolor.

2005-06-21 14:10  sperner

	* [r1369] tools/dump-svg.c: increase width of nodes to contain the
	  full attributes.

2005-06-21 13:06  sperner

	* [r1368] tools/mib2svg.cgi.in: enable file upload in the cgi.

2005-06-20 14:19  sperner

	* [r1367] configure.in, tools/dump-svg.c,
	  tools/mib2svg.cgi.in[ADD]: first checkin of the mib2svg.cgi
	  script.

2005-06-20 11:29  sperner

	* [r1366] tools/dump-svg.c: if type isn't basetaype and has no
	  description,
	  print type of attribute and closing </tspan>-tag.

2005-06-16 15:06  sperner

	* [r1365] tools/dump-svg-script.js, tools/dump-svg.c: in the
	  tooltip for the table/entry:
	  seperate descriptions of table and entry by a black line.

2005-06-16 13:50  sperner

	* [r1364] tools/dump-svg.c: fixed a typo.

2005-06-16 13:49  sperner

	* [r1363] tools/dump-svg.c: If module without objects contains TCs,
	  print: This module only contains TCs.

2005-06-16 09:30  sperner

	* [r1362] tools/dump-svg.c: make function void instead of int.

2005-06-16 09:29  sperner

	* [r1361] tools/dump-svg.c: if nodecount equals 0, print This
	  module doesn't contain any objects.

2005-06-15 15:57  sperner

	* [r1360] tools/dump-svg.c: Don't link to the type description, as
	  it doesn't make sense.

2005-06-15 15:54  sperner

	* [r1359] tools/dump-svg.c: add link to foreign index object.

2005-06-15 15:25  sperner

	* [r1358] tools/dump-svg.c: one more fix for "... is defined in
	  ..."

2005-06-15 14:41  sperner

	* [r1357] tools/dump-svg.c: print "<TYPE> is defined in <MODULE>"
	  in tooltip only if it isn't defined in
	  the same module.

2005-06-15 13:36  sperner

	* [r1356] tools/dump-svg-script.js, tools/dump-svg.c: Build the
	  template for the tooltips dynamically.
	  This reduces the size of the SVG a lot.

2005-06-15 12:25  sperner

	* [r1355] tools/dump-svg.c: removed some more stuff for the "+"-
	  and "-"-buttons.

2005-06-14 16:46  sperner

	* [r1354] tools/dump-svg-script.js, tools/dump-svg.c: removed the
	  "+"- and "-"-buttons.

2005-06-14 16:21  sperner

	* [r1353] tools/dump-svg.c: in moduleInformation: print moduleName
	  instead of nodeName.

2005-06-14 16:08  sperner

	* [r1352] tools/dump-svg.c: correct spelling in table-tooltip.

2005-06-14 16:03  sperner

	* [r1351] tools/rea.c: add a comment.

2005-06-14 10:19  sperner

	* [r1350] tools/dump-svg.c: add xlink-namespace as described in
	  http://wiki.mozilla.org/SVG:Namespace .

2005-06-13 15:43  sperner

	* [r1349] tools/dump-svg.c: improve help-text.

2005-06-13 15:43  sperner

	* [r1348] tools/dump-svg.c, tools/smidump.1.in: minor changes.
	  suppress blue and green rectangles.

2005-06-13 10:44  schoenw

	* [r1347] tools/smiquery.c: Identify implicit object declarations
	  instead of claiming they are
	  <UNDEFINED>.

2005-06-13 10:34  schoenw

	* [r1346] tools/dump-mosy.c: Mosy seems to print OIDs that were
	  implicitely defined using the notation
	  { iso(1) implicit(42) 42 } in dotted notation. Added a check
	  whether the
	  parent of a node is implicitely declared.

2005-06-12 14:01  sperner

	* [r1345] tools/dump-svg-script.js: correct behaviour of clicked
	  and highlighted texts.

2005-06-12 13:07  sperner

	* [r1344] tools/dump-svg-script.js: some pretty-printing...

2005-06-12 12:39  sperner

	* [r1343] tools/dump-svg.c: Fix to produce valid xml.

2005-06-12 11:50  sperner

	* [r1342] tools/dump-svg-script.js, tools/dump-svg.c: onclick: text
	  remains colored.

2005-06-08 15:07  sperner

	* [r1341] tools/dump-svg.c: code-cleanup: new function
	  printFillColor makes the code more readable.

2005-06-08 10:24  sperner

	* [r1340] tools/dump-svg.c: Now, really produce valid svg-xml.
	  There were some more wrond links.

2005-06-08 09:38  sperner

	* [r1339] tools/dump-svg.c, tools/rea.h: when mouse over compliance
	  or notification group: highlight objects in tables
	  as well.

2005-06-08 08:03  sperner

	* [r1338] tools/dump-svg.c: correct behavior of onmouseout in
	  printInformationNode and objects-section of
	  printComplianceNode: Don't make objects black, but give them
	  their color
	  according to their status.

2005-06-07 14:01  sperner

	* [r1337] tools/dump-svg.c: Use SHOW_DEPRECATED and
	  SHOW_DEPR_OBSOLETE for the class-diagram as well.

2005-06-06 18:49  sperner

	* [r1336] tools/dump-svg.c: Produce valid svg again: <a
	  href...><tspan>...</tspan></a> isn't allowed.

2005-06-06 14:20  sperner

	* [r1335] tools/dump-svg.c: use a light red color for optional
	  things in the compliance statements.

2005-06-06 14:14  sperner

	* [r1334] tools/dump-svg.c: At the moment we produce invalid
	  svg-xml. TODO: printSVGAttribute needs fixes.

2005-06-06 13:01  sperner

	* [r1333] tools/dump-svg.c: changing color.

2005-06-06 12:54  sperner

	* [r1332] tools/dump-svg.c, tools/rea.h: when moving mouse over
	  mib-name, highlight all classes belonging to that mib.

2005-05-30 13:14  strauss

	* [r1331] win/GNUmakefile: Fix by Yigal Hochberg to compile again
	  on VC++ with GNU make.

2005-05-27 11:28  sperner

	* [r1330] tools/rea.c: fix to avoid segfault when compiling
	  SNMPv2-TC.

2005-05-27 09:16  sperner

	* [r1329] tools/dump-svg.c: But display the type without a link.

2005-05-27 09:13  sperner

	* [r1328] tools/dump-svg.c: Don't link to a mib already displayed.

2005-05-27 09:07  sperner

	* [r1327] tools/dump-svg.c, tools/rea.c, tools/rea.h:
	  algGetTypeModule return a SmiModule.

2005-05-27 09:00  sperner

	* [r1326] tools/dump-svg.c: printSVGAttribute needs modc and modv
	  to determ if the linked mib is already
	  displayed.

2005-05-27 08:11  sperner

	* [r1325] tools/dump-svg.c: improved linkcolor.

2005-05-27 07:58  sperner

	* [r1324] tools/dump-svg.c: Add links to mibs with definition of
	  the type.

2005-05-26 14:50  sperner

	* [r1323] tools/dump-svg.c: fixed a typo.

2005-05-26 14:47  sperner

	* [r1322] tools/dump-svg.c: build link without mibs in the first
	  step.

2005-05-26 14:17  sperner

	* [r1321] tools/dump-svg.c: add a link to the svg:
	  when a compliance-statement refers to another mib, you can click
	  on that
	  mib-name and a new svg with both mibs gets generated and
	  displayed.
	  at the moment the generation runs on my box at home which has a
	  poor upload
	  connection.

2005-05-21 19:57  sperner

	* [r1320] tools/dump-svg.c, tools/rea.c, tools/rea.h: Print name of
	  module defining the type into first row of type-tooltip.

2005-05-21 18:25  sperner

	* [r1319] tools/dump-svg-script.js, tools/dump-svg.c, tools/rea.c,
	  tools/rea.h: Show tooltip "This is a basetype." for baseTypes.

2005-05-21 17:35  sperner

	* [r1318] tools/dump-svg.c: groups don't seem to have a
	  description.

2005-05-21 11:25  sperner

	* [r1317] tools/dump-svg-script.js, tools/dump-svg.c: Use a
	  monospaced font for the tooltip in order to display ascii-art in
	  a
	  correct manner.

2005-05-20 21:14  sperner

	* [r1316] tools/dump-svg.c: Show tooltip with the dscriptions of
	  the tables and the entries.

2005-05-20 19:19  sperner

	* [r1315] tools/dump-svg.c: fix parseTooltip: Now &, < and > are
	  useable in tooltips.

2005-05-20 18:25  sperner

	* [r1314] tools/Makefile.am: remove dump-svg-script.h on make
	  clean.

2005-05-20 16:14  sperner

	* [r1313] tools/Makefile.am: fixed the construction of the
	  multiline-string as suggested by Urs Thuermann.

2005-05-20 15:51  sperner

	* [r1312] tools/Makefile.am, tools/dump-svg-script.js,
	  tools/dump-svg.c: enable linebreaks in the tooltips.

2005-05-19 11:35  sperner

	* [r1311] tools/dump-svg.c: Fixed some more warning from gcc-3.3

2005-05-19 11:23  sperner

	* [r1310] tools/smidump.1.in: refit manpage.

2005-05-19 10:59  sperner

	* [r1309] tools/Makefile.am: One more fix. Now the svg-drier should
	  compile with gcc 3.3

2005-05-19 08:56  sperner

	* [r1308] tools/Makefile.am: one more fix to make the svg-driver
	  compile.

2005-05-19 08:38  sperner

	* [r1307] tools/Makefile.am, tools/dump-svg.c, tools/smidump.c:
	  make the svg-driver compile again.

2005-05-17 16:40  strauss

	* [r1306] ChangeLog, THANKS, configure.in, lib/smi_config.3.in,
	  mibs/ietf/FC-MGMT-MIB[ADD]: Added RFC 4044.
	  Changed @prefix@/etc to @sysconfdir@.

2005-05-12 09:42  strauss

	* [r1305] ChangeLog, mibs/ietf/VDSL-LINE-EXT-MCM-MIB[ADD],
	  mibs/ietf/VDSL-LINE-EXT-SCM-MIB[ADD]: Added RFCs 4069, 4070.

2005-05-04 21:15  schoenw

	* [r1304] tools/dump-mosy.c: Produce better output if the module
	  OID is defined as { iso foo(1) bar(3) 4 }

2005-05-04 21:14  schoenw

	* [r1303] tools/dump-svg.c: Fixes to make this driver compile
	  again.

2005-05-04 18:37  strauss

	* [r1302] ChangeLog, mibs/ietf/DOCS-IETF-SUBMGT-MIB[ADD]:

2005-04-28 16:16  sperner

	* [r1301] tools/Makefile.am, tools/smidump.1.in, tools/smidump.c:
	  Disabling the svg-driver due to compilation problems. I'll have a
	  closer look
	  at this when I did my exam on May 18th.

2005-04-28 15:51  sperner

	* [r1300] tools/dump-svg.c: Fixing a lot of small things which
	  produce warnings when compiling with -Wall.
	  Thanks to Juergen Schoenwaelder for the hint.

2005-04-25 22:36  schoenw

	* [r1299] lib/smi.c: Added sanity checks to handle inconsistent
	  data and to prevent
	  segmentation faults.

2005-04-22 21:59  schoenw

	* [r1298] tools/dump-perl.c: quoting patch from Allen McIntosh
	  <mcintosh@research.telcordia.com>

2005-04-01 13:55  sperner

	* [r1297] tools/dump-svg.c: two more small changes for consistency.

2005-04-01 13:52  sperner

	* [r1296] tools/dump-svg.c: use nice terms for the headings.

2005-04-01 13:45  sperner

	* [r1295] tools/dump-svg.c: print compliances in correct order as
	  well.

2005-04-01 13:40  sperner

	* [r1294] tools/dump-svg.c: reordering some code once more. this
	  will make the next step more easy.

2005-04-01 13:13  sperner

	* [r1293] tools/dump-svg.c: print entries in the sections
	  NotificationType, ObjectGroup and
	  NotificationGroup in order CURRENT, MANDATORY, OPTIONAL,
	  DEPRECATED, OBSOLETE.
	  next TODO: do the same for the ModuleCompliance.

2005-04-01 11:36  sperner

	* [r1292] tools/dump-svg.c: print statuses "mandatory" and
	  "optional".

2005-04-01 09:23  sperner

	* [r1291] tools/dump-svg.c: some code cleanup.
	  added a comment to calcMiCount about the calculated size of
	  miCount.

2005-04-01 08:44  sperner

	* [r1290] tools/dump-svg.c: Omit empty sections in the module-info.

2005-04-01 08:21  strauss

	* [r1289] ChangeLog, mibs/ietf/NAT-MIB[ADD],
	  mibs/ietf/POLICY-BASED-MANAGEMENT-MIB[ADD], mibs/ietf/TCP-MIB:
	  Added/Updated MIBs of RFCs 4008, 4011, 4022.

2005-03-31 16:49  sperner

	* [r1288] tools/dump-svg-script.js, tools/dump-svg.c: calculate
	  number of entries in the module-information dynamically.
	  next TODO: don't print empty sections in the module-information.

2005-03-30 17:18  sperner

	* [r1287] tools/dump-svg.c: new function printInformationNode which
	  prints the svg-code for the nodes in
	  the notificationType-, objectGroup- and
	  notificationGroup-Sections.
	  This makes the code more readable.

2005-03-22 15:34  sperner

	* [r1286] tools/dump-svg.c: print text in the module information
	  section in different colors depending on
	  the status of the node.

2005-03-21 15:32  sperner

	* [r1285] tools/dump-svg.c: Don't call javascript-function
	  colorText() if the text belongs to a module
	  which is not printed. This avoids a script-error.

2005-03-21 14:58  sperner

	* [r1284] tools/dump-svg.c: In the Module-Information:
	  Don't print the status in parenthesis if it is "current".

2005-03-18 15:43  sperner

	* [r1283] tools/dump-svg.c: * don't print "+" and "-" for the
	  accessibility of index-objects.
	  * don't print "related scalar objects:" and "index objects:".

2005-03-18 15:20  sperner

	* [r1282] tools/Makefile.am, tools/dump-svg-script.js[ADD],
	  tools/dump-svg.c: reordering the code. now the javascript is
	  stored in its own file.
	  so make adds it to dump-svg at compile-time.
	  thanks to frank for the suggestion and the help.

2005-03-18 13:47  sperner

	* [r1281] tools/dump-svg.c: Second checkin for folding of the
	  module information.
	  This changeset contains the stuff in the
	  printModuleInformation-functions.

2005-03-18 10:43  sperner

	* [r1280] tools/dump-svg.c: First checkin for the folding of the
	  module information.
	  This part includes the ecma-script.

2005-03-16 11:10  sperner

	* [r1279] tools/dump-svg.c: fixed a typo.

2005-03-15 09:53  sperner

	* [r1278] tools/dump-cm.c: Initialize graph->clusters to avoid
	  segmentation fault in graphExit.

2005-03-14 13:46  sperner

	* [r1277] tools/dump-svg.c: don't underline related scalar objects
	  and don't print " {index}", because
	  they are now seperated by lines.
	  elements in the section index objects don't get an id any more,
	  so now we
	  produce valid xml :-)

2005-03-14 13:35  sperner

	* [r1276] tools/dump-svg.c, tools/rea.h: seperate related scalars
	  and indexobjects from other attributes in the nodes.

2005-03-12 12:49  sperner

	* [r1275] tools/dump-svg.c: reordering the code. no changes.

2005-03-12 11:49  sperner

	* [r1274] tools/dump-svg.c: fixed memory leak.

2005-03-12 11:12  sperner

	* [r1273] tools/dump-svg.c, tools/rea.h: improved the labeling of
	  the edges:
	  * some more cardinalities
	  * added arrowheads
	  * changed the positioning scheme for the labels
	  (new function calculateIntersectionPoints)

2005-03-11 14:51  sperner

	* [r1272] tools/dump-svg.c: minor improvements concerning the
	  labeling of the edges:
	  * use the term "sparsly augments" instead of "sparses".
	  * "expands"-edges have cardinalities "1:*"

2005-03-09 17:38  sperner

	* [r1271] tools/Makefile.am, tools/dump-cm.c, tools/dump-svg.c,
	  tools/rea.c[ADD], tools/rea.h[ADD]: splitting dump-cm.c and
	  dump-svg.c into three files:
	  rea.c holds the methods for the reverse engineering algorithm.
	  dump-cm.c and dump-svg.c now only contain the output-specific
	  things.

2005-03-08 16:15  sperner

	* [r1270] tools/dump-svg.c: changed printing of date: e.g.
	  1996-02-28 21:55 instead of 199602282155Z

2005-03-08 15:20  sperner

	* [r1269] tools/dump-svg.c: one more config-option:
	  * static-output -> disable all interactivity (default:off)

2005-03-08 13:42  sperner

	* [r1268] tools/dump-svg.c: Make some values configurable:
	  * width -> width of the svg output (default:1100)
	  * height -> height of the svg output (default:700)
	  * show-deprecated -> show deprecated objects (default:off)
	  * show-depr-obsolete -> show deprecated and obsolete objects
	  (default:off)

2005-03-04 12:16  sperner

	* [r1267] tools/dump-svg.c: Use SUPPRESS_DEPRECATED consistently
	  for class-graph and module-information.

2005-03-04 10:00  strauss

	* [r1266] ChangeLog, lib/parser-smi.c, mibs/ietf/INET-ADDRESS-MIB:
	  Updated INET-ADDRESS-MIB (RFC 4001).

2005-03-03 15:17  sperner

	* [r1265] tools/dump-cm.c, tools/dump-svg.c: fix
	  SUPPRESS_DEPRECATED. now it works as expected.

2005-03-03 14:12  sperner

	* [r1264] tools/dump-svg.c: Don't enlarge canvas at top if there is
	  no cluster to print.

2005-03-03 11:27  sperner

	* [r1263] tools/dump-svg.c: Print the name of the module instead of
	  this module.

2005-03-03 10:52  sperner

	* [r1262] tools/dump-svg.c: Removed the stereotype name <<smi mib
	  class>> from the classes.

2005-03-03 10:39  sperner

	* [r1261] tools/dump-svg.c: Use className instead of classNumber
	  for the id of the classes.
	  This makes the svg a little bit more valid.

2005-02-23 16:12  sperner

	* [r1260] tools/dump-svg.c: Removed some unused constants.
	  Aviod crash in case of blank at end of tooltip.

2005-02-23 11:38  sperner

	* [r1259] tools/dump-svg.c: Finished printModuleCompliance.
	  There are no more things to do on interactivity.

2005-02-22 16:15  sperner

	* [r1258] tools/dump-svg.c: Break printModuleInformation into
	  several smaller functions.

2005-02-22 15:43  sperner

	* [r1257] tools/dump-svg.c: Some more information about the module
	  is printed.
	  next TODO: complete the output of MODULE-COMPLIANCE.
	  break printModuleInformation into several small functins.

2005-02-22 10:42  sperner

	* [r1256] tools/dump-svg.c: Move ModuleInformation to the border of
	  the canvas and scale it by STARTSCALE.

2005-02-21 14:18  sperner

	* [r1255] tools/dump-svg.c: Now the NOTIFICATION-TYPEs are printed
	  as well.
	  The corresponding objects are highlighted.

2005-02-21 09:21  sperner

	* [r1254] tools/dump-svg.c: improved printModuleIdentity.

2005-02-20 14:37  sperner

	* [r1253] tools/dump-svg.c: Next minor change:
	  +ifTableLastChange: TimeTicks
	  ^^^^^^^^^
	  Show description of the type as tooltip here.

2005-02-19 16:39  sperner

	* [r1252] tools/dump-svg.c: Minor change - Example:
	  +ifTableLastChange: TimeTicks
	  ^^^^^^^^^^^^^^^^^^
	  Show tooltip only here.

2005-02-19 16:11  sperner

	* [r1251] tools/dump-svg.c: Show tooltips for description of
	  OBJECT-TYPEs as well.

2005-02-18 15:32  sperner

	* [r1250] tools/dump-svg.c: Printing the MODULE-IDENTITY into the
	  svg. Added a dynamic tooltip showing the
	  DESCRIPTION.
	  next TODO: Move the MODULE-IDENTITY to a sensible place.

2005-02-10 16:49  sperner

	* [r1249] tools/dump-svg.c: Add a repulsive force in the
	  layout-algorithm if a edge and a node intersect.
	  The result is not that good as I expected it to be. :-(

2005-02-09 11:21  sperner

	* [r1248] tools/dump-svg.c: introducing aspect ratio into layout
	  algorithm.
	  not used at the moment due to some peculiar effects...

2005-02-08 13:25  sperner

	* [r1247] tools/dump-svg.c: some more code cleanup: removed
	  DIA_PRINT_FLAG

2005-02-08 13:07  sperner

	* [r1246] tools/dump-svg.c: removed some unused functions.

2005-02-08 13:02  sperner

	* [r1245] tools/dump-svg.c: printing the edges in the same style as
	  dia would do it, but as straight line.

2005-02-07 11:08  sperner

	* [r1244] tools/dump-svg.c: some code-cleanup.

2005-02-07 11:04  sperner

	* [r1243] tools/dump-svg.c: added cardinalities and indexkind in
	  printSVGAssociation.

2005-02-05 09:50  sperner

	* [r1242] tools/dump-svg.c: First work on the edges. Now we have
	  some arrows and some text. Still some things to do.

2005-02-04 15:45  sperner

	* [r1241] tools/dump-svg.c: Removed the facility to create .dot
	  files.

2005-02-03 16:39  sperner

	* [r1240] tools/dump-svg.c: Big changeset: Print the clusters side
	  by side!

2005-02-02 14:03  sperner

	* [r1239] tools/dump-svg.c: Now we only use the edges of the given
	  cluster in the layout-algorithm.

2005-02-02 13:29  sperner

	* [r1238] tools/dump-svg.c: We don't need GraphCluster.number any
	  more.

2005-02-02 13:15  sperner

	* [r1237] tools/dump-svg.c: Loop through the nodes of the cluster,
	  don't use GraphNode.use

2005-02-02 12:47  sperner

	* [r1236] tools/dump-svg.c: Introducing struct GraphCluster.

2005-01-31 14:40  sperner

	* [r1235] tools/dump-svg.c: Set Position of single Nodes to (0,0).

2005-01-31 10:55  sperner

	* [r1234] tools/dump-svg.c: layout each cluster seperate.
	  next TODO: draw clusters side by side.

2005-01-31 10:31  sperner

	* [r1233] tools/dump-svg.c: minor changes.

2005-01-17 18:23  strauss

	* [r1232] ChangeLog, lib/parser-smi.c, mibs/ietf/TE-MIB[ADD]: Added
	  TE-MIB (RFC 3970).

2005-01-06 23:58  schoenw

	* [r1231] lib/check.c, lib/check.h, lib/error.c, lib/parser-smi.y:
	  Check that modules living in the IETF controlled OID space are
	  registered
	  in well-known places to discourage WGs from creating their own
	  non-IANA
	  controlled registration space.

2004-12-24 21:50  schoenw

	* [r1230] lib/check.c: Fixed an uninitialized value warning.

2004-12-20 16:13  sperner

	* [r1229] tools/dump-svg.c: calculate degree for each node.
	  calculate the clusters of the graph.

2004-12-17 13:51  sperner

	* [r1228] tools/dump-svg.c: The other way round:
	  1. the springembedder calculates the positions for the nodes.
	  2. enlarge the canvas to the whole area with the nodes.
	  => layout improved!

2004-12-08 14:05  sperner

	* [r1227] tools/dump-svg.c: Some changes in the layout-algorithm:
	  - don't use the barycenter
	  - don't consider the degree
	  - control, if overlap or limit_frame should be used

2004-11-30 14:44  strauss

	* [r1226] ChangeLog, THANKS, lib/error.c, lib/parser-smi.c,
	  lib/parser-smi.y: Improved handling of OIDs and identifiers in
	  the "NameAndNumberForm".

2004-11-29 15:45  strauss

	* [r1225] lib/parser-smi.c, lib/parser-smi.y, lib/smi.h.in,
	  tools/dump-smi.c: Introduced a new SmiDecl enum avalue:
	  SMI_DECL_IMPL_OBJECT to mark OID labels assigned in OID clauses,
	  e.g. "iso(1)". The SMI parser no longer claims about "redefined"
	  object in those cases and the smidump "smi" driver now produced
	  correct output.

2004-11-29 11:56  strauss

	* [r1224] THANKS:

2004-11-29 10:54  strauss

	* [r1223] lib/data.c, lib/data.h, lib/parser-smi.c,
	  lib/parser-smi.y: The one-pass parser uses a tree of "pending"
	  nodes that are
	  integrated into the main tree when the parsing is complete.
	  This caused problems when modules were imported in the middle
	  of a running parsing process (in compliance "MODULE" clauses).
	  So now we have a list of pending nodes per parser.

2004-11-26 15:06  strauss

	* [r1222] lib/data.c, lib/data.h, lib/parser-smi.c,
	  lib/parser-smi.y: Moved some parser context variables from the
	  static parser-smi.y context to the Parser struct.

2004-11-16 13:21  sperner

	* [r1221] tools/dump-svg.c: This was a silly mistake... Use only
	  the nodes and vertices which have the
	  use-flag.

2004-11-15 15:55  sperner

	* [r1220] tools/dump-svg.c: Introdicung the barycentric forces.
	  They aren't used at the moment.
	  Layout of the DIFFSERV-MIB is much improved.

2004-11-15 12:32  schoenw

	* [r1219] tools/dump-scli.c: Show units in the comments in the
	  generated header files.

2004-11-15 12:29  schoenw

	* [r1218] tools/dump-sizes.c: Added missing code to compute the
	  sizes of OIDs in instance identifiers.

2004-11-15 11:56  sperner

	* [r1217] tools/dump-svg.c: Don't place nodes outside the canvas.

2004-11-15 10:26  sperner

	* [r1216] tools/dump-svg.c: Now the springembedder works...

2004-11-08 15:05  sperner

	* [r1215] tools/dump-svg.c: Print only the class names for testing.

2004-11-08 13:49  sperner

	* [r1214] tools/dump-svg.c: Some cleanup. No relevant changes.

2004-11-08 11:49  sperner

	* [r1213] tools/dump-svg.c: some debugging.
	  layout of nodes is still bad.

2004-11-05 13:07  sperner

	* [r1212] tools/Makefile.am: dump-svg.c needs -lm to compile.

2004-11-05 09:32  sperner

	* [r1211] tools/dump-svg.c: First version of the springembedder.
	  Not used now.

2004-11-03 12:18  schoenw

	* [r1210] tools/dump-scli.c: Generate mapping tables for
	  notification OIDs.

2004-10-28 15:04  sperner

	* [r1209] tools/dump-svg.c: fixed calcGroupSize

2004-10-26 13:13  sperner

	* [r1208] tools/dump-svg.c: classNr does not need to be a global
	  variable.

2004-10-26 11:22  sperner

	* [r1207] tools/dump-svg.c: fixed the nodecount-calculation.

2004-10-24 17:23  sperner

	* [r1206] tools/dump-svg.c: scalar groups are now printed again.

2004-10-22 15:36  sperner

	* [r1205] tools/dump-svg.c: Now the classes are scaled centric.

2004-10-22 14:57  sperner

	* [r1204] tools/dump-svg.c: minor changes.

2004-10-22 13:45  sperner

	* [r1203] tools/dump-svg.c: Every class now has two buttons: "+"
	  and "-". With these the class can be
	  enlarged or scaled down.

2004-10-14 11:09  schoenw

	* [r1202] tools/dump-metrics.c: Compute table length and scalar
	  group length metrics.

2004-10-14 11:08  schoenw

	* [r1201] tools/dump-sizes.c: Compute not only min/max sizes but
	  also likely average sizes where
	  we make some best guesses for some well known types. Changed the
	  output format quite a bit.

2004-10-14 08:47  schoenw

	* [r1200] win/Makefile.mingw: Install some additional files that
	  might be of interest for the user.

2004-10-07 12:45  sperner

	* [r1199] tools/dump-svg.c: The .dot file is now written to stderr
	  if DOT is set at compile time.
	  This isn't very nice, but works...

2004-10-07 10:29  sperner

	* [r1198] tools/dump-svg.c: New method: printing the graph to a
	  .dot file for use with neato or springgraph

2004-10-06 19:18  strauss

	* [r1197] THANKS: Adjusted correct name of Erik *B.* Nase.

2004-10-06 15:07  sperner

	* [r1196] tools/dump-svg.c: We don't need tableOffset any more.

2004-10-06 15:04  sperner

	* [r1195] tools/dump-svg.c: Some minor changes:
	  o print some debug-output on stderr.
	  o paint a blue rectangle around the canvas.
	  o use only one function for printing header and title.
	  o use the algorithm from the cm-driver for placing the classes.
	  needs fixes.

2004-10-06 13:45  strauss

	* [r1194] THANKS, lib/smi.c, tools/dump-cm.c, tools/dump-sizes.c,
	  tools/dump-svg.c, tools/dump-xsd.c, tools/smilint.c,
	  win/Makefile.mingw, win/makefile, win/win.h: Applied patches
	  supplied by Henrik Puls, Mark D. Baushke, and Erik Nase.

2004-10-06 10:37  sperner

	* [r1193] tools/dump-svg.c: Minor change: add a parameter to
	  printSVGAttribute: float *textYOffset

2004-09-29 11:38  sperner

	* [r1192] tools/dump-svg.c: Generates a SVG file showing the
	  classes of the mibs.
	  Next steps:
	  # Translate classes to right positions
	  # Handle associations, ...

2004-09-29 10:59  strauss

	* [r1191] mibs/ietf/SNMP-NOTIFICATION-MIB:

2004-09-29 09:07  strauss

	* [r1190] ChangeLog, mibs/ietf/ALARM-MIB[ADD],
	  mibs/ietf/ARC-MIB[ADD], tools/smistrip.in:

2004-09-28 12:26  strauss

	* [r1189] ChangeLog, mibs/ietf/DS1-MIB, mibs/ietf/DS3-MIB,
	  mibs/ietf/IANA-ITU-ALARM-TC-MIB[ADD],
	  mibs/ietf/ITU-ALARM-MIB[ADD], mibs/ietf/ITU-ALARM-TC-MIB[ADD],
	  mibs/ietf/SCTP-MIB[ADD], mibs/ietf/SNMP-NOTIFICATION-MIB,
	  mibs/ietf/TRIP-MIB[ADD], mibs/ietf/TRIP-TC-MIB[ADD]:
	  Added/updated RFCs 3872,3874,3877,3895,3896.

2004-09-10 11:43  sperner

	* [r1188] tools/Makefile.am, tools/dump-svg.c[CPY],
	  tools/smidump.1.in, tools/smidump.c, tools/smidump.h: Initial
	  checkin for the new svg-driver.
	  At the moment it is just a copy of the cm-driver.
	  So don't use it, it will be work in progress during the next
	  months.
	  Mail comments and suggestions to sperner@ibr.cs.tu-bs.de

2004-08-18 13:16  strauss

	* [r1187] mibs/iana/IANA-CHARSET-MIB, mibs/iana/IANA-FINISHER-MIB,
	  mibs/iana/IANA-PRINTER-MIB, mibs/iana/Makefile.am: Added a make
	  target "download" to update IANA MIBs.
	  Updated three of the IANA MIBs.

2004-08-18 12:43  strauss

	* [r1186] ChangeLog:

2004-08-18 12:41  strauss

	* [r1185] test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB,
	  test/dumps/corba/IF_MIB.idl, test/dumps/corba/MAU_MIB.idl,
	  test/dumps/corba/RMON2_MIB.idl, test/dumps/corba/SNMPv2_MIB.idl,
	  test/dumps/python/IF-MIB, test/dumps/python/MAU-MIB,
	  test/dumps/python/RMON2-MIB, test/dumps/python/SNMPv2-MIB:
	  Updated test suite dumps to run cleanly for release 0.4.3.

2004-08-18 12:29  strauss

	* [r1184] win/config.h: Updated to release 0.4.3.

2004-08-18 12:27  strauss

	* [r1183] THANKS, configure.in: Updated to release 0.4.3.

2004-08-18 11:59  strauss

	* [r1182] configure.in, win/config.h:

2004-08-18 11:45  strauss

	* [r1181] configure.in: Updated to release 0.4.3.

2004-08-18 11:23  strauss

	* [r1180] tools/smidump.c: Removed an unused variable.

2004-08-18 10:01  strauss

	* [r1179] README: Minor informational updates.

2004-08-18 09:55  strauss

	* [r1178] lib/parser-smi.c: Updated from Bison source file.

2004-08-10 11:34  strauss

	* [r1177] tools/smilint.c: *** empty log message ***

2004-08-10 11:31  strauss

	* [r1176] tools/smilint.c: *** empty log message ***

2004-08-10 11:10  strauss

	* [r1175] lib/error.c, test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB,
	  test/dumps/corba/IF_MIB.idl, test/dumps/corba/MAU_MIB.idl,
	  test/dumps/corba/RMON2_MIB.idl, test/dumps/corba/SNMPv2_MIB.idl,
	  test/dumps/python/IF-MIB, test/dumps/python/MAU-MIB,
	  test/dumps/python/RMON2-MIB, test/dumps/python/SNMPv2-MIB,
	  test/dumps/smilint-smiv2/MAU-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB, tools/smicache.1.in,
	  tools/smidiff.1.in: *** empty log message ***

2004-08-10 10:58  strauss

	* [r1174] tools/smidump.1.in, tools/smidump.c, tools/smilint.1.in,
	  tools/smilint.c, tools/smiquery.1.in, tools/smistrip.1.in:
	  Updated man pages.
	  Modified smidump options -m und -s to align with smilint.
	  Added smilint option -I to re-enabled errors that are ignored by
	  default.

2004-08-10 10:55  strauss

	* [r1173] lib/Makefile.am, lib/error.c: Added error-names to all
	  errors.
	  Now using bit #7 of severity to signal ignored errors.
	  namelength-32 errors now ignored by default.

2004-08-09 15:11  strauss

	* [r1172] README, configure.in, win/config.h: Updates for the
	  upcoming release.

2004-08-09 14:58  strauss

	* [r1171] configure.in: *** empty log message ***

2004-08-09 14:56  strauss

	* [r1170] test/dumps/corba/IF_MIB.idl,
	  test/dumps/corba/MAU_MIB.idl, test/dumps/corba/RMON2_MIB.idl,
	  test/dumps/corba/SNMPv2_MIB.idl, test/dumps/metrics/IF-MIB,
	  test/dumps/metrics/MAU-MIB, test/dumps/metrics/RMON2-MIB,
	  test/dumps/metrics/SNMPv2-MIB,
	  test/dumps/netsnmp/if-mib-mgr-stub.c,
	  test/dumps/netsnmp/mau-mib-mgr-stub.c,
	  test/dumps/netsnmp/rmon2-mib-mgr-stub.c,
	  test/dumps/netsnmp/snmpv2-mib-mgr-stub.c,
	  test/dumps/python/IF-MIB, test/dumps/python/MAU-MIB,
	  test/dumps/python/RMON2-MIB, test/dumps/python/SNMPv2-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB,
	  test/dumps/smilint-smiv2/SNMPv2-MIB, test/dumps/sming/SNMPv2-MIB,
	  test/dumps/smiv1/SNMPv2-MIB, test/dumps/smiv2-smiv2/SNMPv2-MIB,
	  test/dumps/smiv2/SNMPv2-MIB, test/dumps/xml/SNMPv2-MIB,
	  test/mibs/LIBSMI-TEST-003-MIB, test/smidiff/Printer-MIB.diff:
	  Updated test suite so that all tests should succeed.

2004-08-09 14:06  strauss

	* [r1169] configure.in, win/config.h: *** empty log message ***

2004-08-09 14:06  strauss

	* [r1168] Makefile.am: Removed some obsolete lines.

2004-08-09 14:04  strauss

	* [r1167] tools/dump-metrics.c: Fixed a minor compilation warning.

2004-08-09 14:04  strauss

	* [r1166] configure.in: The SMING parser code is *very* old and
	  obsolete. Since there is a SMIng spec
	  in RFCs 3780/3781 which has nothing much in common with the
	  current old and
	  buggy implementation, we now turn off SMING support by default.

2004-08-09 14:00  strauss

	* [r1165] lib/scanner-sming.l: Made complete code optional
	  according to the autoconf variable BACKEND_SMING.

2004-08-09 13:40  strauss

	* [r1164] lib/libsmi.3.in: *** empty log message ***

2004-07-29 23:10  schoenw

	* [r1163] tools/dump-xml.c: Updated

2004-07-29 09:31  schoenw

	* [r1162] tools/dump-metrics.c: Added code to compute basetype
	  usage distributions and to produce MIB
	  module revision lists.

2004-07-27 12:23  strauss

	* [r1161] ChangeLog, lib/check.c, lib/error.c, lib/parser-smi.y:
	  Added checks for object groups containing notifications and vice
	  versa.

2004-07-22 21:19  schoenw

	* [r1160] mibs/iana/IANA-MALLOC-MIB[ADD], mibs/iana/IANAifType-MIB:
	  Updated IANA MIB modules.

2004-07-22 11:52  strauss

	* [r1159] lib/data.c, lib/error.c, lib/parser-smi.y: Added checks
	  for revision clauses that reveal revisions after
	  LAST-UPDATED, revisions that are not in reverse chronological
	  order
	  and missing revisions for the LAST-UPDATED timestamp. Besides
	  that,
	  revisions are now implcitly sorted in reverse chronological
	  order.

2004-07-22 11:51  strauss

	* [r1158] ChangeLog: *** empty log message ***

2004-07-21 10:58  schoenw

	* [r1157] lib/data.c: Removed stupid debugging messages.

2004-07-21 10:38  schoenw

	* [r1156] lib/data.c: Some vendors provide their MIB module files
	  with the module names
	  in lowercase characters - search for files with lowercase MIB
	  module
	  names to simplify things.

2004-07-21 10:33  schoenw

	* [r1155] lib/smi_config.3.in: Fixed a typo.

2004-07-21 08:00  schoenw

	* [r1154] tools/dump-corba.c, tools/dump-sppi.c: Updated
	  getTimeString() - there really should be a collection of
	  generic reusable backend driver functions.

2004-07-21 07:59  schoenw

	* [r1153] tools/dump-scli.c: Tracking recent gsnmp API changes.

2004-07-21 07:19  schoenw

	* [r1152] tools/smidiff.c: Check for valid pointers.

2004-07-12 08:04  schoenw

	* [r1151] tools/dump-scli.c: Tracking recent gsnmp API changes.

2004-07-11 22:46  schoenw

	* [r1150] tools/dump-scli.c: Tracking recent gsnmp API changes.

2004-07-09 13:55  strauss

	* [r1149] lib/parser-smi.y: *** empty log message ***

2004-07-09 13:51  strauss

	* [r1148] lib/parser-smi.y: *** empty log message ***

2004-07-09 13:48  strauss

	* [r1147] lib/parser-smi.y: Fixed grammer to get more appropriate
	  error messages with
	  illegal SYNTAX clauses.

2004-06-22 10:49  strauss

	* [r1146] ChangeLog, mibs/ietf/MPLS-FTN-STD-MIB[ADD],
	  mibs/ietf/MPLS-LDP-ATM-STD-MIB[ADD],
	  mibs/ietf/MPLS-LDP-FRAME-RELAY-STD-MIB[ADD],
	  mibs/ietf/MPLS-LDP-GENERIC-STD-MIB[ADD],
	  mibs/ietf/MPLS-LDP-STD-MIB[ADD], mibs/ietf/MPLS-LSR-STD-MIB[ADD],
	  mibs/ietf/MPLS-TE-STD-MIB[ADD]: Added
	  mibs/ietf/{MPLS-TE-STD-MIB,MPLS-LSR-STD-MIB,MPLS-FTN-STD-MIB,
	  MPLS-LDP-STD-MIB,MPLS-LDP-ATM-STD-MIB,MPLS-LDP-FRAME-RELAY-STD-MIB,
	  MPLS-LDP-GENERIC-STD-MIB}: added (RFCs 3812,3813,3814,3815).

2004-06-17 08:59  strauss

	* [r1145] ChangeLog, mibs/iana/IANA-CHARSET-MIB[ADD],
	  mibs/iana/IANA-FINISHER-MIB[ADD],
	  mibs/iana/IANA-PRINTER-MIB[ADD], mibs/ietf/Finisher-MIB[ADD],
	  mibs/ietf/MPLS-TC-STD-MIB[ADD], mibs/ietf/Printer-MIB: *** empty
	  log message ***

2004-06-10 13:45  strauss

	* [r1144] ChangeLog, mibs/ietf/ROHC-MIB[ADD],
	  mibs/ietf/ROHC-RTP-MIB[ADD],
	  mibs/ietf/ROHC-UNCOMPRESSED-MIB[ADD]: *** empty log message ***

2004-06-07 22:01  schoenw

	* [r1143] tools/dump-python.c: Produce more consistent top comment.

2004-06-07 22:00  schoenw

	* [r1142] tools/dump-perl.c: Added support for the -o option.

2004-06-07 21:25  schoenw

	* [r1141] tools/dump-scli.c: Use G_N_ELEMENTS.

2004-06-02 13:00  strauss

	* [r1140] ChangeLog, THANKS, tools/dump-netsnmp.c: *** empty log
	  message ***

2004-05-12 13:00  schoenw

	* [r1139] tools/dump-scli.c: Tracking recent gsnmp API changes.

2004-04-14 07:48  strauss

	* [r1138] ChangeLog, mibs/ietf/DIFFSERV-CONFIG-MIB[ADD]: Added
	  DIFFSERV-CONFIG-MIB (RFC 3747).

2004-03-30 15:24  strauss

	* [r1137] lib/smi_node.3.in: Fixed a typo. Thanks to Fredrick.

2004-03-29 16:30  tklie

	* [r1136] tools/dump-xsd.c: schemaLocation of smi.xsd is the same
	  as for other imports. It is no longer hard coded.

2004-03-29 13:35  tklie

	* [r1135] tools/dump-xsd.c: Added <xsd:key> and <xsd:keyref>. Fixed
	  bug with schemaLocation URL.

2004-03-13 22:44  schoenw

	* [r1134] tools/dump-sizes.c: Cosmetic fixes to avoid warnings.

2004-03-13 22:35  schoenw

	* [r1133] tools/dump-xsd.c: Fixed two long long unsigned constants.

2004-03-13 22:32  schoenw

	* [r1132] tools/dump-identifiers.c: Generate identifier lists in
	  [g]ctag format.

2004-03-13 22:27  schoenw

	* [r1131] tools/dump-corba.c, tools/dump-scli.c: Generate a more
	  verbose comment at the top of the file.

2004-03-13 22:22  schoenw

	* [r1130] THANKS: Added Bert Wijnen.

2004-03-13 22:21  schoenw

	* [r1129] lib/data.c, lib/error.c, lib/parser-smi.y,
	  lib/parser-sming.y: Rewrote checkModuleName() to handle MIBs and
	  PIBs properly. Also added
	  code to drop trailing white space in some fields.

2004-03-04 16:52  tklie

	* [r1128] tools/dump-xsd.c: Removed doubled output when used with
	  --xsd-nest-* options

2004-03-03 08:35  strauss

	* [r1127] ChangeLog, mibs/ietf/APM-MIB[ADD]: Added APM-MIB (RFC
	  3729).

2004-02-27 08:16  strauss

	* [r1126] ChangeLog, mibs/ietf/VDSL-LINE-MIB[ADD]: added
	  VDSL-LINE-MIB (RFC 3728).

2004-02-18 16:49  schoenw

	* [r1125] lib/error.c: Bumped the error level of module-name-suffix
	  to 5.

2004-02-11 22:22  strauss

	* [r1124] ChangeLog, mibs/ietf/HC-PerfHist-TC-MIB[ADD]: *** empty
	  log message ***

2004-01-12 14:22  strauss

	* [r1123] tools/smidiff.c, win/config.h: *** empty log message ***

2004-01-12 14:11  strauss

	* [r1122] tools/smidiff.c: Fixed potential segfault in
	  checkTypeCompatibility(). Thanks to Mike.

2004-01-12 14:11  strauss

	* [r1121] ChangeLog, configure.in: *** empty log message ***

2003-12-25 12:07  strauss

	* [r1120] ChangeLog, mibs/ietf/POWER-ETHERNET-MIB[ADD]: Added
	  POWER-ETHERNET-MIB (RFC 3621).

2003-12-12 10:36  strauss

	* [r1119] tools/dump-cm.c: *** empty log message ***

2003-12-12 10:20  strauss

	* [r1118] tools/dump-cm.c: *** empty log message ***

2003-12-12 10:06  strauss

	* [r1117] tools/dump-cm.c: *** empty log message ***

2003-12-12 09:51  strauss

	* [r1116] ChangeLog, test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB,
	  test/dumps/python/IF-MIB, test/dumps/xml/IF-MIB, tools/dump-cm.c:
	  *** empty log message ***

2003-12-12 09:42  strauss

	* [r1115] tools/dump-python.c, tools/dump-xml.c: Fixed segfault
	  upon unresolvable parent type names.

2003-12-11 13:12  schoenw

	* [r1114] win/Makefile.mingw: Changes to support new and official
	  backends.

2003-12-11 13:10  schoenw

	* [r1113] win/win.h: Fix to keep mingw happy.

2003-12-10 12:31  strauss

	* [r1112] test/dumps/metrics/IF-MIB, test/dumps/metrics/MAU-MIB,
	  test/dumps/metrics/RMON2-MIB, test/dumps/metrics/SNMPv2-MIB:
	  Updated the test suites templates for the "metrics" smidump
	  driver
	  after Juergen supplied a patch to it.

2003-12-10 12:17  schoenw

	* [r1111] tools/dump-metrics.c: Sort using secondary keys to
	  achieve consistent ordering across platforms
	  with different qsort() implementations.

2003-12-09 14:53  strauss

	* [r1110] win/makefile: Patch from Yigal.

2003-12-09 14:53  strauss

	* [r1109] lib/check.c, lib/check.h, lib/parser-smi.y,
	  tools/dump-sppi.c, tools/dump-xsd.c: Eliminated some compiler
	  warnings.

2003-12-09 14:24  strauss

	* [r1108] tools/dump-sizes.c: Replaced a max unint64 constant value
	  by LIBSMI_UINT64_MAX
	  in getMinUnsigned64() to improve portability.

2003-12-05 14:22  strauss

	* [r1107] test/smidiff/Printer-MIB.diff: *** empty log message ***

2003-12-05 14:20  strauss

	* [r1106] ChangeLog, THANKS, configure.in,
	  test/dumps/metrics/IF-MIB, test/dumps/metrics/MAU-MIB,
	  test/dumps/metrics/RMON2-MIB, test/dumps/metrics/SNMPv2-MIB,
	  test/dumps/orig-smiv2/IF-MIB, test/mibs/LIBSMI-TEST-002-MIB,
	  test/mibs/LIBSMI-TEST-003-MIB, test/mibs/LIBSMI-TEST-008-MIB,
	  test/mibs/LIBSMI-TEST-009-MIB, test/mibs/LIBSMI-TEST-010-MIB,
	  test/mibs/LIBSMI-TEST-013-MIB, test/mibs/LIBSMI-TEST-014-MIB,
	  test/mibs/LIBSMI-TEST-016-MIB, test/mibs/LIBSMI-TEST-017-MIB,
	  test/smidiff/DISMAN-SCRIPT-MIB.diff, test/smidiff/IF-MIB.diff,
	  test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-003-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-004-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-005-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-006-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-007-MIB.diff, win/config.h: Updated the
	  test suite.
	  Final edits for release 0.4.2.

2003-12-01 19:01  strauss

	* [r1105] mibs/irtf/Makefile.am, mibs/site/Makefile.am,
	  mibs/tubs/Makefile.am: *** empty log message ***

2003-12-01 12:24  strauss

	* [r1104] configure.in, mibs/Makefile.am, mibs/iana/Makefile.am,
	  mibs/ietf/Makefile.am, mibs/irtf/Makefile.am,
	  mibs/site/Makefile.am, mibs/tubs/Makefile.am,
	  test/dumps/cm/MAU-MIB, test/dumps/corba/MAU_MIB.idl,
	  test/dumps/corba/MAU_MIB.oid, test/dumps/identifiers/IF-MIB,
	  test/dumps/identifiers/MAU-MIB, test/dumps/identifiers/RMON2-MIB,
	  test/dumps/identifiers/SNMPv2-MIB, test/dumps/imports/IF-MIB,
	  test/dumps/imports/MAU-MIB, test/dumps/imports/RMON2-MIB,
	  test/dumps/imports/SNMPv2-MIB, test/dumps/jax/AddressMap.java,
	  test/dumps/jax/AddressMapControlEntry.java,
	  test/dumps/jax/AddressMapControlEntryImpl.java,
	  test/dumps/jax/AddressMapControlTable.java,
	  test/dumps/jax/AddressMapEntry.java,
	  test/dumps/jax/AddressMapEntryImpl.java,
	  test/dumps/jax/AddressMapImpl.java,
	  test/dumps/jax/AddressMapTable.java,
	  test/dumps/jax/AlHostEntry.java,
	  test/dumps/jax/AlHostEntryImpl.java,
	  test/dumps/jax/AlHostTable.java,
	  test/dumps/jax/AlMatrixDSEntry.java,
	  test/dumps/jax/AlMatrixDSEntryImpl.java,
	  test/dumps/jax/AlMatrixDSTable.java,
	  test/dumps/jax/AlMatrixSDEntry.java,
	  test/dumps/jax/AlMatrixSDEntryImpl.java,
	  test/dumps/jax/AlMatrixSDTable.java,
	  test/dumps/jax/AlMatrixTopNControlEntry.java,
	  test/dumps/jax/AlMatrixTopNControlEntryImpl.java,
	  test/dumps/jax/AlMatrixTopNControlTable.java,
	  test/dumps/jax/AlMatrixTopNEntry.java,
	  test/dumps/jax/AlMatrixTopNEntryImpl.java,
	  test/dumps/jax/AlMatrixTopNTable.java,
	  test/dumps/jax/AuthenticationFailure.java,
	  test/dumps/jax/BroadMauBasicEntry.java,
	  test/dumps/jax/BroadMauBasicEntryImpl.java,
	  test/dumps/jax/BroadMauBasicTable.java,
	  test/dumps/jax/Channel2Entry.java,
	  test/dumps/jax/Channel2EntryImpl.java,
	  test/dumps/jax/Channel2Table.java, test/dumps/jax/ColdStart.java,
	  test/dumps/jax/EtherStats2Entry.java,
	  test/dumps/jax/EtherStats2EntryImpl.java,
	  test/dumps/jax/EtherStats2Table.java,
	  test/dumps/jax/Filter2Entry.java,
	  test/dumps/jax/Filter2EntryImpl.java,
	  test/dumps/jax/Filter2Table.java,
	  test/dumps/jax/HistoryControl2Entry.java,
	  test/dumps/jax/HistoryControl2EntryImpl.java,
	  test/dumps/jax/HistoryControl2Table.java,
	  test/dumps/jax/HlHostControlEntry.java,
	  test/dumps/jax/HlHostControlEntryImpl.java,
	  test/dumps/jax/HlHostControlTable.java,
	  test/dumps/jax/HlMatrixControlEntry.java,
	  test/dumps/jax/HlMatrixControlEntryImpl.java,
	  test/dumps/jax/HlMatrixControlTable.java,
	  test/dumps/jax/HostControl2Entry.java,
	  test/dumps/jax/HostControl2EntryImpl.java,
	  test/dumps/jax/HostControl2Table.java,
	  test/dumps/jax/IfEntry.java, test/dumps/jax/IfEntryImpl.java,
	  test/dumps/jax/IfJackEntry.java,
	  test/dumps/jax/IfJackEntryImpl.java,
	  test/dumps/jax/IfJackTable.java,
	  test/dumps/jax/IfMIBObjects.java,
	  test/dumps/jax/IfMIBObjectsImpl.java,
	  test/dumps/jax/IfMauAutoNegEntry.java,
	  test/dumps/jax/IfMauAutoNegEntryImpl.java,
	  test/dumps/jax/IfMauAutoNegTable.java,
	  test/dumps/jax/IfMauEntry.java,
	  test/dumps/jax/IfMauEntryImpl.java,
	  test/dumps/jax/IfMauJabberTrap.java,
	  test/dumps/jax/IfMauTable.java,
	  test/dumps/jax/IfRcvAddressEntry.java,
	  test/dumps/jax/IfRcvAddressEntryImpl.java,
	  test/dumps/jax/IfRcvAddressTable.java,
	  test/dumps/jax/IfStackEntry.java,
	  test/dumps/jax/IfStackEntryImpl.java,
	  test/dumps/jax/IfStackTable.java, test/dumps/jax/IfTable.java,
	  test/dumps/jax/IfTestEntry.java,
	  test/dumps/jax/IfTestEntryImpl.java,
	  test/dumps/jax/IfTestTable.java, test/dumps/jax/IfXEntry.java,
	  test/dumps/jax/IfXEntryImpl.java, test/dumps/jax/IfXTable.java,
	  test/dumps/jax/Interfaces.java,
	  test/dumps/jax/InterfacesImpl.java, test/dumps/jax/LinkDown.java,
	  test/dumps/jax/LinkUp.java,
	  test/dumps/jax/MatrixControl2Entry.java,
	  test/dumps/jax/MatrixControl2EntryImpl.java,
	  test/dumps/jax/MatrixControl2Table.java,
	  test/dumps/jax/NetConfigEntry.java,
	  test/dumps/jax/NetConfigEntryImpl.java,
	  test/dumps/jax/NetConfigTable.java,
	  test/dumps/jax/NlHostEntry.java,
	  test/dumps/jax/NlHostEntryImpl.java,
	  test/dumps/jax/NlHostTable.java,
	  test/dumps/jax/NlMatrixDSEntry.java,
	  test/dumps/jax/NlMatrixDSEntryImpl.java,
	  test/dumps/jax/NlMatrixDSTable.java,
	  test/dumps/jax/NlMatrixSDEntry.java,
	  test/dumps/jax/NlMatrixSDEntryImpl.java,
	  test/dumps/jax/NlMatrixSDTable.java,
	  test/dumps/jax/NlMatrixTopNControlEntry.java,
	  test/dumps/jax/NlMatrixTopNControlEntryImpl.java,
	  test/dumps/jax/NlMatrixTopNControlTable.java,
	  test/dumps/jax/NlMatrixTopNEntry.java,
	  test/dumps/jax/NlMatrixTopNEntryImpl.java,
	  test/dumps/jax/NlMatrixTopNTable.java,
	  test/dumps/jax/ProbeConfig.java,
	  test/dumps/jax/ProbeConfigImpl.java,
	  test/dumps/jax/ProtocolDir.java,
	  test/dumps/jax/ProtocolDirEntry.java,
	  test/dumps/jax/ProtocolDirEntryImpl.java,
	  test/dumps/jax/ProtocolDirImpl.java,
	  test/dumps/jax/ProtocolDirTable.java,
	  test/dumps/jax/ProtocolDistControlEntry.java,
	  test/dumps/jax/ProtocolDistControlEntryImpl.java,
	  test/dumps/jax/ProtocolDistControlTable.java,
	  test/dumps/jax/ProtocolDistStatsEntry.java,
	  test/dumps/jax/ProtocolDistStatsEntryImpl.java,
	  test/dumps/jax/ProtocolDistStatsTable.java,
	  test/dumps/jax/RingStationControl2Entry.java,
	  test/dumps/jax/RingStationControl2EntryImpl.java,
	  test/dumps/jax/RingStationControl2Table.java,
	  test/dumps/jax/RpJackEntry.java,
	  test/dumps/jax/RpJackEntryImpl.java,
	  test/dumps/jax/RpJackTable.java, test/dumps/jax/RpMauEntry.java,
	  test/dumps/jax/RpMauEntryImpl.java,
	  test/dumps/jax/RpMauJabberTrap.java,
	  test/dumps/jax/RpMauTable.java,
	  test/dumps/jax/SerialConfigEntry.java,
	  test/dumps/jax/SerialConfigEntryImpl.java,
	  test/dumps/jax/SerialConfigTable.java,
	  test/dumps/jax/SerialConnectionEntry.java,
	  test/dumps/jax/SerialConnectionEntryImpl.java,
	  test/dumps/jax/SerialConnectionTable.java,
	  test/dumps/jax/Snmp.java, test/dumps/jax/SnmpImpl.java,
	  test/dumps/jax/SnmpSet.java, test/dumps/jax/SnmpSetImpl.java,
	  test/dumps/jax/SnmpTrap.java, test/dumps/jax/SnmpTrapImpl.java,
	  test/dumps/jax/SourceRoutingStats2Entry.java,
	  test/dumps/jax/SourceRoutingStats2EntryImpl.java,
	  test/dumps/jax/SourceRoutingStats2Table.java,
	  test/dumps/jax/SysOREntry.java,
	  test/dumps/jax/SysOREntryImpl.java,
	  test/dumps/jax/SysORTable.java, test/dumps/jax/System.java,
	  test/dumps/jax/SystemImpl.java,
	  test/dumps/jax/TokenRingMLStats2Entry.java,
	  test/dumps/jax/TokenRingMLStats2EntryImpl.java,
	  test/dumps/jax/TokenRingMLStats2Table.java,
	  test/dumps/jax/TokenRingPStats2Entry.java,
	  test/dumps/jax/TokenRingPStats2EntryImpl.java,
	  test/dumps/jax/TokenRingPStats2Table.java,
	  test/dumps/jax/TrapDestEntry.java,
	  test/dumps/jax/TrapDestEntryImpl.java,
	  test/dumps/jax/TrapDestTable.java,
	  test/dumps/jax/UsrHistoryControlEntry.java,
	  test/dumps/jax/UsrHistoryControlEntryImpl.java,
	  test/dumps/jax/UsrHistoryControlTable.java,
	  test/dumps/jax/UsrHistoryEntry.java,
	  test/dumps/jax/UsrHistoryEntryImpl.java,
	  test/dumps/jax/UsrHistoryObjectEntry.java,
	  test/dumps/jax/UsrHistoryObjectEntryImpl.java,
	  test/dumps/jax/UsrHistoryObjectTable.java,
	  test/dumps/jax/UsrHistoryTable.java,
	  test/dumps/jax/WarmStart.java, test/dumps/mosy/MAU-MIB,
	  test/dumps/netsnmp/if-mib-agt-stub.c,
	  test/dumps/netsnmp/if-mib-agt.c,
	  test/dumps/netsnmp/if-mib-mgr-stub.c,
	  test/dumps/netsnmp/mau-mib-agt-stub.c,
	  test/dumps/netsnmp/mau-mib-agt.c,
	  test/dumps/netsnmp/mau-mib-mgr-stub.c,
	  test/dumps/netsnmp/mau-mib.h,
	  test/dumps/netsnmp/rmon2-mib-agt-stub.c,
	  test/dumps/netsnmp/rmon2-mib-agt.c,
	  test/dumps/netsnmp/rmon2-mib-mgr-stub.c,
	  test/dumps/netsnmp/snmpv2-mib-agt-stub.c,
	  test/dumps/netsnmp/snmpv2-mib-agt.c,
	  test/dumps/netsnmp/snmpv2-mib-mgr-stub.c,
	  test/dumps/orig-smiv2/MAU-MIB, test/dumps/python/MAU-MIB,
	  test/dumps/smilint-smiv2/MAU-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB,
	  test/dumps/smilint-smiv2/SNMPv2-MIB, test/dumps/sming/MAU-MIB,
	  test/dumps/smiv1/MAU-MIB, test/dumps/smiv2-smiv2/MAU-MIB,
	  test/dumps/smiv2/MAU-MIB, test/dumps/tree/MAU-MIB,
	  test/dumps/types/IF-MIB, test/dumps/types/MAU-MIB,
	  test/dumps/xml/IF-MIB, test/dumps/xml/MAU-MIB,
	  test/parser.test.in: Updated some of the checks in the test suite
	  (but not all).

2003-12-01 09:54  strauss

	* [r1103] ChangeLog, tools/smidiff.c: Fixed error messages on
	  changed base types for node comparisons:
	  now the node names are reported and not the underlying type
	  names.
	  Thanks to Mike.

2003-11-28 11:42  schoenw

	* [r1102] tools/smidiff.c: Report where a default value was removed
	  followed by the previous definition
	  since this is more logical from the reader's perspective.

2003-11-18 12:56  schoenw

	* [r1101] lib/check.c, lib/check.h, lib/error.c, lib/parser-smi.y:
	  Added a check to test whether INTEGER types have an explicit
	  format
	  specification. Note that the SMIv2 does not say that "d" is the
	  default.

2003-11-18 12:54  schoenw

	* [r1100] tools/dump-scli.c: Added range checks for index number
	  types. Changed the mask to be 64
	  bit wide which should cover most practical cases.

2003-11-18 12:52  schoenw

	* [r1099] tools/dump-sizes.c, tools/smidump.1.in: Removed some
	  debugging code, updated the smidump documentation.

2003-11-06 10:15  strauss

	* [r1098] ChangeLog, Makefile.am, mibs/ietf/ATM2-MIB[ADD]: ***
	  empty log message ***

2003-10-08 16:10  strauss

	* [r1097] .: *** empty log message ***

2003-10-06 10:49  strauss

	* [r1096] THANKS: *** empty log message ***

2003-10-06 10:48  strauss

	* [r1095] lib/parser-smi.y: Modified a check for SEQUENCE elements
	  based on a bug report from Juergen
	  Quittek.

2003-10-05 13:04  schoenw

	* [r1094] lib/error.c, lib/parser-smi.y: Added a test to check
	  whether the module name matches *-MIB (as suggested
	  by the MIB guidelines document).

2003-10-02 12:29  strauss

	* [r1093] ChangeLog, mibs/ietf/ETHER-WIS[ADD]: *** empty log
	  message ***

2003-10-02 11:57  strauss

	* [r1092] win/config.h: *** empty log message ***

2003-10-02 11:57  strauss

	* [r1091] ChangeLog, THANKS, lib/data.c, lib/parser-smi.y: Fixed a
	  bug with pending (forward, but not
	  resolved) definitions of identifiers that appear again in a
	  subsequently loaded module. Thanks to Fredrick.

2003-10-01 19:31  strauss

	* [r1090] ChangeLog, mibs/ietf/EtherLike-MIB, mibs/ietf/MAU-MIB:
	  *** empty log message ***

2003-09-30 11:57  schoenw

	* [r1089] tools/dump-identifiers.c: Removed the ignore types and
	  ignore nodes options since grep is your
	  friend now.

2003-09-30 11:51  schoenw

	* [r1088] tools/dump-identifiers.c: Output the kind of identifier
	  which is useful to find for example all
	  notification definitions.

2003-09-17 12:45  schoenw

	* [r1087] tools/smidump.c, tools/smidump.h: Added support for the
	  new sizes output format.

2003-09-17 12:37  schoenw

	* [r1086] tools/Makefile.am, tools/dump-sizes.c[ADD]: Added another
	  smidump output driver which computes PDU sizes.

2003-09-15 10:42  strauss

	* [r1085] ChangeLog, mibs/ietf/IPV6-FLOW-LABEL-MIB[ADD]: *** empty
	  log message ***

2003-09-10 17:18  schoenw

	* [r1084] tools/smidiff.c: Swapped two arguments in a function call
	  to compare notification definitions.
	  Thanks to Mike Heard (as always) for reporting the error.

2003-09-08 15:35  schoenw

	* [r1083] tools/smidiff.c: Changed the from-implicit and
	  refinement-added messages to error level
	  five as suggested by Mike Heard.

2003-09-05 10:54  schoenw

	* [r1082] lib/error.c: Changed the index-element-no-size warning
	  level for object identifier
	  index values from 5 to 6 as suggest by Mike Heard. Added
	  descriptions
	  where they were missing.

2003-09-04 08:35  strauss

	* [r1081] ChangeLog, mibs/ietf/OPT-IF-MIB[ADD],
	  mibs/ietf/PerfHist-TC-MIB, mibs/ietf/SONET-MIB: *** empty log
	  message ***

2003-08-14 11:30  schoenw

	* [r1080] win/config.h: Do not build the outdated SMIng backend by
	  default.

2003-08-14 11:29  schoenw

	* [r1079] tools/dump-metrics.c: Minor corrections and improvements.

2003-08-14 11:28  schoenw

	* [r1078] lib/parser-sming.y: Fixed a missing closing bracket.

2003-08-14 11:27  schoenw

	* [r1077] lib/error.c: Changed an error message to make it less
	  SMIv2 specific.

2003-08-14 11:10  schoenw

	* [r1076] win/README.mingw: Fixed spellings.

2003-08-07 09:25  strauss

	* [r1075] ChangeLog, pibs/ietf/FRAMEWORK-FEEDBACK-PIB[ADD]: ***
	  empty log message ***

2003-08-05 13:50  strauss

	* [r1074] lib/check.c, lib/parser-smi.y: Fixed wrong line numbers
	  for some checks. Thanks to Mike.

2003-07-24 09:42  strauss

	* [r1073] tools/smistrip.in: *** empty log message ***

2003-07-17 09:13  strauss

	* [r1072] tools/smistrip.in: smistrip now decompresses files with
	  the extension .gz on the fly.

2003-07-17 08:49  strauss

	* [r1071] tools/smidiff.c: Changed a number of pattern that are
	  used in error messages from
	  allcaps keywords to lowercase terms that are more consistent with
	  the rest of smidiff and libsmi error messages.

2003-07-17 08:26  strauss

	* [r1070] lib/error.c, pibs, pibs/ietf, pibs/site, pibs/tubs: ***
	  empty log message ***

2003-07-14 22:58  schoenw

	* [r1069] tools/dump-tree.c: Fixed segmentation faults triggered by
	  MIB modules that contain just
	  a single scalar.

2003-07-11 06:13  tklie

	* [r1068] tools/dump-xsd.c: fixed typo in lengths tag

2003-07-04 15:10  tklie

	* [r1067] tools/dump-xsd.c: Added length information to type
	  appinfos.

2003-06-24 09:54  schoenw

	* [r1066] tools/smidiff.c: Fixed smidiff so that the -i option can
	  also be used to suppress libsmi
	  error messages in addition to smidiff error messages.

2003-06-20 09:03  strauss

	* [r1065] ChangeLog, mibs/ietf/BLDG-HVAC-MIB[ADD],
	  mibs/ietf/MALLOC-MIB[ADD]: *** empty log message ***

2003-06-16 15:17  schoenw

	* [r1064] lib/check.c, lib/check.h, lib/error.c, lib/parser-smi.y,
	  lib/parser-sming.y: Discard format specifications that are
	  invalid so that output generators
	  do not have to worry about incorrect format specifications.

2003-05-19 14:33  strauss

	* [r1063] tools/smidiff.c: *** empty log message ***

2003-05-19 13:42  strauss

	* [r1062] lib/smi.h.in, tools/smidiff.c: Fixed two wrong/misleading
	  smidiff warnings on compliances' OBJECT and
	  GROUP clauses. Thanks to Mike.

2003-05-16 14:42  tklie

	* [r1061] tools/dump-xsd.c: added flag to display names of default
	  enumeration values

2003-05-16 11:23  strauss

	* [r1060] test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB,
	  test/dumps/corba/SNMPv2_MIB.idl,
	  test/dumps/identifiers/SNMPv2-MIB, test/dumps/metrics/IF-MIB,
	  test/dumps/metrics/MAU-MIB, test/dumps/metrics/RMON2-MIB,
	  test/dumps/metrics/SNMPv2-MIB, test/dumps/mosy/IF-MIB,
	  test/dumps/mosy/MAU-MIB, test/dumps/mosy/RMON2-MIB,
	  test/dumps/mosy/SNMPv2-MIB, test/dumps/orig-smiv2/SNMPv2-MIB,
	  test/dumps/python/IF-MIB, test/dumps/python/SNMPv2-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB, test/dumps/sming/IF-MIB,
	  test/dumps/sming/SNMPv2-MIB, test/dumps/smiv1/IF-MIB,
	  test/dumps/smiv1/MAU-MIB, test/dumps/smiv1/RMON2-MIB,
	  test/dumps/smiv1/SNMPv2-MIB, test/dumps/smiv2-smiv2/IF-MIB,
	  test/dumps/smiv2-smiv2/MAU-MIB, test/dumps/smiv2-smiv2/RMON2-MIB,
	  test/dumps/smiv2-smiv2/SNMPv2-MIB, test/dumps/smiv2/IF-MIB,
	  test/dumps/smiv2/MAU-MIB, test/dumps/smiv2/RMON2-MIB,
	  test/dumps/smiv2/SNMPv2-MIB, test/dumps/tree/SNMPv2-MIB,
	  test/dumps/xml/SNMPv2-MIB: Updated a lot of test suite MIBs. But
	  there are still some diffs due to
	  real bugs, that are not yet fixed!

2003-05-16 11:22  strauss

	* [r1059] lib/scanner-smi.l, lib/scanner-sming.l: No longer use
	  YY_PROTO so that it works with recent flex/bison versions.

2003-05-15 13:36  strauss

	* [r1058] lib/parser-smi.y, lib/smi.h.in: Fixed check for members
	  in OBJECTS clauses that are not defined in the
	  local module: Now it only appears in case of OBJECT-GROUPS and
	  not for
	  NOTIFICATIONs.

2003-05-14 10:55  strauss

	* [r1057] lib/error.c: *** empty log message ***

2003-05-13 09:48  tklie

	* [r1056] tools/dump-xsd.c: changed <defval> to <default> appinfo
	  tag

2003-05-12 17:31  tklie

	* [r1055] lib/smi.c: IpAddress type can be rendered as if it had
	  the DisplayHint "1d."

2003-05-12 12:56  tklie

	* [r1054] tools/dump-xsd.c: added default value to appinfos

2003-05-05 08:05  strauss

	* [r1053] lib/parser-smi.y: Fixed wrong error messages for
	  implicitly defined parent nodes. Thanks to
	  Mike.

2003-04-30 14:51  strauss

	* [r1052] tools/smidiff.c: Moved some checks from level 3 to level
	  5. Thanks to Mike.

2003-04-30 14:29  strauss

	* [r1051] lib/data.c, lib/data.h, lib/parser-smi.y: Added an
	  internal flag to differentiate between usual imports and those
	  caused by a MODULE clause within a MODULE-COMPLIANCE clause. This
	  allows
	  react more accurately on references to identifiers that have not
	  been
	  imported through an IMPORTS ... FROM clause. Thanks to Mike.

2003-04-30 11:06  strauss

	* [r1050] lib/error.c: *** empty log message ***

2003-04-30 10:59  strauss

	* [r1049] lib/error.c, lib/parser-smi.y: Added check for OBJECTS
	  and NOTIFICATIONS members that are not defined
	  in the local module. Thanks to Mike.

2003-04-30 10:39  strauss

	* [r1048] lib/check.c: *** empty log message ***

2003-04-30 08:41  strauss

	* [r1047] lib/check.c, lib/error.c, lib/parser-smi.y: Added more
	  checks for unexpected illegal sub-typing of IpAddress, TimeTicks,
	  Counter32, Counter64 and OBJECT IDENTIFIER.

2003-04-28 12:04  strauss

	* [r1046] lib/check.c, lib/error.c, lib/parser-smi.y: Fixed
	  parentPtr for type refinements in compliance statements. Based on
	  a bug report from Mike Heard about missing warnings on
	  incompatible enums
	  in OBJECT's SYNTAX clauses.

2003-04-24 13:11  strauss

	* [r1045] lib/data.h, lib/parser-smi.y, lib/smi.c, lib/smi.h.in,
	  tools/smidiff.c: Added smidiff checks for compliance clauses.
	  Added line attributes to compliances' option and refinement
	  structs and
	  appropriate *GetLine() functions to the API.

2003-04-24 13:10  strauss

	* [r1044] Makefile.am, TODO: Added smidiff checks for compliance
	  clauses.

2003-04-03 15:31  strauss

	* [r1043] Makefile.am, THANKS, lib/error.c, lib/parser-smi.y: Added
	  check for TimeTicks subtyping. Thanks to Pete Flugstad.

2003-04-02 07:59  schoenw

	* [r1042] tools/dump-mosy.c: Fixed a cut n paste bug reported by
	  Mike Kirkham.

2003-04-01 15:29  tklie

	* [r1041] tools/dump-xsd.c: Added annotations to attributes

2003-03-27 16:11  schoenw

	* [r1040] doc/smi.dtd, doc/smi.xsd: Some fixes for the DTD and the
	  XML Schema files from Claus Klein
	  <Claus.Klein@marconi.com>.

2003-03-20 21:23  strauss

	* [r1039] Makefile.am, THANKS: *** empty log message ***

2003-03-08 09:38  strauss

	* [r1038] ChangeLog, TODO, mibs/ietf/APS-MIB[ADD],
	  pibs/ietf/DIFFSERV-PIB[ADD], pibs/ietf/FRAMEWORK-PIB[ADD],
	  pibs/ietf/FRAMEWORK-TC-PIB[ADD], pibs/tubs/DIFFSERV-PIB[DEL],
	  pibs/tubs/DIFFSERV-PIB-orig[DEL], pibs/tubs/FRAMEWORK-PIB[DEL],
	  pibs/tubs/FRAMEWORK-PIB-orig[DEL],
	  pibs/tubs/FRAMEWORK-TC-PIB[DEL],
	  pibs/tubs/FRAMEWORK-TC-PIB-orig[DEL]: *** empty log message ***

2003-02-28 10:18  schoenw

	* [r1037] lib/error.c: Updates a warning message.

2003-02-27 12:10  schoenw

	* [r1036] lib/check.c, lib/error.c: Check whether the first bit in
	  a bit set has been assigned a name.

2003-02-26 15:33  schoenw

	* [r1035] lib/error.c: Assigned several level 6 messages to level 5
	  to make sure we use level 6
	  only for informational messages.

2003-02-26 15:31  schoenw

	* [r1034] tools/smidiff.c: Alignment with recent smilint changes.

2003-02-26 15:31  schoenw

	* [r1033] tools/smilint.c: Suppress emtpy descriptions, be
	  consistent with labeling messages as
	  warnings or informational messages.

2003-02-23 21:49  schoenw

	* [r1032] tools/smilint.c: Changed the format of the smilint -e
	  output and added verbose error/warning
	  descriptions when smilint -e is followed by MIB module names.

2003-02-23 21:28  schoenw

	* [r1031] lib/error.c: Some minor changes in the private API plus
	  another error description.

2003-02-21 10:36  schoenw

	* [r1030] lib/error.c: Added support for descriptions of error
	  messages.

2003-02-21 10:35  schoenw

	* [r1029] tools/smidiff.1.in, tools/smidump.1.in,
	  tools/smilint.1.in: Moved the description of error levels into a
	  single place and updated
	  the description according to our current understanding of the
	  error
	  levels.

2003-02-20 15:35  schoenw

	* [r1028] tools/dump-scli.c: Several updates to track changes in
	  the glib snmp engine.

2003-02-06 15:16  tklie

	* [r1027] tools/dump-xsd.c: Added appinfo to elements containing
	  types with display hint

2003-02-04 15:20  tklie

	* [r1026] tools/dump-xsd.c: Added <flags> tag to rows and removed
	  appinfos from types

2003-02-04 13:38  strauss

	* [r1025] TODO: *** empty log message ***

2003-02-03 16:30  tklie

	* [r1024] tools/dump-xsd.c: added <implied> element to <appinfo>

2003-01-29 16:42  tklie

	* [r1023] tools/dump-xsd.c: Added appinfo for display hints to
	  implicit types

2003-01-28 16:42  tklie

	* [r1022] tools/dump-xsd.c: BITS related types are treated like
	  normal types

2003-01-27 17:24  tklie

	* [r1021] tools/dump-xsd.c: nested subtables not longer included at
	  top-level

2003-01-24 15:25  tklie

	* [r1020] tools/dump-xsd.c: Changed char class name in display hint
	  regexp and fixed bug in nested subtables

2003-01-24 15:24  tklie

	* [r1019] tools/smi.xsd: Changed schema location and namespace name

2003-01-23 14:35  tklie

	* [r1018] tools/dump-xsd.c: Used Unicode block instead of char
	  range in display hint pattern

2003-01-22 17:28  tklie

	* [r1017] tools/dump-xsd.c: Added option 'xsd-nest-subtables'

2003-01-18 21:24  strauss

	* [r1016] tools/smistrip.in: *** empty log message ***

2003-01-18 21:23  strauss

	* [r1015] win/Makefile.mingw, win/makefile: Modifications supplied
	  by Erik.

2003-01-16 17:15  tklie

	* [r1014] tools/dump-xsd.c: Corrected pattern for ascii chars in
	  display hints

2003-01-15 17:33  tklie

	* [r1013] tools/dump-xsd.c: Fixed bug with display hint of
	  SnmpAdminString (i.e. 255t)

2003-01-10 14:20  strauss

	* [r1012] tools/dump-xsd.c: Better support for --xsd-container.

2003-01-03 15:36  strauss

	* [r1011] ChangeLog, mibs/ietf/ADSL-LINE-EXT-MIB[ADD]: Added
	  ADSL-LINE-EXT-MIB (RFC 3440).

2002-12-27 21:05  schoenw

	* [r1010] win/Makefile.mingw, win/makefile: Several updates to
	  track the introduction of a pibs directory.

2002-12-27 21:04  schoenw

	* [r1009] tools/dump-metrics.c: Added code to compute the
	  complexity of a MIB module.

2002-12-26 13:10  strauss

	* [r1008] ChangeLog, mibs/ietf/HC-ALARM-MIB[ADD]: Added
	  HC-ALARM-MIB (RFC 3434).

2002-12-22 16:23  strauss

	* [r1007] doc/Makefile.am: *** empty log message ***

2002-12-22 16:14  strauss

	* [r1006] doc/Makefile.am, doc/draft-irtf-nmrg-smi-xml-01.txt[ADD],
	  doc/smi.xsd[ADD], pibs/Makefile.am[ADD]: *** empty log message
	  ***

2002-12-22 16:12  strauss

	* [r1005] ChangeLog, Makefile.am, README, configure.in,
	  doc/ibrpib-assignments.txt[ADD], mibs/tubs/ACCESSBIND-PIB[DEL],
	  mibs/tubs/ACCESSBIND-PIB-orig[DEL],
	  mibs/tubs/ACCOUNTING-FRAMEWORK-PIB[DEL],
	  mibs/tubs/ACCOUNTING-FRAMEWORK-PIB-orig[DEL],
	  mibs/tubs/COPS-PR-SPPI[DEL], mibs/tubs/COPS-PR-SPPI-TC[DEL],
	  mibs/tubs/DIFFSERV-PIB[DEL], mibs/tubs/DIFFSERV-PIB-orig[DEL],
	  mibs/tubs/FEEDBACK-FRAMEWORK-PIB[DEL],
	  mibs/tubs/FEEDBACK-FRAMEWORK-PIB-orig[DEL],
	  mibs/tubs/FRAMEWORK-PIB[DEL], mibs/tubs/FRAMEWORK-PIB-orig[DEL],
	  mibs/tubs/FRAMEWORK-TC-PIB[DEL],
	  mibs/tubs/FRAMEWORK-TC-PIB-orig[DEL], mibs/tubs/IP-TE-PIB[DEL],
	  mibs/tubs/IP-TE-PIB-orig[DEL], mibs/tubs/IPSEC-POLICY-PIB[DEL],
	  mibs/tubs/IPSEC-POLICY-PIB-orig[DEL],
	  mibs/tubs/LOAD-BALANCING-PIB[DEL],
	  mibs/tubs/LOAD-BALANCING-PIB-orig[DEL],
	  mibs/tubs/META-POLICY-PIB[DEL],
	  mibs/tubs/META-POLICY-PIB-orig[DEL],
	  mibs/tubs/MPLS-SETUP-PIB[DEL],
	  mibs/tubs/MPLS-SETUP-PIB-orig[DEL], mibs/tubs/PARTITION-PIB[DEL],
	  mibs/tubs/PARTITION-PIB-orig[DEL],
	  mibs/tubs/POLICY-FRAMEWORK-PIB[DEL],
	  mibs/tubs/POLICY-FRAMEWORK-PIB-orig[DEL],
	  mibs/tubs/PPVPN-PIB[DEL], mibs/tubs/PPVPN-PIB-orig[DEL],
	  mibs/tubs/QOS-POLICY-802-PIB[DEL],
	  mibs/tubs/QOS-POLICY-802-PIB-orig[DEL],
	  mibs/tubs/QOS-POLICY-IP-PIB[DEL],
	  mibs/tubs/QOS-POLICY-IP-PIB-orig[DEL],
	  mibs/tubs/RSVP-PCC-PIB[DEL], mibs/tubs/RSVP-PCC-PIB-orig[DEL],
	  mibs/tubs/SLS-NEGOTIATION-PIB[DEL],
	  mibs/tubs/SLS-NEGOTIATION-PIB-orig[DEL], mibs/tubs/UMTS-PIB[DEL],
	  mibs/tubs/UMTS-PIB-orig[DEL],
	  mibs/tubs/ibrpib-assignments.txt[DEL], pibs[ADD], pibs/ietf[ADD],
	  pibs/ietf/COPS-PR-SPPI[ADD], pibs/ietf/COPS-PR-SPPI-TC[ADD],
	  pibs/ietf/Makefile.am[ADD], pibs/site[ADD],
	  pibs/site/Makefile.am[ADD], pibs/tubs[ADD],
	  pibs/tubs/ACCESSBIND-PIB[ADD],
	  pibs/tubs/ACCESSBIND-PIB-orig[ADD],
	  pibs/tubs/ACCOUNTING-FRAMEWORK-PIB[ADD],
	  pibs/tubs/ACCOUNTING-FRAMEWORK-PIB-orig[ADD],
	  pibs/tubs/DIFFSERV-PIB[ADD], pibs/tubs/DIFFSERV-PIB-orig[ADD],
	  pibs/tubs/FEEDBACK-FRAMEWORK-PIB[ADD],
	  pibs/tubs/FEEDBACK-FRAMEWORK-PIB-orig[ADD],
	  pibs/tubs/FRAMEWORK-PIB[ADD], pibs/tubs/FRAMEWORK-PIB-orig[ADD],
	  pibs/tubs/FRAMEWORK-TC-PIB[ADD],
	  pibs/tubs/FRAMEWORK-TC-PIB-orig[ADD], pibs/tubs/IP-TE-PIB[ADD],
	  pibs/tubs/IP-TE-PIB-orig[ADD], pibs/tubs/IPSEC-POLICY-PIB[ADD],
	  pibs/tubs/IPSEC-POLICY-PIB-orig[ADD],
	  pibs/tubs/LOAD-BALANCING-PIB[ADD],
	  pibs/tubs/LOAD-BALANCING-PIB-orig[ADD],
	  pibs/tubs/META-POLICY-PIB[ADD],
	  pibs/tubs/META-POLICY-PIB-orig[ADD],
	  pibs/tubs/MPLS-SETUP-PIB[ADD],
	  pibs/tubs/MPLS-SETUP-PIB-orig[ADD], pibs/tubs/Makefile.am[ADD],
	  pibs/tubs/PARTITION-PIB[ADD], pibs/tubs/PARTITION-PIB-orig[ADD],
	  pibs/tubs/POLICY-FRAMEWORK-PIB[ADD],
	  pibs/tubs/POLICY-FRAMEWORK-PIB-orig[ADD],
	  pibs/tubs/PPVPN-PIB[ADD], pibs/tubs/PPVPN-PIB-orig[ADD],
	  pibs/tubs/QOS-POLICY-802-PIB[ADD],
	  pibs/tubs/QOS-POLICY-802-PIB-orig[ADD],
	  pibs/tubs/QOS-POLICY-IP-PIB[ADD],
	  pibs/tubs/QOS-POLICY-IP-PIB-orig[ADD],
	  pibs/tubs/RSVP-PCC-PIB[ADD], pibs/tubs/RSVP-PCC-PIB-orig[ADD],
	  pibs/tubs/SLS-NEGOTIATION-PIB[ADD],
	  pibs/tubs/SLS-NEGOTIATION-PIB-orig[ADD], pibs/tubs/UMTS-PIB[ADD],
	  pibs/tubs/UMTS-PIB-orig[ADD]: Moved PIBs to the new pibs/
	  subdirectory and adapted Makefiles and
	  configure script accordingly.

2002-12-22 13:05  strauss

	* [r1004] ChangeLog, mibs/ietf/ENTITY-SENSOR-MIB[ADD]: Added
	  ENTITY-SENSOR-MIB (RFC 3433).

2002-12-19 10:28  strauss

	* [r1003] mibs/ietf/SNMP-FRAMEWORK-MIB, mibs/ietf/SNMP-MPD-MIB,
	  mibs/ietf/SNMP-NOTIFICATION-MIB, mibs/ietf/SNMP-PROXY-MIB,
	  mibs/ietf/SNMP-TARGET-MIB, mibs/ietf/SNMP-USER-BASED-SM-MIB,
	  mibs/ietf/SNMP-VIEW-BASED-ACM-MIB, mibs/ietf/SNMPv2-MIB,
	  mibs/ietf/SNMPv2-TM, mibs/ietf/TRANSPORT-ADDRESS-MIB[ADD]:
	  Updated and added MIBs (RFCs 3410-3418, RFC 3419).

2002-12-19 10:27  strauss

	* [r1002] ChangeLog: *** empty log message ***

2002-12-18 13:13  tklie

	* [r1001] tools/dump-xsd.c: fixed bug with duplicated index
	  attributes

2002-12-17 17:50  schoenw

	* [r1000] tools/dump-smi.c: Better indenting in compliance
	  definitions.

2002-12-17 17:49  schoenw

	* [r999] tools/dump-scli.c: Added the --scli-set, --scli-create and
	  --scli-delete options and removed
	  some unused code.

2002-12-17 17:47  schoenw

	* [r998] tools/dump-metrics.c: Some more metrics (reference counts
	  from external modules to types and
	  nodes) and a few bug fixes.

2002-12-13 14:09  tklie

	* [r997] tools/dump-xsd.c: implicit types are regarded in
	  attributes as well

2002-12-11 23:25  strauss

	* [r996] tools/dump-xsd.c: Snapshot checkin - this is the status
	  used to generate the updated snippets
	  for the IM-2003 paper.

2002-12-11 22:04  strauss

	* [r995] tools/dump-xsd.c: Further fprintSegment() simplifications.

2002-12-11 17:22  strauss

	* [r994] tools/dump-xsd.c: Added --xsd-container option to generate
	  a "container schema" that imports
	  all modules and references their scalar group and entry types
	  instead of
	  generating seperate per module schemas. (not yet complete)

2002-12-11 16:55  strauss

	* [r993] tools/dump-xsd.c: Minor modification to keep output of
	  start and tag in the function.

2002-12-11 16:43  strauss

	* [r992] tools/dump-xsd.c: Fixed some cases of "asymmetric" tags
	  under certain conditions.
	  Simplified the indentation mechanism.
	  Minor fixes/changes.

2002-12-11 14:37  strauss

	* [r991] TODO: *** empty log message ***

2002-12-10 09:50  tklie

	* [r990] tools/dump-xsd.c: Changed default schema location to
	  http://www.ibr.cs.tu-bs.de/projects/libsmi/xsd/

2002-12-06 18:37  strauss

	* [r989] lib/parser-sming.y: fixed two bison warnings.

2002-12-06 15:37  strauss

	* [r988] tools/smiquery.c: Support multiple "command name" pairs on
	  the command line.

2002-11-30 23:48  schoenw

	* [r987] tools/dump-tree.c: Improved the implementation of the
	  options. There is still some
	  work left to handle some special cases well.

2002-11-29 15:27  schoenw

	* [r986] tools/dump-tree.c: Added the options --tree-no-leafs and
	  --tree-compact.

2002-11-29 14:47  schoenw

	* [r985] tools/dump-xml.c: Generate SMIv1 status values for SMIv1
	  modules.

2002-11-29 12:07  strauss

	* [r984] mibs/ietf/SFLOW-MIB[ADD]: Added SFLOW-MIB (RFC 3176,
	  Informational).

2002-11-29 12:07  strauss

	* [r983] ChangeLog, configure.in, win/config.h: *** empty log
	  message ***

2002-11-27 13:04  schoenw

	* [r982] tools/dump-scli.c: Several minor fixes and cleanups.

2002-11-26 18:22  schoenw

	* [r981] tools/dump-scli.c: Added the --scli-prefix option which
	  can be used to specify a prefix
	  which is used instead of the module name. Generate enumeration
	  mapping
	  tables only for types defined in the module. (Requires the
	  programmer
	  to #include other modules to access enumeration mappings for
	  imported
	  types but helps to reduce the overhead.)

2002-11-20 14:00  schoenw

	* [r980] test/mibs/LIBSMI-TEST-017-MIB[ADD], test/mibs/Makefile.am:
	  Added some more test cases for the TRANSPORT-ADDRESS-MIB.

2002-11-20 13:58  schoenw

	* [r979] lib/check.c, lib/error.c: Minor cleanups.

2002-11-19 16:57  schoenw

	* [r978] lib/error.c: Added errors for transport address usage (see
	  RFC 3419).

2002-11-19 13:36  schoenw

	* [r977] test/mibs/LIBSMI-TEST-016-MIB[ADD]: A set of test cases
	  for the InetAddress TCs (based on RFC 3291).

2002-11-19 13:35  schoenw

	* [r976] lib/check.c: Changed the RFC3291 InetAddress checks to
	  accept InetAddressTypes which
	  are only in the index of a table. Added similar checks for the
	  family of
	  TransportAddress TCs defined in RFC 3419.

2002-11-19 12:45  strauss

	* [r975] ChangeLog, THANKS, tools/dump-smi.c, tools/dump-sming.c,
	  tools/dump-smiv3.c, tools/dump-sppi.c: Fixed list of imports in
	  case of imported types only used for inline
	  restricted types. Thanks to Linda.

2002-11-19 10:34  schoenw

	* [r974] tools/dump-metrics.c: Compute some more metrics. Added the
	  --metrics-raw option.

2002-11-19 10:33  schoenw

	* [r973] tools/dump-imports.c: Remove unused member from a
	  structure.

2002-11-18 09:43  strauss

	* [r972] ChangeLog, configure.in, test/dumps/cm/IF-MIB,
	  test/dumps/cm/MAU-MIB, test/dumps/cm/RMON2-MIB,
	  test/dumps/cm/SNMPv2-MIB, win/config.h: Preparations for 0.4.1
	  release.

2002-11-18 07:51  schoenw

	* [r971] tools/dump-scli.c: Handle duplicate names in indexes.
	  Fixed a few problems in cases where
	  type definitions are incomplete.

2002-11-14 17:08  tklie

	* [r970] tools/dump-xsd.c: only accessible nodes are included in
	  the schema

2002-11-13 19:22  schoenw

	* [r969] win/README.mingw, win/README.win: Some updates to explain
	  how to compile things using mingw on Debian.

2002-11-13 13:15  strauss

	* [r968] lib/smi.c, lib/smi.h.in, lib/util.c, lib/util.h: Moved
	  smiAsprintf() and smiVasprintf() from util.{h,c} to smi.{h,c}.

2002-11-13 12:59  strauss

	* [r967] .: *** empty log message ***

2002-11-13 12:36  schoenw

	* [r966] .: Added libsmi.pc which is generated from libsmi.pc.in.

2002-11-13 12:35  schoenw

	* [r965] win/Makefile.mingw, win/makefile: Various fixes and
	  updates to the Makefiles.

2002-11-13 12:31  schoenw

	* [r964] win/win.h: Use a comment instead of a preprocessor token.

2002-11-13 12:30  schoenw

	* [r963] tools/dump-scli.c: Translate SMI identifiers that macht
	  C99 keywords by appending an
	  underscore.

2002-11-13 12:29  schoenw

	* [r962] tools/dump-tree.c: Avoid any trigraph confusion...

2002-11-13 12:29  schoenw

	* [r961] tools/dump-smi.c, tools/dump-xsd.c: Use the safe
	  smiAsprintf() instead of asprintf().

2002-11-13 12:28  schoenw

	* [r960] lib/smi.c: Use the safe functions smiAsprintf() and
	  smiVasprintf().

2002-11-12 18:26  schoenw

	* [r959] tools/dump-scli.c: Replace C99 keywords with something
	  else when generating C code.

2002-11-12 10:10  schoenw

	* [r958] tools/dump-scli.c: Fixed several minor bugs in order to be
	  able to generate and compile
	  stubs for nearly all IETF modules (some modules still require
	  some work).

2002-11-12 10:03  schoenw

	* [r957] tools/smidiff.1.in, tools/smilint.1.in,
	  tools/smiquery.1.in: Fixed the description of the -V, --version
	  option.

2002-11-07 16:47  tklie

	* [r956] tools/dump-xsd.c: fixed some minor bugs

2002-11-07 13:46  tklie

	* [r955] tools/dump-xsd.c: cleanup according to some compiler
	  warnings

2002-11-06 10:35  schoenw

	* [r954] Makefile.am, configure.in, libsmi.pc.in[ADD]: Added
	  support for pkg-config.

2002-10-30 09:17  schoenw

	* [r953] tools/dump-cm.c, tools/dump-corba.c,
	  tools/dump-identifiers.c, tools/dump-imports.c, tools/dump-jax.c,
	  tools/dump-metrics.c, tools/dump-mosy.c, tools/dump-netsnmp.c,
	  tools/dump-perl.c, tools/dump-python.c, tools/dump-scli.c,
	  tools/dump-smi.c, tools/dump-sming.c, tools/dump-smiv3.c,
	  tools/dump-sppi.c, tools/dump-tree.c, tools/dump-types.c,
	  tools/dump-xml.c, tools/dump-xsd.c, tools/smidiff.c,
	  tools/smidump.h, tools/smiquery.c: Report an error if output was
	  not written successfully.

2002-10-24 13:32  tklie

	* [r952] tools/dump-xsd.c: Removed xml-Prefix

2002-10-24 13:01  tklie

	* [r951] tools/dump-xsd.c: Regexp generation (for strings with
	  display hints) rewritten.

2002-10-24 11:01  strauss

	* [r950] Makefile.am: *** empty log message ***

2002-10-24 10:44  strauss

	* [r949] test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB, win/config.h:
	  *** empty log message ***

2002-10-24 10:41  strauss

	* [r948] tools/dump-cm.c: Reduced coordiante precisions from 4 to 2
	  decimal digits.

2002-10-24 10:40  strauss

	* [r947] configure.in, test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB,
	  test/dumps/smilint-smiv2/IF-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB,
	  test/mibs/LIBSMI-TEST-008-MIB, test/mibs/LIBSMI-TEST-009-MIB,
	  test/mibs/LIBSMI-TEST-010-MIB, test/mibs/LIBSMI-TEST-011-MIB,
	  test/mibs/LIBSMI-TEST-012-MIB, test/mibs/LIBSMI-TEST-013-MIB,
	  test/mibs/LIBSMI-TEST-014-MIB, win/config.h: *** empty log
	  message ***

2002-10-24 10:40  strauss

	* [r946] mibs/iana/IANA-ADDRESS-FAMILY-NUMBERS-MIB,
	  mibs/iana/IANA-LANGUAGE-MIB, mibs/iana/IANA-RTPROTO-MIB,
	  mibs/iana/IANATn3270eTC-MIB, mibs/iana/IANAifType-MIB: Updated
	  IANA MIBs.

2002-10-24 10:40  strauss

	* [r945] lib/error.c, lib/parser-smi.y: Fixed FLAG_INSYNTAX
	  determination for implicit subtypes.
	  Added errors for illegal Counter subtyping.

2002-10-24 10:38  strauss

	* [r944] ChangeLog, acconfig.h[DEL], configure.in: Updates to the
	  automake/autoconf files, since acconfig.h is obsolete.

2002-10-02 17:43  tklie

	* [r943] tools/dump-xsd.c: Fixed some errors in the schema
	  according to XSV output.

2002-09-27 16:47  tklie

	* [r942] tools/dump-xsd.c: <key> and <keyref> clauses added for
	  table indexes.

2002-09-25 15:07  tklie

	* [r941] tools/dump-xsd.c: if a display hint suggest decimal points
	  on integer values (e.g. d-1) the type xsd:decimal is used.

2002-09-18 13:06  tklie

	* [r940] tools/dump-xsd.c: added regexps for implicit types

2002-09-13 17:49  schoenw

	* [r939] lib/check.c, lib/data.h, lib/error.c, lib/parser-smi.y:
	  Generate a notice for unreferenced groups and unreferenced types.
	  (Cleans up warning messages that were not really understandable.)

2002-09-13 17:47  schoenw

	* [r938] tools/dump-scli.c: Added code to print comments next to
	  each data structure member.

2002-09-06 08:10  strauss

	* [r937] ChangeLog, TODO, lib/smi.c, mibs/ietf/L2TP-MIB[ADD]: ***
	  empty log message ***

2002-08-08 11:46  strauss

	* [r936] test/Makefile.am: *** empty log message ***

2002-07-25 18:17  tklie

	* [r935] tools/dump-xsd.c, tools/smi.xsd, tools/smidiff.1.in:
	  -strings w/o display hint are expected in hexBinary format
	  - implicit types are also implicit in the schema

2002-07-24 17:45  tklie

	* [r934] tools/dump-xsd.c: - changed from xrealloc/sprintf to
	  asprintf and from fprint to fprintf
	  - some fixes in display hint regexp generation

2002-07-24 11:58  strauss

	* [r933] test/smidiff: *** empty log message ***

2002-07-24 11:54  strauss

	* [r932] tools/smiquery.c: Make more use of the new smiRender*()
	  functions.

2002-07-24 11:54  strauss

	* [r931] test, test/Makefile.am, test/smidiff,
	  test/smidiff/Makefile.am[ADD]: *** empty log message ***

2002-07-24 11:54  strauss

	* [r930] lib/Makefile.am, lib/smi.c, lib/smi.h.in,
	  lib/smi_render.3.in[ADD]: Added man page for the new smiRender*()
	  functions.

2002-07-24 11:54  strauss

	* [r929] configure.in: Adaptions.

2002-07-23 23:12  strauss

	* [r928] tools/dump-smi.c, tools/dump-tree.c, tools/smiquery.c: ***
	  empty log message ***

2002-07-23 23:12  strauss

	* [r927] lib/smi.c, lib/smi.h.in, lib/snprintf.c, lib/snprintf.h:
	  Added smiRenderValue() support for octet strings.

2002-07-23 18:14  strauss

	* [r926] tools/dump-smi.c, tools/smiquery.c: smiquery now makes use
	  of the new smiRender*() functions.

2002-07-23 18:13  strauss

	* [r925] test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB,
	  test/dumps/tree/IF-MIB, test/dumps/tree/MAU-MIB,
	  test/dumps/tree/RMON2-MIB, test/dumps/tree/SNMPv2-MIB: Updates to
	  make the test suite happy.

2002-07-23 18:12  strauss

	* [r924] lib/error.c, lib/smi.c, lib/smi.h.in, lib/snprintf.h,
	  lib/util.c, lib/util.h: Added two API functions: smiRenderOID()
	  and smiRenderValue(). (The latter
	  is not yet complete).

2002-07-23 18:11  strauss

	* [r923] configure.in, win/config.h: *** empty log message ***

2002-07-23 18:02  strauss

	* [r922] lib/parser-smi.y: Fixed wrong storage of BITS DEFVALs in
	  cases where the named numbers of the
	  underlying type do not start at 0 and are not numbered
	  consequetively.

2002-07-23 11:53  strauss

	* [r921] COPYING: Added shhopt and snprintf notes.

2002-07-23 11:48  strauss

	* [r920] configure.in, lib/Makefile.am, lib/data.c, lib/error.c,
	  lib/smi.c, lib/snprintf.c[ADD], lib/snprintf.h[ADD], lib/util.c,
	  lib/util.h: Integrated snprintf.[ch] by Kungliga Tekniska
	  Hoegskolan for dynamic string allocation.

2002-07-23 09:33  strauss

	* [r919] lib/check.c: *** empty log message ***

2002-07-23 09:32  strauss

	* [r918] mibs/tubs/TUBS-SMI: Added: -- 13
	  TUBS-IBR-LINUX-NETFILTER-MIB::lnfMIB

2002-07-23 09:04  schoenw

	* [r917] tools/dump-tree.c, tools/dump-types.c, tools/smidump.1.in:
	  Changed --tree-no-full-root to --tree-full-root to make the
	  default
	  more useful. Fixed some minor bugs.

2002-07-22 17:06  schoenw

	* [r916] tools/dump-jax.c, tools/dump-netsnmp.c, tools/dump-scli.c,
	  tools/dump-smi.c, tools/dump-sppi.c, tools/dump-types.c,
	  tools/dump-xsd.c, tools/shhopt.c, tools/smidump.h: Fixed a few
	  sign conversion problems and added a missing prototype.

2002-07-22 16:49  schoenw

	* [r915] lib/error.c, lib/parser-smi.y: Added warnings if a current
	  type or variable definition uses a deprecated
	  or obsolete type.

2002-07-21 19:55  schoenw

	* [r914] tools/dump-scli.c: Fixed the missing assignements in the
	  create methods. Simplified some
	  of the code by creating a function which iterates over all index
	  elements.

2002-07-21 19:49  schoenw

	* [r913] win/makefile: Added two new dump drivers. Untested.

2002-07-19 09:06  schoenw

	* [r912] tools/dump-scli.c: Some more work to generate stubs for
	  create/delete/set procedures.

2002-07-18 17:36  schoenw

	* [r911] tools/dump-scli.c: Some initial work to generate stubs for
	  create/delete/set procedures.

2002-07-18 16:25  tklie

	* [r910] tools/dump-xsd.c: corrected regexps for hex values

2002-07-17 10:35  bunkus

	* [r909] tools/dump-smi.c, tools/dump-sppi.c: bunkus: Automatic PIB
	  to MIB conversion via 'smidump -f smiv2' and
	  automatic MIB to PIB conversion via 'smidump -f sppi' is now
	  supported.

2002-07-17 10:34  bunkus

	* [r908] mibs/tubs/ACCESSBIND-PIB, mibs/tubs/DIFFSERV-PIB,
	  mibs/tubs/IP-TE-PIB, mibs/tubs/PPVPN-PIB, mibs/tubs/TUBS-SMI,
	  mibs/tubs/UMTS-PIB: bunkus: FRAMEWORK-TC-PIB somewhere changed
	  PrcIdentifier to
	  PrcIdentifierOid which is now corrected in the other PIBs.
	  TUBS-SMI
	  now contains OBJECT-IDENTITYs and TEXTUAL-CONVENTIONs needed for
	  automatic MIB to PIB and PIB to MIB conversion.

2002-07-17 10:32  bunkus

	* [r907] lib/error.c, lib/parser-smi.y, lib/scanner-smi.l,
	  lib/smi.c, lib/smi.h.in: bunkus: Removed some unused error
	  messages. Updated smi.h.in with the
	  new libsmi API function (I again forgot not only to modify smi.h
	  but
	  smi.h.in aswell...).

2002-07-16 07:56  strauss

	* [r906] ChangeLog, mibs/ietf/HC-RMON-MIB[ADD]: *** empty log
	  message ***

2002-07-12 15:01  tklie

	* [r905] tools/dump-xsd.c: enabled display hint regexp generation
	  for strings w/o length restriction

2002-07-09 19:33  strauss

	* [r904] ChangeLog, mibs/ietf/DSMON-MIB[ADD]: *** empty log message
	  ***

2002-07-09 15:12  tklie

	* [r903] tools/dump-xsd.c: regexp creation for display hints for
	  types with more than one subrange enabled

2002-07-09 14:48  strauss

	* [r902] ChangeLog, lib/parser-smi.y: *** empty log message ***

2002-07-05 15:38  tklie

	* [r901] tools/dump-xsd.c: Strings with display hint use regexp
	  based on hint. Not finished.

2002-07-04 11:46  schoenw

	* [r900] tools/dump-scli.c: Removed some redundant length checks
	  from the generated unpack functions.

2002-07-03 06:25  schoenw

	* [r899] tools/dump-scli.c: List the --scli-include and
	  --scli-exclude options in the generated
	  files so that people are not confused if the contents of the
	  stubs
	  does not match the underlying MIB module.

2002-07-02 12:00  bunkus

	* [r898] lib/smi.h.in: bunkus: removed SMI_INDEX_EXTEND as it is
	  not used.

2002-07-02 10:19  schoenw

	* [r897] tools/dump-scli.c: Added another option to exclude groups
	  that match a regular expression.
	  The static helper functions to pack/unpack instance identifier
	  and to
	  assign varbinds to data structures are now declared inline.

2002-07-01 15:04  tklie

	* [r896] tools/dump-xsd.c: added timestamp attribute

2002-06-26 12:11  tklie

	* [r895] tools/dump-xsd.c, tools/smidiff.1.in: added attributes
	  "host", "community" and "port" to schema

2002-06-26 06:34  schoenw

	* [r894] tools/dump-smiv3.c: Some minor changes to align with what
	  we have today.

2002-06-24 17:47  tklie

	* [r893] tools/dump-xsd.c: added units as an appinfo

2002-06-24 16:45  strauss

	* [r892] ANNOUNCE: *** empty log message ***

2002-06-21 15:04  tklie

	* [r891] tools/dump-xsd.c, tools/smi.xsd: implicit string types are
	  now global (because extensions cannot be based
	  on local types)

2002-06-21 14:46  strauss

	* [r890] ANNOUNCE, tools/smilint.1.in: *** empty log message ***

2002-06-21 14:30  strauss

	* [r889] ., ANNOUNCE, ChangeLog, README, configure.in,
	  mibs/tubs/DIFFSERV-DSCP-TC-orig[DEL],
	  mibs/tubs/DIFFSERV-MIB-orig[DEL], test/dumps/cm/IF-MIB,
	  test/dumps/cm/MAU-MIB, test/dumps/cm/RMON2-MIB,
	  test/dumps/cm/SNMPv2-MIB, test/dumps/corba/IF_MIB.idl,
	  test/dumps/corba/MAU_MIB.idl, test/dumps/corba/RMON2_MIB.idl,
	  test/dumps/corba/SNMPv2_MIB.idl, test/mibs/LIBSMI-TEST-011-MIB,
	  test/mibs/LIBSMI-TEST-015-MIB[ADD],
	  test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/INET-ADDRESS-MIB.new[DEL],
	  test/smidiff/INET-ADDRESS-MIB.old[ADD], tools/dump-cm.c,
	  tools/dump-smiv3.c, tools/smidiff.1.in, tools/smidump.1.in,
	  tools/smilint.1.in, tools/smistrip.1.in, win/config.h: *** empty
	  log message ***

2002-06-21 09:40  tklie

	* [r888] tools/dump-xsd.c, tools/smi.xsd: To reduce the number of
	  global types in the target schema, subtype definitions
	  for types with multiple ranges have been made local. Together
	  with this
	  change, string based types are split into a global type
	  "<name>Hex" and
	  "<name>Ascii". These types are used when a new type is derived
	  (instead
	  of "<name>").

2002-06-19 15:35  strauss

	* [r887] ChangeLog, THANKS, lib/error.c, lib/parser-smi.y: Added a
	  check for mismatching tables' SEQUENCE OF types and row types.

2002-06-19 15:05  strauss

	* [r886] THANKS: *** empty log message ***

2002-06-19 15:04  strauss

	* [r885] ChangeLog, lib/data.c: Fixed illegal reference to already
	  freed type structs in smiFreeData().

2002-06-17 17:40  tklie

	* [r884] tools/dump-xsd.c: changed octetString based types to be e
	  union of hexBinary and string

2002-06-14 14:56  tklie

	* [r883] tools/dump-xsd.c: corrected maxLength facet of
	  OctetStrings and Bits

2002-06-14 10:39  strauss

	* [r882] ChangeLog, mibs/ietf/GSMP-MIB[ADD],
	  mibs/tubs/FRAMEWORK-PIB, mibs/tubs/FRAMEWORK-TC-PIB,
	  mibs/tubs/FRAMEWORK-TC-PIB-orig: *** empty log message ***

2002-06-12 15:38  tklie

	* [r881] tools/smi.xsd: simplified regexp for ObjectIdentifier

2002-06-10 16:31  bunkus

	* [r880] lib/parser-smi.y: bunkus: Fixed a small bug with
	  ERR_ATTRIBUTE_NOT_IN_GROUP.

2002-06-10 13:57  schoenw

	* [r879] tools/dump-smiv3.c: Many updates and fixes. But this still
	  needs more work.

2002-06-10 09:48  tklie

	* [r878] tools/smi.xsd: corrected regexp for ObjectIdentifiers

2002-06-10 09:15  strauss

	* [r877] ChangeLog, lib/smi.c: Call smiInit() in smiSetPath() if
	  library is not yet initialized.

2002-06-08 20:12  strauss

	* [r876] mibs/tubs/DIFFSERV-DSCP-TC[DEL],
	  mibs/tubs/DIFFSERV-MIB[DEL]: Now published as RFC 3289 and
	  available in ../ietf/.

2002-06-08 20:08  strauss

	* [r875] ChangeLog, configure.in, lib/parser-smi.y,
	  mibs/ietf/DIFFSERV-DSCP-TC[ADD], mibs/ietf/DIFFSERV-MIB[ADD],
	  win/config.h: *** empty log message ***

2002-06-08 12:58  schoenw

	* [r874] tools/Makefile.am, tools/dump-smiv3.c[ADD],
	  tools/smidump.c, tools/smidump.h: Added an experimental SMIv3
	  output driver.

2002-06-07 17:51  schoenw

	* [r873] lib/error.c, lib/parser-smi.y: Added a check that OIDs for
	  administratively assigned names do not
	  end with zero.

2002-06-07 16:36  tklie

	* [r872] tools/dump-xsd.c, tools/smi.xsd: changed type
	  "OctetString" from hexBinary to string and added attribute
	  "enc" (which can be "ascii" or "hex") to dumped types based on
	  OctetString

2002-05-31 17:22  bunkus

	* [r871] lib/check.c, lib/data.c, lib/data.h, lib/error.c,
	  lib/parser-smi.y, lib/smi.c, tools/Makefile.am,
	  tools/dump-sppi.c[ADD], tools/smidump.c: bunkus: Reduced the need
	  for new fields in struct Object to exactly one.
	  Added SPPI dump module. Fixed some warnings.

2002-05-31 11:46  bunkus

	* [r870] mibs/tubs/FRAMEWORK-PIB, mibs/tubs/SLS-NEGOTIATION-PIB:
	  bunkus: removed INET-ADDRESS-TC-PIB from IMPORTS lists as
	  INET-ADDRESS-MIB
	  now contains InetAddressPrefixLength and InetPortNumber.

2002-05-31 11:42  bunkus

	* [r869] mibs/tubs/INET-ADDRESS-TC-PIB[DEL]: bunkus: Removed
	  INET-ADDRESS-TC-PIB as it was only a temporary replacement.
	  INET-ADDRESS-MIB now contains all TCs that are needed.

2002-05-29 16:20  strauss

	* [r868] ChangeLog, lib/data.c: Fixed lost named numbers in case of
	  forward referenced TCs and type
	  assignments.

2002-05-29 12:50  tklie

	* [r867] tools/dump-xsd.c: fixed a lot of errors that showed up
	  during validation of an instance document

2002-05-28 16:25  tklie

	* [r866] tools/dump-xsd.c, tools/smi.xsd[ADD]: added types
	  "smi:Unsigned32" and "smi:Unsigned64"

2002-05-25 17:08  strauss

	* [r865] ChangeLog, mibs/ietf/HDSL2-SHDSL-LINE-MIB[ADD]: *** empty
	  log message ***

2002-05-25 12:19  strauss

	* [r864] ChangeLog, tools/dump-xsd.c, win/README.win, win/makefile:
	  *** empty log message ***

2002-05-24 17:33  tklie

	* [r863] tools/dump-xsd.c: Smi base types (OctetString,
	  ObjectIdentifier and Integer32) are prefixed with "smi:"

2002-05-24 09:21  schoenw

	* [r862] tools/dump-scli.c: Do not try to match NULL pointers.

2002-05-18 11:45  strauss

	* [r861] ChangeLog, mibs/ietf/INET-ADDRESS-MIB: *** empty log
	  message ***

2002-05-17 14:19  strauss

	* [r860] ChangeLog, THANKS, TODO, lib/data.c: *** empty log message
	  ***

2002-05-17 13:44  schoenw

	* [r859] tools/dump-corba.c: Avoid compiler warnings.

2002-05-17 13:44  schoenw

	* [r858] tools/dump-tree.c: Renamed the options to align them with
	  other option names.

2002-05-17 13:40  schoenw

	* [r857] tools/dump-types.c: Added the --types-no-implicit option.

2002-05-17 13:10  schoenw

	* [r856] THANKS: Added some more folks.

2002-05-17 13:08  schoenw

	* [r855] lib/error.c: Fixed a wording issue.

2002-05-17 12:59  schoenw

	* [r854] configure.in: Added a check for regex.h.

2002-05-17 12:57  schoenw

	* [r853] tools/dump-scli.c: Only use regex if there is a regex.h -
	  otherwise use dummy stubs. This
	  should allow to compile things on Win32 boxes which usually lack
	  a
	  regex library.

2002-05-17 12:56  schoenw

	* [r852] lib/data.c: Be more careful with caching on Win32
	  platforms.

2002-05-17 12:55  schoenw

	* [r851] win/Makefile.mingw, win/makefile: Patches from Erik for
	  compiling libsmi on Win32 platforms.

2002-05-17 12:50  strauss

	* [r850] ChangeLog, mibs/ietf/INET-ADDRESS-MIB: updated
	  INET-ADDRESS-MIB to the new version which is expected
	  to be published as RFC rsn.

2002-05-17 12:42  strauss

	* [r849] ChangeLog: *** empty log message ***

2002-05-17 12:23  strauss

	* [r848] lib/error.c, lib/parser-smi.y, lib/util.c: *** empty log
	  message ***

2002-05-17 11:34  strauss

	* [r847] lib/check.c, lib/data.h: *** empty log message ***

2002-05-16 23:21  bunkus

	* [r846] configure.in, lib/check.c, lib/check.h, lib/data.c,
	  lib/data.h, lib/error.c, lib/parser-smi.y, lib/scanner-smi.l,
	  lib/smi.h.in, tools/smistrip.1.in, tools/smistrip.in: bunkus:
	  First release of libsmi with support for SPPI PIBs. Almost all
	  checks are done. Proper output support for e.g. smidump is still
	  missing.
	  smidump -f tree and especially smilint should work correctly.

2002-05-16 23:08  bunkus

	* [r845] mibs/tubs/DIFFSERV-DSCP-TC[ADD],
	  mibs/tubs/DIFFSERV-MIB[ADD],
	  mibs/tubs/POLICY-DEVICE-AUX-MIB[ADD]: bunkus: added some MIBs
	  that are not currently available in the
	  "official" directories (mibs/ietf etc.). Some PIBs import from
	  these MIBs. The MIBs are temporarily registered under ibrpib
	  (see TUBS-SMI).

2002-05-16 23:04  bunkus

	* [r844] mibs/tubs/ACCESSBIND-PIB[ADD],
	  mibs/tubs/ACCESSBIND-PIB-orig[ADD],
	  mibs/tubs/ACCOUNTING-FRAMEWORK-PIB[ADD],
	  mibs/tubs/ACCOUNTING-FRAMEWORK-PIB-orig[ADD],
	  mibs/tubs/COPS-PR-SPPI[ADD], mibs/tubs/COPS-PR-SPPI-TC[ADD],
	  mibs/tubs/DIFFSERV-DSCP-TC-orig[ADD],
	  mibs/tubs/DIFFSERV-MIB-orig[ADD], mibs/tubs/DIFFSERV-PIB[ADD],
	  mibs/tubs/DIFFSERV-PIB-orig[ADD],
	  mibs/tubs/FEEDBACK-FRAMEWORK-PIB[ADD],
	  mibs/tubs/FEEDBACK-FRAMEWORK-PIB-orig[ADD],
	  mibs/tubs/FRAMEWORK-PIB[ADD], mibs/tubs/FRAMEWORK-PIB-orig[ADD],
	  mibs/tubs/FRAMEWORK-TC-PIB[ADD],
	  mibs/tubs/FRAMEWORK-TC-PIB-orig[ADD],
	  mibs/tubs/INET-ADDRESS-TC-PIB[ADD], mibs/tubs/IP-TE-PIB[ADD],
	  mibs/tubs/IP-TE-PIB-orig[ADD], mibs/tubs/IPSEC-POLICY-PIB[ADD],
	  mibs/tubs/IPSEC-POLICY-PIB-orig[ADD],
	  mibs/tubs/LOAD-BALANCING-PIB[ADD],
	  mibs/tubs/LOAD-BALANCING-PIB-orig[ADD],
	  mibs/tubs/META-POLICY-PIB[ADD],
	  mibs/tubs/META-POLICY-PIB-orig[ADD],
	  mibs/tubs/MPLS-SETUP-PIB[ADD],
	  mibs/tubs/MPLS-SETUP-PIB-orig[ADD], mibs/tubs/PARTITION-PIB[ADD],
	  mibs/tubs/PARTITION-PIB-orig[ADD],
	  mibs/tubs/POLICY-DEVICE-AUX-MIB-orig[ADD],
	  mibs/tubs/POLICY-FRAMEWORK-PIB[ADD],
	  mibs/tubs/POLICY-FRAMEWORK-PIB-orig[ADD],
	  mibs/tubs/PPVPN-PIB[ADD], mibs/tubs/PPVPN-PIB-orig[ADD],
	  mibs/tubs/QOS-POLICY-802-PIB[ADD],
	  mibs/tubs/QOS-POLICY-802-PIB-orig[ADD],
	  mibs/tubs/QOS-POLICY-IP-PIB[ADD],
	  mibs/tubs/QOS-POLICY-IP-PIB-orig[ADD],
	  mibs/tubs/RSVP-PCC-PIB[ADD], mibs/tubs/RSVP-PCC-PIB-orig[ADD],
	  mibs/tubs/SLS-NEGOTIATION-PIB[ADD],
	  mibs/tubs/SLS-NEGOTIATION-PIB-orig[ADD], mibs/tubs/TUBS-SMI,
	  mibs/tubs/UMTS-PIB[ADD], mibs/tubs/UMTS-PIB-orig[ADD],
	  mibs/tubs/ibrpib-assignments.txt[ADD]: bunkus: Added all the PIBs
	  I could find. Note that there are always two
	  files - the *PIB which was heavily modified to correct errors
	  reported
	  by smilint and *PIB-orig which is the corresponding original from
	  Internet drafts.
	  ibrpib-assignments.txt is a listing of temporary assignments of
	  PIB modules under the ibrpib identifier (subtree of ibr, see
	  TUBS-SMI).

2002-05-16 19:18  strauss

	* [r843] lib/data.c, lib/smi.c: *** empty log message ***

2002-05-16 10:36  strauss

	* [r842] THANKS, tools/mibdump-xml.c[DEL], tools/mibdump.c[DEL],
	  tools/mibdump.h[DEL], tools/table.c[DEL], tools/table.h[DEL]: ***
	  empty log message ***

2002-05-15 16:38  tklie

	* [r841] tools/mibdump-xml.c[ADD], tools/mibdump.c[ADD],
	  tools/mibdump.h[ADD], tools/table.c[ADD], tools/table.h[ADD]:
	  added "mibdump" files

2002-05-15 13:21  bunkus

	* [r840] mibs/tubs/TUBS-SMI: bunkus: added ibrpib

2002-04-22 15:09  strauss

	* [r839] ChangeLog, THANKS, lib/data.c, lib/data.h,
	  lib/parser-smi.y, lib/parser-sming.y, lib/smi.c: Added a `parser'
	  argument to the loadModule() function so that line numbers can be
	  reported when an imported module cannot be loaded. Thanks to Mark
	  Kaplun and Bill Fenner.

2002-04-12 08:30  strauss

	* [r838] TODO: *** empty log message ***

2002-04-12 08:16  strauss

	* [r837] TODO: *** empty log message ***

2002-04-11 15:01  strauss

	* [r836] lib/parser-smi.y: Modified node parent checks so that
	  complaints about trap-types registered
	  under a table row are clearer. Thanks to C. M. Heard.

2002-04-08 17:29  tklie

	* [r835] tools/dump-xsd.c: - added support for
	  augments-relationship
	  - fixed bug in index output
	  - added command line parameter "schema-url" to specify the schema
	  base location

2002-04-03 17:55  schoenw

	* [r834] lib/check.c, lib/error.c: Changes to better check RFC 2578
	  section 7.7.

2002-03-27 13:39  schoenw

	* [r833] tools/dump-scli.c: Only generate range checks for the
	  first range restriction in the type
	  derivation tree. It is the job of the author and MIB parser to
	  check
	  that they are consistent.

2002-03-26 16:15  schoenw

	* [r832] tools/dump-scli.c: *** empty log message ***

2002-03-21 09:09  schoenw

	* [r831] lib/check.c: Handle cases where the group NULL in invalid
	  MIB modules.

2002-03-20 16:49  strauss

	* [r830] lib/error.c, lib/parser-smi.y: Clearified OID DEFVAL
	  warning/error in case of SMIv1/v2.

2002-03-20 16:08  tklie

	* [r829] tools/dump-xsd.c: added OIDs to appinfo of elements

2002-03-20 08:05  schoenw

	* [r828] lib/util.c: Fixed the putenv call to remove the TZ
	  variable as suggested by
	  Hills, Steve" <SH122258@exchange.SanDiegoCA.NCR.COM>.

2002-03-19 10:56  schoenw

	* [r827] lib/parser-smi.y: Made the parser more robust in cases
	  where type definitions are missing.

2002-03-19 09:04  schoenw

	* [r826] lib/smi.h.in: Made smi.h work with C++ (as suggested by
	  Pamela Heckmann
	  <Pam_Heckmann@icon-labs.com>).

2002-03-18 16:50  tklie

	* [r825] tools/dump-xsd.c: Flattened hierarchy

2002-03-13 15:26  tklie

	* [r824] tools/dump-xsd.c: Added display hints support

2002-03-11 15:04  tklie

	* [r823] tools/dump-xsd.c: basetypes are imported from smi.xsd

2002-03-11 08:52  strauss

	* [r822] lib/parser-smi.y, tools/dump-scli.c, tools/dump-tree.c,
	  tools/dump-xsd.c: Fixed minor compiler warnings.

2002-03-08 15:33  tklie

	* [r821] tools/dump-xsd.c: added multi-range support

2002-03-08 14:39  schoenw

	* [r820] tools/dump-corba.c: Import types used by index objects.
	  (Patch from Brecht Vermeulen <brecht.vermeulen@rug.ac.be>.)

2002-03-08 08:23  strauss

	* [r819] lib/parser-smi.y: *** empty log message ***

2002-03-06 13:33  strauss

	* [r818] tools/dump-smi.c: *** empty log message ***

2002-03-06 13:02  schoenw

	* [r817] THANKS, tools/dump-corba.c: Added INDEX objects as
	  parameters to the create_ operations.
	  (Patch from Brecht Vermeulen <brecht.vermeulen@rug.ac.be>.)

2002-03-05 16:19  strauss

	* [r816] test/dumps/cm/RMON2-MIB, tools/smilint.c, win/config.h:
	  *** empty log message ***

2002-03-05 16:19  strauss

	* [r815] lib/error.c: Modified handling of severe errors.

2002-03-05 16:19  strauss

	* [r814] ChangeLog, configure.in: Prepared release 0.3.1.

2002-03-05 14:27  strauss

	* [r813] ChangeLog, THANKS, lib/check.c,
	  test/dumps/jax/AddressMap.java,
	  test/dumps/jax/AddressMapControlEntry.java,
	  test/dumps/jax/AddressMapControlEntryImpl.java,
	  test/dumps/jax/AddressMapControlTable.java,
	  test/dumps/jax/AddressMapEntry.java,
	  test/dumps/jax/AddressMapEntryImpl.java,
	  test/dumps/jax/AddressMapImpl.java,
	  test/dumps/jax/AddressMapTable.java,
	  test/dumps/jax/AlHostEntry.java,
	  test/dumps/jax/AlHostEntryImpl.java,
	  test/dumps/jax/AlHostTable.java,
	  test/dumps/jax/AlMatrixDSEntry.java,
	  test/dumps/jax/AlMatrixDSEntryImpl.java,
	  test/dumps/jax/AlMatrixDSTable.java,
	  test/dumps/jax/AlMatrixSDEntry.java,
	  test/dumps/jax/AlMatrixSDEntryImpl.java,
	  test/dumps/jax/AlMatrixSDTable.java,
	  test/dumps/jax/AlMatrixTopNControlEntry.java,
	  test/dumps/jax/AlMatrixTopNControlEntryImpl.java,
	  test/dumps/jax/AlMatrixTopNControlTable.java,
	  test/dumps/jax/AlMatrixTopNEntry.java,
	  test/dumps/jax/AlMatrixTopNEntryImpl.java,
	  test/dumps/jax/AlMatrixTopNTable.java,
	  test/dumps/jax/AuthenticationFailure.java,
	  test/dumps/jax/BroadMauBasicEntry.java,
	  test/dumps/jax/BroadMauBasicEntryImpl.java,
	  test/dumps/jax/BroadMauBasicTable.java,
	  test/dumps/jax/Channel2Entry.java,
	  test/dumps/jax/Channel2EntryImpl.java,
	  test/dumps/jax/Channel2Table.java, test/dumps/jax/ColdStart.java,
	  test/dumps/jax/EtherStats2Entry.java,
	  test/dumps/jax/EtherStats2EntryImpl.java,
	  test/dumps/jax/EtherStats2Table.java,
	  test/dumps/jax/Filter2Entry.java,
	  test/dumps/jax/Filter2EntryImpl.java,
	  test/dumps/jax/Filter2Table.java,
	  test/dumps/jax/HistoryControl2Entry.java,
	  test/dumps/jax/HistoryControl2EntryImpl.java,
	  test/dumps/jax/HistoryControl2Table.java,
	  test/dumps/jax/HlHostControlEntry.java,
	  test/dumps/jax/HlHostControlEntryImpl.java,
	  test/dumps/jax/HlHostControlTable.java,
	  test/dumps/jax/HlMatrixControlEntry.java,
	  test/dumps/jax/HlMatrixControlEntryImpl.java,
	  test/dumps/jax/HlMatrixControlTable.java,
	  test/dumps/jax/HostControl2Entry.java,
	  test/dumps/jax/HostControl2EntryImpl.java,
	  test/dumps/jax/HostControl2Table.java,
	  test/dumps/jax/IfEntry.java, test/dumps/jax/IfEntryImpl.java,
	  test/dumps/jax/IfJackEntry.java,
	  test/dumps/jax/IfJackEntryImpl.java,
	  test/dumps/jax/IfJackTable.java,
	  test/dumps/jax/IfMIBObjects.java,
	  test/dumps/jax/IfMIBObjectsImpl.java,
	  test/dumps/jax/IfMauAutoNegEntry.java,
	  test/dumps/jax/IfMauAutoNegEntryImpl.java,
	  test/dumps/jax/IfMauAutoNegTable.java,
	  test/dumps/jax/IfMauEntry.java,
	  test/dumps/jax/IfMauEntryImpl.java,
	  test/dumps/jax/IfMauJabberTrap.java,
	  test/dumps/jax/IfMauTable.java,
	  test/dumps/jax/IfRcvAddressEntry.java,
	  test/dumps/jax/IfRcvAddressEntryImpl.java,
	  test/dumps/jax/IfRcvAddressTable.java,
	  test/dumps/jax/IfStackEntry.java,
	  test/dumps/jax/IfStackEntryImpl.java,
	  test/dumps/jax/IfStackTable.java, test/dumps/jax/IfTable.java,
	  test/dumps/jax/IfTestEntry.java,
	  test/dumps/jax/IfTestEntryImpl.java,
	  test/dumps/jax/IfTestTable.java, test/dumps/jax/IfXEntry.java,
	  test/dumps/jax/IfXEntryImpl.java, test/dumps/jax/IfXTable.java,
	  test/dumps/jax/Interfaces.java,
	  test/dumps/jax/InterfacesImpl.java, test/dumps/jax/LinkDown.java,
	  test/dumps/jax/LinkUp.java,
	  test/dumps/jax/MatrixControl2Entry.java,
	  test/dumps/jax/MatrixControl2EntryImpl.java,
	  test/dumps/jax/MatrixControl2Table.java,
	  test/dumps/jax/NetConfigEntry.java,
	  test/dumps/jax/NetConfigEntryImpl.java,
	  test/dumps/jax/NetConfigTable.java,
	  test/dumps/jax/NlHostEntry.java,
	  test/dumps/jax/NlHostEntryImpl.java,
	  test/dumps/jax/NlHostTable.java,
	  test/dumps/jax/NlMatrixDSEntry.java,
	  test/dumps/jax/NlMatrixDSEntryImpl.java,
	  test/dumps/jax/NlMatrixDSTable.java,
	  test/dumps/jax/NlMatrixSDEntry.java,
	  test/dumps/jax/NlMatrixSDEntryImpl.java,
	  test/dumps/jax/NlMatrixSDTable.java,
	  test/dumps/jax/NlMatrixTopNControlEntry.java,
	  test/dumps/jax/NlMatrixTopNControlEntryImpl.java,
	  test/dumps/jax/NlMatrixTopNControlTable.java,
	  test/dumps/jax/NlMatrixTopNEntry.java,
	  test/dumps/jax/NlMatrixTopNEntryImpl.java,
	  test/dumps/jax/NlMatrixTopNTable.java,
	  test/dumps/jax/ProbeConfig.java,
	  test/dumps/jax/ProbeConfigImpl.java,
	  test/dumps/jax/ProtocolDir.java,
	  test/dumps/jax/ProtocolDirEntry.java,
	  test/dumps/jax/ProtocolDirEntryImpl.java,
	  test/dumps/jax/ProtocolDirImpl.java,
	  test/dumps/jax/ProtocolDirTable.java,
	  test/dumps/jax/ProtocolDistControlEntry.java,
	  test/dumps/jax/ProtocolDistControlEntryImpl.java,
	  test/dumps/jax/ProtocolDistControlTable.java,
	  test/dumps/jax/ProtocolDistStatsEntry.java,
	  test/dumps/jax/ProtocolDistStatsEntryImpl.java,
	  test/dumps/jax/ProtocolDistStatsTable.java,
	  test/dumps/jax/RingStationControl2Entry.java,
	  test/dumps/jax/RingStationControl2EntryImpl.java,
	  test/dumps/jax/RingStationControl2Table.java,
	  test/dumps/jax/RpJackEntry.java,
	  test/dumps/jax/RpJackEntryImpl.java,
	  test/dumps/jax/RpJackTable.java, test/dumps/jax/RpMauEntry.java,
	  test/dumps/jax/RpMauEntryImpl.java,
	  test/dumps/jax/RpMauJabberTrap.java,
	  test/dumps/jax/RpMauTable.java,
	  test/dumps/jax/SerialConfigEntry.java,
	  test/dumps/jax/SerialConfigEntryImpl.java,
	  test/dumps/jax/SerialConfigTable.java,
	  test/dumps/jax/SerialConnectionEntry.java,
	  test/dumps/jax/SerialConnectionEntryImpl.java,
	  test/dumps/jax/SerialConnectionTable.java,
	  test/dumps/jax/Snmp.java, test/dumps/jax/SnmpImpl.java,
	  test/dumps/jax/SnmpSet.java, test/dumps/jax/SnmpSetImpl.java,
	  test/dumps/jax/SnmpTrap.java, test/dumps/jax/SnmpTrapImpl.java,
	  test/dumps/jax/SourceRoutingStats2Entry.java,
	  test/dumps/jax/SourceRoutingStats2EntryImpl.java,
	  test/dumps/jax/SourceRoutingStats2Table.java,
	  test/dumps/jax/SysOREntry.java,
	  test/dumps/jax/SysOREntryImpl.java,
	  test/dumps/jax/SysORTable.java, test/dumps/jax/System.java,
	  test/dumps/jax/SystemImpl.java,
	  test/dumps/jax/TokenRingMLStats2Entry.java,
	  test/dumps/jax/TokenRingMLStats2EntryImpl.java,
	  test/dumps/jax/TokenRingMLStats2Table.java,
	  test/dumps/jax/TokenRingPStats2Entry.java,
	  test/dumps/jax/TokenRingPStats2EntryImpl.java,
	  test/dumps/jax/TokenRingPStats2Table.java,
	  test/dumps/jax/TrapDestEntry.java,
	  test/dumps/jax/TrapDestEntryImpl.java,
	  test/dumps/jax/TrapDestTable.java,
	  test/dumps/jax/UsrHistoryControlEntry.java,
	  test/dumps/jax/UsrHistoryControlEntryImpl.java,
	  test/dumps/jax/UsrHistoryControlTable.java,
	  test/dumps/jax/UsrHistoryEntry.java,
	  test/dumps/jax/UsrHistoryEntryImpl.java,
	  test/dumps/jax/UsrHistoryObjectEntry.java,
	  test/dumps/jax/UsrHistoryObjectEntryImpl.java,
	  test/dumps/jax/UsrHistoryObjectTable.java,
	  test/dumps/jax/UsrHistoryTable.java,
	  test/dumps/jax/WarmStart.java, test/dumps/xml/IF-MIB,
	  test/dumps/xml/MAU-MIB, test/dumps/xml/RMON2-MIB,
	  test/dumps/xml/SNMPv2-MIB, test/smidiff/DISMAN-SCRIPT-MIB.diff,
	  test/smidiff/IF-MIB.diff, test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/Printer-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-004-MIB.diff: Fixed a bug in the range
	  normalization code and updated the test suite.

2002-03-05 12:55  tklie

	* [r812] tools/dump-xsd.c: Namespaces are now imported

2002-03-05 12:01  schoenw

	* [r811] tools/dump-scli.c: Added code to do proper size and range
	  checks for octet strings and
	  signed/unsigned 32 bit integers.

2002-03-05 11:57  schoenw

	* [r810] tools/dump-tree.c: Added --tree-ignore-conformance and
	  --tree-no-full-path options.

2002-02-28 09:18  strauss

	* [r809] ChangeLog, lib/error.c, lib/parser-smi.y: Added checks for
	  appropriate nodekinds of each node's parent node.

2002-02-27 16:34  tklie

	* [r808] tools/dump-xsd.c: - code cleanup
	  - empty sequences removed
	  - added reference to type OBJECT_IDENTIFIER

2002-02-26 16:22  tklie

	* [r807] tools/dump-xsd.c: imlicit enumeration types are printed
	  inside elements

2002-02-26 14:34  tklie

	* [r806] tools/dump-xsd.c: Imported types now prefixed

2002-02-25 15:42  tklie

	* [r805] tools/dump-xsd.c: - compliances, notifications, traps and
	  groups are ignored
	  - document has only one root node

2002-02-21 08:50  schoenw

	* [r804] tools/dump-scli.c: Generate more useful type mismatch
	  warnings.

2002-02-18 14:07  schoenw

	* [r803] tools/dump-scli.c: Somewhat improved the error handling.

2002-02-15 18:23  schoenw

	* [r802] tools/dump-scli.c: Made isgroup() more powerful so that it
	  can be used for testing of
	  groups of identities.

2002-02-13 15:41  tklie

	* [r801] tools/dump-xsd.c: *** empty log message ***

2002-02-12 12:51  tklie

	* [r800] tools/dump-xsd.c: - added "schema for schema" validation
	  possiblity
	  - fixed some typos
	  - lang attribute now global

2002-02-07 18:58  tklie

	* [r799] tools/dump-xsd.c: - support for bits added
	  - cleaned up

2002-02-01 11:58  tklie

	* [r798] tools/dump-xsd.c: - imported types are printed
	  - enum types are printed

2002-01-31 18:56  tklie

	* [r797] tools/dump-xsd.c: ranges added to simple types based on
	  unsigned32/64 and octetstring

2002-01-31 18:19  schoenw

	* [r796] lib/check.c, lib/check.h, lib/error.c, lib/parser-smi.y:
	  Added a check for reversible notifications and a check to detect
	  notifications with a final subid too large to fit into an SNMPv1
	  trap.

2002-01-29 19:01  tklie

	* [r795] tools/dump-xsd.c: ranges (minInclusive/maxInclusive) added
	  to simple types based on Integer32

2002-01-28 08:55  strauss

	* [r794] ChangeLog, THANKS: *** empty log message ***

2002-01-28 08:55  strauss

	* [r793] tools/dump-jax.c: Removed a misplaced `static' keyword
	  from the generated code for notifications.

2002-01-25 09:15  schoenw

	* [r792] tools/dump-scli.c, tools/smidiff.c: Some fixes to make
	  things compile on AIX.

2002-01-24 16:24  tklie

	* [r791] tools/dump-xsd.c: index elements of rows are printed as
	  attributes

2002-01-18 15:23  tklie

	* [r790] tools/dump-xsd.c: Annotations for elements

2002-01-16 14:45  strauss

	* [r789] README: *** empty log message ***

2002-01-16 12:54  tklie

	* [r788] tools/dump-xsd.c: *** empty log message ***

2002-01-12 15:08  strauss

	* [r787] ChangeLog, mibs/ietf/DISMAN-SCHEDULE-MIB: Updated
	  DISMAN-SCHEDULE-MIB (RFC 3231).

2002-01-09 13:57  strauss

	* [r786] ChangeLog, tools/dump-xml.c: Added switches to turn
	  DOCTYPE and XML Schema specs off.

2002-01-09 12:02  schoenw

	* [r785] tools/dump-imports.c, tools/dump-smi.c,
	  tools/dump-sming.c: Handle SmiImport's with a NULL module name
	  more gracefully.

2002-01-09 09:09  strauss

	* [r784] test/dumps/smilint-smiv2/IF-MIB,
	  test/dumps/smilint-smiv2/MAU-MIB: *** empty log message ***

2002-01-09 09:08  strauss

	* [r783] ChangeLog, lib/util.c: Fixed type derivation checks used
	  for TDomain/TAddress and
	  InetAddressType/InetAddress checks.

2002-01-09 08:43  strauss

	* [r782] ChangeLog, THANKS, lib/parser-smi.y: Fixed segfault on
	  illegal VARIABLES in SMIv1 TRAPs.

2002-01-08 09:50  strauss

	* [r781] ChangeLog, tools/smidiff.c: Fixed warning messages on
	  group membership changes. Thanks to Bill.

2002-01-08 09:43  strauss

	* [r780] ChangeLog, mibs/ietf/FRSLD-MIB[ADD]: Added FRSLD-MIB (RFC
	  3202).

2002-01-08 09:41  strauss

	* [r779] ChangeLog, mibs/ietf/CIRCUIT-IF-MIB[ADD]: Added
	  CIRCUIT-IF-MIB (RFC 3201).

2002-01-04 15:10  schoenw

	* [r778] tools/dump-scli.c: The variables i, len are also needed
	  when (un)packing OIDs.

2001-12-27 20:55  strauss

	* [r777] tools/dump-perl.c: Martin Schulz submitted a patch to fix
	  the representation of notifications.

2001-12-27 20:54  strauss

	* [r776] ChangeLog, TODO, test/dumps/smilint-smiv2/IF-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB,
	  test/mibs/LIBSMI-TEST-014-MIB: *** empty log message ***

2001-12-18 11:38  schoenw

	* [r775] lib/check.c, lib/error.c: Improved the check for
	  accessible index objects, check that refined
	  variables are listed in a mandatory or conditionally mandatory
	  group,
	  relaxed the check for TDomain/TAddress pairs.

2001-12-17 18:05  schoenw

	* [r774] lib/check.c, lib/data.c, lib/error.c: Check whether SMIv2
	  index objects are accessible.

2001-12-14 10:10  strauss

	* [r773] mibs/ietf/RFC1269-MIB: Fixed an obvious bug in the
	  original MIB.

2001-12-14 10:09  strauss

	* [r772] ChangeLog, THANKS, lib/data.c, lib/data.h, lib/error.c,
	  lib/parser-smi.y: Added check for mismatching types in sequences
	  and object type definitions.

2001-12-05 16:22  schoenw

	* [r771] tools/smidiff.c: Fixed some typos, changed "illegal status
	  change" to just "status change"
	  since not all of them are illegal, added "status added" and
	  "status removed"
	  messages, reworked the code to reduce the number "previous
	  definition"
	  messages generated.

2001-11-28 16:39  strauss

	* [r770] Makefile.am: *** empty log message ***

2001-11-27 16:31  strauss

	* [r769] Makefile.am: *** empty log message ***

2001-11-26 17:06  strauss

	* [r768] lib/check.c: *** empty log message ***

2001-11-26 16:45  strauss

	* [r767] lib/check.c, lib/util.c, lib/util.h: Fixed check for
	  InetAddressType/InetAddress groupings to detect also
	  sub-typed InetAddress objects correctly.

2001-11-26 12:53  schoenw

	* [r766] lib/check.c, lib/error.c: Improved the calculation and
	  checks for instance identifier lengths.

2001-11-26 12:45  schoenw

	* [r765] test/mibs/LIBSMI-TEST-014-MIB[ADD]: Test cases for
	  instance identifier length computations.

2001-11-25 12:46  strauss

	* [r764] THANKS, lib/check.c: *** empty log message ***

2001-11-23 16:01  strauss

	* [r763] THANKS: *** empty log message ***

2001-11-23 15:45  strauss

	* [r762] win/config.h: *** empty log message ***

2001-11-23 15:45  strauss

	* [r761] tools/smidiff.c: Fixed a minor compile warning (removed an
	  unsed function).

2001-11-23 15:45  strauss

	* [r760] test/dumps/cm/IF-MIB, test/dumps/cm/MAU-MIB,
	  test/dumps/cm/RMON2-MIB, test/dumps/cm/SNMPv2-MIB,
	  test/dumps/smilint-smiv2/IF-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB,
	  test/mibs/LIBSMI-TEST-011-MIB, test/mibs/LIBSMI-TEST-012-MIB:
	  Updates to satisfy test suite.

2001-11-23 15:44  strauss

	* [r759] test/smidiff.test.in: Suppress stderr messages from the
	  MIB parser.

2001-11-23 15:44  strauss

	* [r758] lib/check.c, lib/error.c: Added group status to `group is
	  unconditionally optional' message.

2001-11-23 15:43  strauss

	* [r757] ANNOUNCE, ChangeLog, configure.in: Some last changes for
	  the 0.3 release.

2001-11-15 10:22  tklie

	* [r756] test/smidiff/DISMAN-SCRIPT-MIB.diff,
	  test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/Printer-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-006-MIB.diff: *** empty log message ***

2001-11-15 10:22  tklie

	* [r755] tools/smidiff.c: - changed getStringRange() to return the
	  same string for all basetypes
	  - added error messages with info about "size" if range of aN
	  OCTET STRING changes

2001-11-15 09:33  schoenw

	* [r754] test/smidiff/SMIDIFF-TEST-002-MIB.new,
	  test/smidiff/SMIDIFF-TEST-002-MIB.old: Added two more tests.

2001-11-14 15:16  tklie

	* [r753] test/smidiff/DISMAN-SCRIPT-MIB.diff,
	  test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/Printer-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-006-MIB.diff: *** empty log message ***

2001-11-14 15:16  tklie

	* [r752] tools/smidiff.c: - getStringRange() and
	  getStringSubrange() rewritten (according to dump-smi.c)
	  - added some error macros to be more precise on strings (strings
	  have length rather than ranges)

2001-11-13 18:38  tklie

	* [r751] test/smidiff/DISMAN-SCRIPT-MIB.diff,
	  test/smidiff/IF-MIB.diff, test/smidiff/INET-ADDRESS-MIB.diff,
	  test/smidiff/Printer-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-004-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-006-MIB.diff: *** empty log message ***

2001-11-13 18:38  tklie

	* [r750] tools/smidiff.c: Added error messages for implicit types.
	  This makes sQuoteStr() obsolete.

2001-11-13 17:34  schoenw

	* [r749] tools/smidiff.c: Removed some unused variables and added
	  some missing arguments.

2001-11-13 16:23  tklie

	* [r748] tools/smidiff.c: Function getStringSubrange added. It is
	  called whenever we inform the user about an added or removed
	  subrange.

2001-11-13 15:51  tklie

	* [r747] tools/smidiff.c: - altered output for ranges which consist
	  of only one single number
	  (9) instead of (9..9)
	  - in objects check only type compatibility (do not compare types)

2001-11-12 15:29  schoenw

	* [r746] tools/smidiff.c: Harmonized some "previous definition of
	  `...'" messages.

2001-11-10 17:12  strauss

	* [r745] test/smidiff/IF-MIB.diff[ADD],
	  test/smidiff/IF-MIB.old[ADD]: Added test for the IF-MIB (current
	  RFC 2863 against 1573).

2001-11-10 15:58  strauss

	* [r744] test/smidiff/DISMAN-SCRIPT-MIB.diff[ADD],
	  test/smidiff/DISMAN-SCRIPT-MIB.old[ADD],
	  test/smidiff/INET-ADDRESS-MIB.diff[ADD],
	  test/smidiff/INET-ADDRESS-MIB.new[ADD]: Added two `real world'
	  smidiff test modules: The current INET-ADDRESS-MIB
	  I-D is compared agains its RFC 2851 version. The current
	  DISMAN-SCRIPT-MIB
	  (RFC 3165) is compared against the former RFC 2592.

2001-11-09 17:48  tklie

	* [r743] tools/smidiff.c: Changed a lot of error messages
	  (especially with ranges and named numbers).
	  Errors with maxAccess are more verbose now.

2001-11-09 17:45  tklie

	* [r742] test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.new,
	  test/smidiff/SMIDIFF-TEST-002-MIB.old,
	  test/smidiff/SMIDIFF-TEST-003-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-005-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-006-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-007-MIB.diff[ADD],
	  test/smidiff/SMIDIFF-TEST-007-MIB.new[ADD],
	  test/smidiff/SMIDIFF-TEST-007-MIB.old[ADD],
	  test/smidiff/SMIDIFF-TEST-007.diff[DEL],
	  test/smidiff/SMIDIFF-TEST-007.new[DEL],
	  test/smidiff/SMIDIFF-TEST-007.old[DEL]: *** empty log message ***

2001-11-09 15:30  schoenw

	* [r741] tools/smidiff.1.in, tools/smidump.1.in: Updated the
	  documentation to reflect recent changes.

2001-11-09 15:29  schoenw

	* [r740] tools/Makefile.am, tools/dump-xsd.c[ADD], tools/smidump.c:
	  Added an initial version of the XML schema output driver.

2001-11-09 14:11  schoenw

	* [r739] test/smidiff/SMIDIFF-TEST-007.diff[ADD],
	  test/smidiff/SMIDIFF-TEST-007.new[ADD],
	  test/smidiff/SMIDIFF-TEST-007.old[ADD]: Added a new test case for
	  type compatibility tests.

2001-11-09 14:05  schoenw

	* [r738] tools/smidiff.c: Report libsmi error messages to stderr.
	  Added an error exit if the
	  MIB modules could not be loaded.

2001-11-08 10:26  tklie

	* [r737] tools/smidiff.c: - infos about changes of indexkinds are
	  more verbose now
	  - changed naming of types from [modulepath]:[typename] to
	  [modulename]::[typename]

2001-11-08 10:23  tklie

	* [r736] test/smidiff/Printer-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-003-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-004-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-005-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-005-MIB.new,
	  test/smidiff/SMIDIFF-TEST-006-MIB.diff: - added a range to an
	  index element in SMIDIFF-TEST-005-MIB.new
	  - updated diff files

2001-11-08 10:21  tklie

	* [r735] test/smidiff.test.in: smidiff writes results to stdout, so
	  changed redirection to result files

2001-11-08 07:42  schoenw

	* [r734] tools/smidiff.c: Do not check type status changes for
	  implicit types (since the status
	  is just inherited and not really assigned), fixed the usage of an
	  uninitialized variable, write diff messages to stdout rather than
	  stderr, minor cleanups.

2001-11-08 07:37  schoenw

	* [r733] tools/dump-corba.c, tools/dump-perl.c,
	  tools/dump-python.c, tools/dump-smi.c, tools/dump-types.c,
	  tools/dump-xml.c, tools/smiquery.c: Updated the drivers to use
	  the new bit ordering for Bits values.

2001-11-08 07:34  schoenw

	* [r732] lib/parser-smi.y: Changed the internal representation of
	  Bits values to match the
	  bit ordering used by SNMP an the wire.

2001-11-07 17:53  schoenw

	* [r731] tools/dump-smi.c: Generate correct DEFVAL clauses for BITS
	  that are translated to SMIv1.

2001-10-29 18:34  tklie

	* [r730] tools/smidiff.c: Added iterateTypeImports() which is
	  called whenever a range has
	  changed, so we can trace the import chain.

2001-10-29 18:33  tklie

	* [r729] test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.new,
	  test/smidiff/SMIDIFF-TEST-005-MIB.new,
	  test/smidiff/SMIDIFF-TEST-005-MIB.old,
	  test/smidiff/SMIDIFF-TEST-006-MIB.diff[ADD],
	  test/smidiff/SMIDIFF-TEST-006-MIB.new[ADD],
	  test/smidiff/SMIDIFF-TEST-006-MIB.old[ADD],
	  test/smidiff/SMIDIFF-TEST-MIB: Added test cases for TCs based on
	  TCs.

2001-10-26 15:23  tklie

	* [r728] tools/smidiff.c: - added a PREVIOUS_DEFINITION_TEXT-error
	  to produce more verbose output
	  in case of CONTACT or DESCRIPTION
	  ("previous definition of contact of MODULE")
	  - changed error level of ERR_REVISION_ADDED from 3 to 5
	  - revisions generated by libsmi are ignored
	  - made error messages in case of a ranges change more precise
	  - made error messages in case of a status change more verbose

2001-10-26 15:17  tklie

	* [r727] test/smidiff/Printer-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-004-MIB.diff[ADD],
	  test/smidiff/SMIDIFF-TEST-004-MIB.new[ADD],
	  test/smidiff/SMIDIFF-TEST-004-MIB.old[ADD]: Added some tests for
	  status, revision and description change.

2001-10-23 11:36  strauss

	* [r726] test, test/smidiff: *** empty log message ***

2001-10-18 09:20  tklie

	* [r725] test/smidiff/SMIDIFF-TEST-005-MIB.diff: *** empty log
	  message ***

2001-10-18 09:15  tklie

	* [r724] tools/smidiff.c: Added checkIndex().

2001-10-18 09:14  tklie

	* [r723] test/smidiff/SMIDIFF-TEST-005-MIB.new,
	  test/smidiff/SMIDIFF-TEST-005-MIB.old: Added tests for
	  checkIndex().

2001-10-17 11:47  tklie

	* [r722] tools/smidiff.c: checkTypes() and checkTypeCompatibility()
	  now know about nodes.
	  This is necessary to produce useful error messages when working
	  on
	  basetypes (which are not defind in any module).

2001-10-17 11:42  tklie

	* [r721] test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.new,
	  test/smidiff/SMIDIFF-TEST-002-MIB.old: Added test case for
	  "filling the gap" bewteen ranges.

2001-10-12 16:20  tklie

	* [r720] tools/smidiff.c: Made error messages more verbose (esp.
	  when testing ranges)

2001-10-12 16:19  tklie

	* [r719] test/smidiff/SMIDIFF-TEST-002-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-002-MIB.new,
	  test/smidiff/SMIDIFF-TEST-002-MIB.old,
	  test/smidiff/SMIDIFF-TEST-003-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-005-MIB.diff[ADD],
	  test/smidiff/SMIDIFF-TEST-005-MIB.new[ADD],
	  test/smidiff/SMIDIFF-TEST-005-MIB.old[ADD]: *** empty log message
	  ***

2001-10-12 07:01  strauss

	* [r718] ChangeLog: *** empty log message ***

2001-10-12 07:00  strauss

	* [r717] THANKS, lib/error.c, lib/parser-smi.y: Chris Avis
	  <chris@snmptech.com> supplied a patch to detect zero value
	  enumeration numbers in SMIv1, which is illegal.

2001-10-11 08:58  schoenw

	* [r716] tools/smidiff.c: Removed redundant tests and some code
	  cleanup.

2001-10-09 11:03  strauss

	* [r715] test/mibs/LIBSMI-TEST-008-MIB,
	  test/mibs/LIBSMI-TEST-009-MIB: Adapted test modules to reflect
	  checks for the order of named numbers.

2001-10-09 10:58  strauss

	* [r714] lib/check.c, lib/check.h, lib/error.c, lib/parser-smi.y:
	  Added smiCheckNamedNumbersOrder() which normalizes the ascending
	  order
	  of named numbers (bits and enumerations) and reports a level 6
	  warning in
	  case.

2001-10-09 07:43  schoenw

	* [r713] lib/parser-smi.y: Set the correct revision line number.

2001-10-08 17:51  schoenw

	* [r712] lib/data.c, lib/data.h: Added an internal API to set the
	  revision line (which right now is not
	  recorded correctly).

2001-10-08 17:42  tklie

	* [r711] tools/smidiff.c: - Changed smiCmpValues to return boolean
	  value rather than (<0, 0, >0)
	  - Changed checkedNamedNumbers to not use smiCmpValues
	  - Added checkNodekind

2001-10-08 17:32  tklie

	* [r710] test/smidiff/SMIDIFF-TEST-003-MIB.diff,
	  test/smidiff/SMIDIFF-TEST-003-MIB.new,
	  test/smidiff/SMIDIFF-TEST-003-MIB.old: Added tests for negative
	  named numbers and tests for numbers with strange
	  order.

2001-10-08 14:46  schoenw

	* [r709] tools/smidiff.c: Fixed some bugs. smidiff now always says
	  which nodekind has been added.
	  Report more correct line numbers for revisions.

2001-10-08 14:16  schoenw

	* [r708] lib/smi.c, lib/smi.h.in: Added smiGetRevisionLine() to the
	  public API which is needed by smidiff.

2001-10-04 17:17  tklie

	* [r707] tools/smidiff.c: Added check for named numbers.

2001-10-04 17:14  tklie

	* [r706] test/smidiff/SMIDIFF-TEST-002-MIB.diff[ADD],
	  test/smidiff/SMIDIFF-TEST-002-MIB.new,
	  test/smidiff/SMIDIFF-TEST-002-MIB.old,
	  test/smidiff/SMIDIFF-TEST-003-MIB.diff[ADD],
	  test/smidiff/SMIDIFF-TEST-003-MIB.new[ADD],
	  test/smidiff/SMIDIFF-TEST-003-MIB.old[ADD]: added checks for
	  ranges (SMIDIFF-TEST-002-MIB) and named numbers
	  (SMIDIFF-TEST-003-MIB)

2001-10-02 13:26  schoenw

	* [r705] tools/dump-scli.c: Fixed the code which checks sizes to
	  handle unconstraint index strings
	  a bit smarter. Use guint8 for the length of index components
	  since the
	  max. size of an OID is 128 subidentifier.

2001-09-30 20:07  schoenw

	* [r704] tools/dump-scli.c: Added code to do size checks on index
	  elements.

2001-09-28 10:29  schoenw

	* [r703] tools/smidiff.c: Only check type compatibility if types of
	  a scalar/node have changed.

2001-09-28 10:20  schoenw

	* [r702] test/smidiff/SMIDIFF-TEST-002-MIB.new,
	  test/smidiff/SMIDIFF-TEST-002-MIB.old: Fixed the test case so
	  that it passes smilint.

2001-09-28 10:05  schoenw

	* [r701] test/smidiff/SMIDIFF-TEST-002-MIB.new[ADD],
	  test/smidiff/SMIDIFF-TEST-002-MIB.old[ADD]: Added a test case for
	  a range change.

2001-09-27 16:22  strauss

	* [r700] test/dumps/smilint-smiv2/IF-MIB,
	  test/dumps/smilint-smiv2/MAU-MIB,
	  test/dumps/smilint-smiv2/RMON2-MIB,
	  test/dumps/smilint-smiv2/SNMPv2-MIB,
	  test/mibs/LIBSMI-TEST-002-MIB, test/mibs/LIBSMI-TEST-003-MIB,
